%define perl_version %(perl -MConfig -e 'print $Config{version}')

Summary: The drakxtools (diskdrake, ...)
Name:    drakxtools
Version: 15.54.1
Release: %mkrel 3
Url:     http://mageia.org/
# The source can be found at its Subversion repository on:
# * svn://svn.mageia.org/svn/soft/drakx/trunk (read-only, public)
# * svn+ssh://svn.mageia.org/svn/soft/drakx/trunk (read-write, restricted).
Source0: %name-%version.tar.xz
Patch0:  drakxtools-list_modules-kernel-3.10.patch
#NO PATCH ALLOWED
License: GPLv2+
Group: System/Configuration
# usermode 1.92-4 has the /etc/pam.d/%_real_vendor-{simple,console}-auth
# files to which we symlink
Requires: %{name}-curses = %version-%release, perl-Gtk2 >= 1.220, perl-Glib >= 1.280.0-3, usermode >= 1.92-4, perl-Net-DBus, perl-Gtk2-WebKit
Requires:  mageia-doc-common
# needed by drakfont (eg: type1inst):
Requires: font-tools
Requires: libxxf86misc
# needed by any::enable_x_screensaver()
Requires: xset
Requires: drakx-net
Requires: drakconf-icons
# needed for installing packages through do_pkgs -> urpmi -> gmessage
Requires: gurpmi >= 5.7
Requires: ldetect-lst >= 0.1.291
# needed by drakfont:
Requires: ttmkfdir
BuildRequires: gettext, ldetect-devel >= 0.9.0, ncurses-devel, perl-devel >= 1:5.8.0-20, perl-MDK-Common-devel >= 1.1.8-3
BuildRequires: parted-devel
BuildRequires: drakx-installer-binaries intltool
Provides: draksec
Obsoletes: draksec
%define _requires_exceptions perl(Net::FTP)\\|perl(Time::localtime)\\|perl(URPM)\\|perl(Xconfig.*)

%package curses
Summary: The drakxtools (diskdrake, ...)
Group: System/Configuration
Requires: perl-base >= 2:5.8.6-1, urpmi >= 4.8.23, usermode-consoleonly >= 1.44-4
Requires: perl-Locale-gettext >= 1.05-4mdv2007
Requires: kmod
Requires: %{name}-backend = %version-%release
Requires: drakx-net-text
Obsoletes: diskdrake kbdconfig mouseconfig setuptool drakfloppy
Obsoletes: drakxtools-newt
Provides: diskdrake, kbdconfig mouseconfig setuptool, drakfloppy = %version-%release
Provides: drakxtools-newt = %version-%release
%define _requires_exceptions perl(Gtk2::WebKit)\\|perl(Xconfig::various)

%package backend
Summary: Drakxtools libraries and background tools 
Group: System/Configuration
Requires: dmidecode
Requires: perl-File-FnMatch
# for fileshareset and filesharelist (#17123)
#Requires: perl-suid
# for common::wrap_command_for_root()
Requires: perl-String-ShellQuote
# XS modules are not installed in standard perl path, and thus not found by find-requires (#3731)
Requires: perlapi-%perl_version
# "post" here means %triggerpostun:
Requires(post): perl-MDK-Common >= 1.2.13

%package http
Summary: The drakxtools via http
Group: System/Configuration
Requires: %{name}-curses = %version-%release, perl(Net::SSLeay) >= 1.22-1, perl-Authen-PAM >= 0.14-1, perl-CGI >= 2.91-1
Requires(pre): rpm-helper
Requires(post): rpm-helper

%package -n drakx-finish-install
Summary: First boot configuration
Group: System/Configuration
Requires: %{name} = %version-%release
Requires: drakx-installer-matchbox

%package -n harddrake
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration
Requires: %{name}-curses = %version-%release
Obsoletes: kudzu, kudzu-devel, libdetect0, libdetect0-devel, libdetect-lst, libdetect-lst-devel, detect, detect-lst
Provides: kudzu = %version, kudzu-devel = %version, libdetect0, libdetect0-devel, libdetect-lst, libdetect-lst-devel, detect, detect-lst
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires: libdrakx-net >= 1.24 drakx-kbd-mouse-x11 >= 0.107 drak3d
Requires: meta-task

%package -n harddrake-ui
Summary: Main Hardware Configuration/Information Tool
Group: System/Configuration
Requires: %name = %version-%release
Requires: sane-backends
Requires: libdrakx-net drakx-kbd-mouse-x11 >= 0.107 drak3d

%description
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- drakbug: interactive bug report tool
- drakbug_report: help find bugs in DrakX
- drakclock: date & time configurator
- drakfloppy: boot disk creator
- drakfont: import fonts in the system
- draklog: show extracted information from the system logs
- drakperm: msec GUI (permissions configurator)
- draksec: security options managment / msec frontend

%description backend
See package %name

%description curses
Contains many Mageia Linux applications simplifying users and
administrators life on a Mageia Linux machine. Nearly all of
them work both under X.Org (graphical environment) and in console
(text environment), allowing easy distant work.

- adduserdrake: help you adding a user
- diskdrake: DiskDrake makes hard disk partitioning easier. It is
  graphical, simple and powerful. Different skill levels are available
  (newbie, advanced user, expert). It's written entirely in Perl and
  Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
  Andrew Clausen (libresize).
- drakauth: configure authentification (LDAP/NIS/...)
- drakautoinst: help you configure an automatic installation replay
- drakboot: configures your boot configuration (Lilo/GRUB,
  Bootsplash, X, autologin)
- drakkeyboard: configure your keyboard (both console and X)
- draklocale: language configurator, available both for root
  (system wide) and users (user only)
- drakmouse: autodetect and configure your mouse
- drakscanner: scanner configurator
- draksound: sound card configuration
- drakx11: menu-driven program which walks you through setting up
  your X server; it autodetects both monitor and video card if
  possible
- drakxservices: SysV services and daemons configurator
- drakxtv: auto configure tv card for xawtv grabber
- lsnetdrake: display available nfs and smb shares
- lspcidrake: display your pci information, *and* the corresponding
  kernel module

%description http
This package lets you configure your computer through your Web browser:
it provides an HTTP interface to the Mageia tools found in the drakxtools
package.

%description -n drakx-finish-install
For OEM-like duplications, it allows at first boot:
- network configuration
- creating users
- setting root password
- choosing authentication


%description -n harddrake
The harddrake service is a hardware probing tool run at system boot
time to determine what hardware has been added or removed from the
system.
It then offer to run needed config tool to update the OS
configuration.


%description -n harddrake-ui
This is the main configuration tool for hardware that calls all the
other configuration tools.
It offers a nice GUI that show the hardware configuration splitted by
hardware classes.


%prep
%setup -q
%patch0 -p1
# needed when tarball cames from git-svn:
cd perl-install; [ -f Makefile.drakxtools ] && mv Makefile.drakxtools Makefile

%build
%make -C perl-install CFLAGS="$RPM_OPT_FLAGS"

%install
%make -C perl-install PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{X11/xinit.d,X11/wmsession.d,sysconfig/harddrake2}
touch $RPM_BUILD_ROOT/etc/sysconfig/harddrake2/previous_hw

dirs1="usr/lib/libDrakX usr/share/libDrakX"
(cd $RPM_BUILD_ROOT ; find $dirs1 usr/bin usr/sbin ! -type d -printf "/%%p\n")|egrep -v 'bin/.*harddrake' > %{name}.list
(cd $RPM_BUILD_ROOT ; find $dirs1 -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e '/dbus_object\.pm|Xdrakres|clock|display_help|display_release_notes.pl|drak(bug|clock|dvb|floppy|font|hosts|log|perm|sec|splash)|gtk|icons|logdrake|pixmaps|\.png$/ ? print STDERR $_ : print' %{name}.list 2> %{name}-gtk.list
perl -ni -e '/http/ ? print STDERR $_ : print' %{name}.list 2> %{name}-http.list
perl -ni -e 'm!lib/libDrakX|bootloader-config|fileshare|lsnetdrake|drakupdate_fstab|rpcinfo|serial_probe! && !/curses/i ? print STDERR $_ : print' %{name}.list 2> %{name}-backend.list
perl -ni -e '/finish-install/ ? print STDERR $_ : print' %{name}.list 2> finish-install.list

#mga menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart

cat > $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2 <<EOF
#!/bin/sh
exec /usr/share/harddrake/service_harddrake X11
EOF

cat > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/kernel <<EOF
KERNEL=2.6
EOF

mv $RPM_BUILD_ROOT%_sbindir/service_harddrake_confirm $RPM_BUILD_ROOT%_datadir/harddrake/confirm

chmod +x $RPM_BUILD_ROOT{%_datadir/harddrake/{conf*,service_harddrake},%_sysconfdir/X11/xinit.d/harddrake2}
# temporary fix until we reenable this feature
rm -f $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/harddrake2

perl -I perl-install -mharddrake::data -e 'print "DETECT_$_->{class}=yes\n" foreach @harddrake::data::tree' |sort > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf
echo -e "AUTORECONFIGURE_RIGHT_XORG_DRIVER=yes\n" >> $RPM_BUILD_ROOT%_sysconfdir/sysconfig/harddrake2/service.conf

# consolehelper config
#

# - console user, no password
for pak in drakclock drakkeyboard drakmouse; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=<user>
PROGRAM=%{_sbindir}/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-console-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
done

# console user, ask for user password
for pak in drakfont; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=<user>
PROGRAM=%{_sbindir}/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
done

# console user, ask for root password
for pak in drakups drakauth draklog drakxservices drakboot; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
done

%find_lang libDrakX
%find_lang libDrakX-standalone
cat libDrakX.lang libDrakX-standalone.lang >> %name.list

%check
%make -C perl-install check

%post
%make_session
[[ ! -e %_sbindir/kbdconfig ]] && %__ln_s -f keyboarddrake %_sbindir/kbdconfig
[[ ! -e %_sbindir/mouseconfig ]] && %__ln_s -f mousedrake %_sbindir/mouseconfig
:

%postun
%make_session
for i in %_sbindir/kbdconfig %_sbindir/mouseconfig %_bindir/printtool;do
    [[ -L $i ]] && %__rm -f $i
done
:

%post http
%_post_service drakxtools_http

%preun http
%_preun_service drakxtools_http

%postun -n harddrake
file /etc/sysconfig/harddrake2/previous_hw | fgrep -q perl && %_datadir/harddrake/convert || :

%triggerpostun backend -- drakxtools-backend < 11.44
echo "Migrating /etc/fstab and bootloader configuration to use UUIDs. Previous files are saved with extension .before-migrate-to-uuids"
%_sbindir/bootloader-config --action migrate-to-uuids ||:

%triggerpostun backend -- drakxtools-backend < 11.52
echo "Updating /etc/modprobe.preload.d/floppy"
perl -I/usr/lib/libDrakX -Mharddrake::autoconf -e 'harddrake::autoconf::floppy()' ||:

%triggerpostun backend -- drakxtools-backend < 14.1-2
if [ -w /boot/grub/menu.lst ]; then
  if grep -q splash= /boot/grub/menu.lst; then
    echo "Migrating kernel commandline bootsplash arguments in grub"
    sed -i 's/ splash=silent / splash quiet /;s/ splash=silent$/ splash quiet/;s/ splash=verbose / /;s/ splash=verbose$//;' /boot/grub/menu.lst
  fi
fi

%triggerpostun -n harddrake -- harddrake < 11.62-2
rm -f /etc/rc.d/*/{K,S}??harddrake

%files backend -f %{name}-backend.list
%config(noreplace) /etc/security/fileshare.conf
%attr(4755,root,root) %_sbindir/fileshareset

%files curses -f %name.list
%{_datadir}/applications/localedrake*.desktop
#%doc perl-install/diskdrake/diskdrake.html
%_iconsdir/localedrake.png
%_iconsdir/large/localedrake.png
%_iconsdir/mini/localedrake.png
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakups
%{_bindir}/drakauth
%{_bindir}/draklog
%{_bindir}/drakxservices
%{_bindir}/drakboot
%config(noreplace) %{_sysconfdir}/security/console.apps/drakkeyboard
%config(noreplace) %{_sysconfdir}/security/console.apps/drakmouse
%config(noreplace) %{_sysconfdir}/security/console.apps/drakups
%config(noreplace) %{_sysconfdir}/security/console.apps/drakauth
%config(noreplace) %{_sysconfdir}/security/console.apps/draklog
%config(noreplace) %{_sysconfdir}/security/console.apps/drakxservices
%config(noreplace) %{_sysconfdir}/security/console.apps/drakboot
%config(noreplace) %{_sysconfdir}/pam.d/drakkeyboard
%config(noreplace) %{_sysconfdir}/pam.d/drakmouse
%config(noreplace) %{_sysconfdir}/pam.d/drakups
%config(noreplace) %{_sysconfdir}/pam.d/drakauth
%config(noreplace) %{_sysconfdir}/pam.d/draklog
%config(noreplace) %{_sysconfdir}/pam.d/drakxservices
%config(noreplace) %{_sysconfdir}/pam.d/drakboot

%files -f %{name}-gtk.list
%{_bindir}/drakclock
%{_bindir}/drakfont
%config(noreplace) %{_sysconfdir}/security/console.apps/drakclock
%config(noreplace) %{_sysconfdir}/security/console.apps/drakfont
%config(noreplace) %{_sysconfdir}/pam.d/drakclock
%config(noreplace) %{_sysconfdir}/pam.d/drakfont

%files -n harddrake
%dir /etc/sysconfig/harddrake2/
%config(noreplace) /etc/sysconfig/harddrake2/previous_hw
%config(noreplace) /etc/sysconfig/harddrake2/service.conf
%config(noreplace) %_sysconfdir/sysconfig/harddrake2/kernel
%dir %_datadir/harddrake/
%_datadir/harddrake/*
%_sysconfdir/X11/xsetup.d/??notify-x11-free-driver-switch.xsetup
#%_sysconfdir/X11/xinit.d/harddrake2

%files -n harddrake-ui
%dir /etc/sysconfig/harddrake2/
%_sbindir/harddrake2
%_datadir/pixmaps/harddrake2
%{_datadir}/applications/harddrake.desktop
%_iconsdir/large/harddrake.png
%_iconsdir/mini/harddrake.png
%_iconsdir/harddrake.png

%files -n drakx-finish-install
%config(noreplace) %_sysconfdir/sysconfig/finish-install
%_sysconfdir/X11/xsetup.d/??finish-install.xsetup
%_sbindir/finish-install

%files http -f %{name}-http.list
%dir %_sysconfdir/drakxtools_http
%config(noreplace) %_sysconfdir/pam.d/miniserv
%_sysconfdir/init.d/drakxtools_http
%config(noreplace) %_sysconfdir/drakxtools_http/conf
%config(noreplace) %_sysconfdir/drakxtools_http/authorised_progs
%config(noreplace) %_sysconfdir/logrotate.d/drakxtools-http





%changelog
* Wed Sep 25 2013 tmb <tmb> 15.54.1-3.mga3
+ Revision: 485775
- update list_modules for kernel 3.10

  + zezinho <zezinho>
    - new tarball with forgotten patch
    - version 15.54.1 fixes drakfirewall #9941
    - new tarball from branches/3
    - version 15.55 fixes drakfirewall #9941

* Fri May 17 2013 tv <tv> 15.54-1.mga3
+ Revision: 413457
- fix offering to install shorewall & shorewall-ipv6 when already installed

* Wed May 15 2013 ennael <ennael> 15.53-1.mga3
+ Revision: 413309
- logdrake: fix rsyslog<->syslog-ng install loop (mga#10086)

* Mon May 13 2013 tmb <tmb> 15.51-1.mga3
+ Revision: 413095
- any.pm: dont add arch() to release-notes file name (#10087)
- finish-install: enable Nonfree/Tainted repositories if a package
  having a matching name is installed (#8379)
- detect_devices: check for phy80211 sysfs directory as well to detect
  wireless devices

* Wed May 08 2013 blino <blino> 15.50-1.mga3
+ Revision: 412601
- harddrake: require libdrakx-net >= 1.24
- 15.50
- harddrake service:
  o do not disable bluetooth service if adapter disappears
    (for example if disabled by Fn keys)
    systemd will automatically disable the service if needed
  o install ethernet/wireless packages when a new device is detected,
    this shoud help for Broadcom devices

* Tue Apr 30 2013 tv <tv> 15.47-1.mga3
+ Revision: 411718
- skip comments in /etc/crypttab (Colin, mga#9905)

* Mon Apr 29 2013 tv <tv> 15.46-1.mga3
+ Revision: 411590
- logdrake:
  o ensure syslog-daemon is installed (stopgap to full journal support)
- requires mageia-doc-common now that it exists & it provides ctxhelp.pm

  + colin <colin>
    - Ensure a recent version of drakx-kbd-mouse-x11 is required to fix mgapplet half-upgraded issue.

* Sat Apr 27 2013 tv <tv> 15.45-1.mga3
+ Revision: 411475
- diskdrake:
  o only allow 'acl' option for extX & reiserfs (mga#9884)
- drakboot:
  o try harder to get a label for other OSes (mga#9849,9681)

* Tue Apr 23 2013 tv <tv> 15.44-1.mga3
+ Revision: 411036
- partionning:
  o fix a crash when reloading partition table (mga#9838)
  o fix a crash when trying to create a encrypted LVM partition (mga#9837)

* Sun Apr 21 2013 tv <tv> 15.42-1.mga3
+ Revision: 410677
- partionning (mga#5661):
  o ensure LVMs on top of dmcrypt are activated after unlocking
  o fix UI redraw issue after unlocking dmcrypt partition
- popup dialog confirming to quit when clicking "X" (mga#8476):
  o do not enable it by default
  o enable apps to enable it on demand
- updated translations

* Fri Apr 19 2013 tv <tv> 15.40-1.mga3
+ Revision: 410565
- diskdrake (mga#5661):
  o fix loosing crypt key when detecting LVMs on top of dmcrypt
  o fix loosing crypt key when re-reading partition tables
- drakauth:
  o 'nss-pam-ldapd' obsoletes 'pam_ldap' (mga#9769)
- drakups:
  o do not rely on legacy initscript for install test (mga#9474)

* Tue Apr 09 2013 tv <tv> 15.37-1.mga3
+ Revision: 409160
- library:
  o fix detecting some USB devices due to not reporting their class (mga#9674)
- finish-install:
  o configure urpmi media even if local media are configured, and only if
    online media are not setup (for live)
- diskdrake:
  o allow to choose btrfs in normal mode (mga#65)
- harddrake:
  o fix displayed PCI/USB ids (spot in mga#9674)
  o list HID USB devices with keyboards

* Sat Apr 06 2013 tv <tv> 15.36-1.mga3
+ Revision: 408485
- library (for draklive-install):
  o bind mount /run in chroot, thus fixing dracut runs (Dave Hodgins, mga#9213)
- drakboot:
  o fix other Mga OS names in menu (mga#8710)

* Fri Apr 05 2013 tv <tv> 15.35-1.mga3
+ Revision: 408296
- drakboot:
  o assume grub2.cfg is UTF-8 encoded
  o read back xen conf from grub2
  o set entries type when reading back grub2 conf, thus fixing
    switching back to grub-legacy (mga#9563)
- fix finding translated help (mga#9619)

* Thu Apr 04 2013 tv <tv> 15.33-1.mga3
+ Revision: 407669
- bootloader-config:
  o fix adding bogus bootloader entries (root=/dev/) when silently
    failing to lookup / partition (mga#8717)
  o try harder to lookup / partition y looking at mounted points (mga#8717)

* Thu Mar 28 2013 tv <tv> 15.31-1.mga3
+ Revision: 406048
- do not show notification bubble in net_applet as they make it to
  segfault (mga#9102)
- recognize more webcam & bluetooth devices (might help mga#5841)

* Fri Mar 22 2013 tv <tv> 15.28-1.mga3
+ Revision: 404420
- bootloader-config:
  o do not build initrd if no bootloader is detected and
    --no-initd argument is supplied
- diskdrake:
  o actually preserve UUID when formatting (mga#9428)
- drakauth:
  o install nss-pam-ldapd instead of nss_ldap (mga#9375)

* Tue Mar 12 2013 tv <tv> 15.27-1.mga3
+ Revision: 402128
- fix mounting NFS server (Derek Jennings, mga#207)
- drakboot:
  o install grub2-efi instead of grub2 if using UEFI (mga#8886)

* Tue Mar 05 2013 tv <tv> 15.26-1.mga3
+ Revision: 401498
- include display_installer_help
- finish-install:
  o prevent displaying twice release notes

* Fri Mar 01 2013 tmb <tmb> 15.24.1-1.mga3
+ Revision: 400953
- harddrake:
  o add nvidia304 to service_harddrake (Luc Menut, mga #9216)

* Thu Feb 28 2013 tv <tv> 15.24-1.mga3
+ Revision: 400645
- drakboot:
  o allow installing grub2 on a partition (mga#8462)
  o try harder not to have duplicate stuff on grub2 cmd line

* Wed Feb 27 2013 tv <tv> 15.23-1.mga3
+ Revision: 400476
- drakboot:
  o fix detecting grub2 if there's a remaining grub-legacy signature
  o read more of grub2 config
  o read & save timeout value (mga#8850)
  o set default parameters in grub2 config (mga#9177)

* Tue Feb 26 2013 tv <tv> 15.21-1.mga3
+ Revision: 400345
- bootloader-config:
  o add proper support for grub2 (detectloader, ...)
- drakboot:
  o add basic support for reading back grub2 config
  o read & write /boot/grub2/drakboot.conf
  o prevent installing grub2 somewhere else than MBR
- always bypass blkid cache (the cache only includes a subset of the data we need)

* Wed Jan 23 2013 fwang <fwang> 15.19-2.mga3
+ Revision: 391269
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 15.19-1.mga3
+ Revision: 388851
- update translations
- do not bypass blkid cache

* Thu Jan 10 2013 tmb <tmb> 15.14-3.mga3
+ Revision: 344887
- rebuild for new meta-task

* Thu Jan 10 2013 tmb <tmb> 15.14-2.mga3
+ Revision: 344855
- rebuild for ldetect-lst and other updates

* Mon Dec 17 2012 tv <tv> 15.14-1.mga3
+ Revision: 332194
- ugtk2: use new exceptions management
- drakboot:
  o fix installing grub2 from live session (blino)

* Sat Dec 15 2012 tv <tv> 15.13-1.mga3
+ Revision: 331046
- fix checking grub2 installation (mga#8390)

* Fri Dec 14 2012 tv <tv> 15.12-1.mga3
+ Revision: 330980
- "enhance" fake gru2 conf reading (mga#8366)

* Thu Dec 13 2012 tv <tv> 15.11-1.mga3
+ Revision: 330458
- interactive layer:
  o fix quitting app when closing "advanced" dialog (mga#1812)
- mygtk2 layer:
  o add register_main_window() for tracking main windows
  o popup a dialog confirming to quit when clicking "X" (mga#1812)

* Wed Dec 12 2012 tv <tv> 15.10-1.mga3
+ Revision: 329863
- revert rosa crap that breaks generating initrd (mga#8357)

* Tue Dec 11 2012 tv <tv> 15.9-1.mga3
+ Revision: 329634
- library:
  o if a partition has been manually formated, don't offer to format
    it again (for draklive-install, mga#7822)

* Sun Dec 09 2012 tv <tv> 15.3-1.mga3
+ Revision: 329071
- finish-install:
  o fix a crash by lazy loading services when needed
    (Dave Hodgins, mga#8335)

* Fri Dec 07 2012 tv <tv> 15.2-1.mga3
+ Revision: 327951
- drakboot:
  o add fake gru2 conf reading

* Fri Dec 07 2012 tv <tv> 15.1-1.mga3
+ Revision: 327788
- add basic support for grub2 (mga#416)
  (based on rosa work but fixed and completed)

* Tue Nov 06 2012 tv <tv> 14.50-1.mga3
+ Revision: 314822
- adapt to new reboot path
- include FIRMWARE packages from Cards+ in detected graphical drivers,
  not to remove radeon-firmware if a matching card is present (#6438, #7641)

* Fri Oct 12 2012 tv <tv> 14.47-1.mga3
+ Revision: 304830
- diskdrake:
  o offer resizing NTFS again (broken by ntfsprogs -> ntfs-3g switch)
- drakclock:
  o do not crash if timezones cannot be listed (mga#6787)
- drakfont:
  o fix a crash
  o fix ttmkfdir path
- requires ttmkfdir for drakfont

* Thu Sep 20 2012 tv <tv> 14.45-1.mga3
+ Revision: 296437
- do not crash when trying to guess homedir before running another
  process (mga#7403)
- drakfont:
  o fix moving font files with space in their names (mga#2689)
- harddrake2:
  o remove useless "Autodetect printers" option

* Fri Sep 14 2012 tv <tv> 14.44-1.mga3
+ Revision: 293961
- drakbug:
  o fix preselecting "RPM package" (Manuel Hiebel, mga#7380)
- finish-install:
  o advertize new doc license & licenser (mga#7347)

* Tue Sep 04 2012 tv <tv> 14.43-1.mga3
+ Revision: 288168
- fix crashing when a banner icon doesn't exist (mga#5223)
- recognize new drivers:
  o input: hid-aureal synaptics_usb
  o wifi: qmi_wwan, mwifiex_usb

* Mon Sep 03 2012 tv <tv> 14.40-2.mga3
+ Revision: 287711
+ rebuild (emptylog)

* Mon Sep 03 2012 tv <tv> 14.40-1.mga3
+ Revision: 287699
- boodloader:
  o ensure initrds used in combination with kernels with vga= arguments
    are regenerated when needed
- adapt to usbfs death
- drakx-in-chroot:
  o adapt to usbfs death
- drakxservices:
  o fix checking systemd presence after systemd merge of subpackages

* Tue Aug 07 2012 tv <tv> 14.33-1.mga3
+ Revision: 279727
- further fix bogus translations that broke build
- fix bogus translations that broke build
- autologin:
  o support lxdm & slim too (#3715, Derek Jennings)
  o install autologin for lxdm & slim too
- drakboot:
  o do not crash if trying to build initrd from unknown partitions (mga#4290)
  o install acpi & acpid at once
- drakxservices:
  o when listing services ensure disabled services that can be enabled are
    shown (mga#6843)

* Fri Aug 03 2012 fwang <fwang> 14.31-2.mga3
+ Revision: 278267
- rebuild for new parted

* Tue Jul 24 2012 tv <tv> 14.31-1.mga3
+ Revision: 274006
- drakauth: don't update UsePAM option in sshd configuration
- diskdrake: install nfs-utils instead of nfs-utils-clients
  (#6570, merged back in nfs-utils)

  + shlomif <shlomif>
    - Add information to the SPEC about where the source is maintained.

* Tue Jun 12 2012 tv <tv> 14.21-3.mga3
+ Revision: 259959
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 14.21-2.mga3
+ Revision: 259291
- require kmod instead of module-init-tools

* Fri May 11 2012 tv <tv> 14.21-1.mga2
+ Revision: 235336
- harddrake2: allow writing 0 as module option, and forbid options
  with spaces (#5839, from Colin)
- export res_init function to perl lib

* Sun May 06 2012 tv <tv> 14.20-1.mga2
+ Revision: 234810
- diskdrake:
  o drop support for reiser4 (mga#5680)
- harddrake service:
  o do not disable cpufreq on non-laptops
  o remove double apmd check

* Sun Apr 29 2012 tv <tv> 14.16-1.mga2
+ Revision: 234179
- drakxservices:
  o use non-blocking mode for service restart (mga#4439)

* Wed Apr 25 2012 tmb <tmb> 14.11-1.mga2
+ Revision: 233212
- drop P0 (merged)

  + tv <tv>
    - finish-install: make sure sbin is added to PATH
    - harddrake:
      o list "zc3xx" driven as webcams (mga#5449)
    - interactive::curses:
      o make sure ranges are always within limits (mga#646)
    - ensure swap partition is activated in dracut (e.g. for swap on LVM, RAID etc)
    - drakboot:
      o display mountpoint if available, and size+fs_type if we have nothing
        else (mga#5460)
    - diskdrake:
      o do not set fs_type to ext4 for raw LVM/RAID/LUKS
      o detect LVM on top on Encrypted partitions (mga#5330)
    - drakxservices:
      o systemd support (mga#3253, mga#3740, mga#4910, mga#5122)
    - s/XFree/X.org/ in description (mga#5443)

* Tue Apr 17 2012 tmb <tmb> 14.3-2.mga2
+ Revision: 231138
- finish-install: make sure sbin is added to PATH (blino)

* Sat Apr 07 2012 pterjan <pterjan> 14.3-1.mga2
+ Revision: 229464
- diskdrake:
  o fix partition numbering on GPT (mga#3091)

* Thu Apr 05 2012 tv <tv> 14.2-1.mga2
+ Revision: 228745
- harddrake service:
  o cpufreq performance governor is no longer a module
  o reduce default timeout from 10 to 2mn (mga#4772)

* Sun Mar 25 2012 colin <colin> 14.1-2.mga2
+ Revision: 226393
- Migrate grub bootsplash params to new style: 'splash quiet' rather than 'splash=silent' (mga#3430)

* Fri Mar 23 2012 tv <tv> 14.1-1.mga2
+ Revision: 225989
- drop very old conflicts
- drakauth:
  o fix actually displaying "Domain Windows for authentication"
- drakboot:
  o use "splash" on the kernel command line vs. "splash=silent" as per upstream
    code (e.g. plymouth, systemd and others)
  o support the "quiet" kernel command line argument to hide kernel text
- drakbug, draksec, drakxhelp, logdrake:
  o fix displaying "Mageia"
- harddrake:
  o fix detecting bluetooth devices

* Mon Mar 12 2012 tv <tv> 13.93-1.mga2
+ Revision: 223105
- fix mgaapplet crashing on live migration when there's a new major version of
  perl (mga#3042)
- reduce resident memory of net_applet (5Mb aka 11%%) & mgapplet (7Mb aka 14%%)

* Sun Mar 11 2012 tv <tv> 13.92-1.mga2
+ Revision: 222576
- english message improvement (mga#456)
- diskdrake:
  o fix error on removing LVs
  o fix resizing LVs (mga#4666)

* Sun Mar 04 2012 tv <tv> 13.89.2-1.mga2
+ Revision: 218206
- redo properly the tarball (mga#4783)

* Fri Mar 02 2012 anssi <anssi> 13.89.1-1.mga2
+ Revision: 216897
- service_harddrake:
  o recognize XZ compressed proprietary driver modules properly (mga#4767)

* Wed Feb 29 2012 tv <tv> 13.86-1.mga2
+ Revision: 216016
- load 'xts' module for crypted fses (Dave Hodgins, mga#3749)
- recognize more HID drivers (mga#4129)

* Mon Feb 13 2012 tv <tv> 13.81-1.mga2
+ Revision: 208473
- localedrake:
  o add hime
  o remove chinput, kinput2, oxim, xcin
- make drakclock systemd compatible
- fix crashing on parsing garbaged DMI info (mga#4329)
- diskdrake:
  o use better cipher for encrypted fses (mga#3092)

* Wed Jan 25 2012 tv <tv> 13.79-1.mga2
+ Revision: 201357
- silent failure to extract gz modules (for rescue)
- diskdrake:
  o better default name for new VG (vg-mga, vg-mga1, ...
    instead of vg-0, vg-1, ...)

* Mon Jan 23 2012 tv <tv> 13.77-1.mga2
+ Revision: 200365
- add support for XZ modules
- diskdrake:
  o enable to set LV names when not in expert mode
  o enable to set label on btrfs & nilfs fses as well as on swap
  o preserve UUID when reformating a nilfs fs
  o report back error from lvm2
  o suggest better LV names based on the mount point rather than numbers

* Fri Jan 06 2012 tv <tv> 13.74-2.mga2
+ Revision: 192029
- rebuild with new libldetect, saving quite a lot of RAM

* Sat Dec 24 2011 tmb <tmb> 13.74-1.mga2
+ Revision: 187097
- sync version with stage2
- fix mdv references

* Sat Dec 24 2011 tmb <tmb> 13.73-1.mga2
+ Revision: 187083
- drakboot:
  o display partition labels in list instead of just disk names in "boot
    device" choice
  o display partition labels when adding a foreign OS
- harddrake: fix missing names (mga#3745)
- interactive::curses: default to 80x25 (fixes serial)
- dont force init=/bin/systemd (#3856, already fixed in svn by blino)
- drop buildroot and defattr

* Thu Dec 15 2011 blino <blino> 13.72.1-2.mga2
+ Revision: 181664
- add explicit perlapi requires (#3731) since find-requires won't find XS modules in non-standard perl path

* Sun Dec 11 2011 tv <tv> 13.72.1-1.mga2
+ Revision: 180612
- fix $HOME for all when runing as another user instead of root (mga#287)
- harddrake: fix crash after mismerge (mga#3696)

* Sat Dec 10 2011 tv <tv> 13.72-1.mga2
+ Revision: 180110
- drakhelp: make it work somewhat despite lack of doc
- prevent net_applet to crash on notifications without icons (mga#2876)
- harddrake:
  o do not display some bluetooth stuff as unknown (mga#1460)
  o prevent detecting some soft modems as scanners (mga#2753)

* Sun Dec 04 2011 anssi <anssi> 13.71-1.mga2
+ Revision: 175822
- service_harddrake:
  o better notification message when the driver has been automatically
    switched
  o show a correct warning message when a proprietary driver is loaded while
    a free driver is configured
  o fix driver switch failing to alter xorg.conf when the Driver line doesn't
    contain default whitespacing (reported by Barry Jackson)

* Sun Nov 27 2011 tv <tv> 13.70.2-1.mga2
+ Revision: 172854
- fix crashing on creating temp file if temp dir doesn't exist (mga#1396)

* Tue Nov 22 2011 tv <tv> 13.70.1-1.mga2
+ Revision: 171084
- drakbug:
  o do not keep around the segfaulted process once we collected all needed data
    when running drakbug
  o regroup misc data in bugzilla

* Tue Nov 22 2011 tv <tv> 13.70-1.mga2
+ Revision: 171045
- drakbug:
  o report the gtk+ theme in use (#3127) which explain some crashes (eg: #2679)
  o include better C traces in reports
  o remove top of traces that is inside bug handler from report
  o no more run GDB (too late & faster)

* Thu Oct 20 2011 tv <tv> 13.63-2.mga2
+ Revision: 156940
- rebuild for new ldetect

* Wed Sep 07 2011 tv <tv> 13.63-1.mga2
+ Revision: 140919
- drop patch 0 (merged)
- finish-install:
  o "Multi languages" => "Multiple languages" (mga#1011)
- diskdrake:
  o always align partitions to start at megabyte boundaries to avoid
    performance issues with drives with 4k physical sectors (mga#1215)
- patch 0: fix LSB keywords
- drop patch0 (merged upstream)
- disdrake:
  o spaces are not allowed between options in /etc/fstab (#2271)
- drakfont:
  o rename Ooo as LibreOffice (#461)
  o enable support for LibreOffice/gs/... only if available (#461)
- fix bootloader entries names
- any.pm:
  o Add lxsession to the wm list, and add lxde-logout as the
    ask_window_manager_to_logout command (mga#1395)
  o share some kernel check's code for drakx-net (#1266)

  + tmb <tmb>
    - fix version detection for naming of bootloader entries
      * before: title 2 3.0.0-desktop-1.mga
      * after:  title desktop 3.0.0-1.mga2

* Tue Jul 19 2011 fwang <fwang> 13.59-2.mga2
+ Revision: 126188
- rebuild for new parted

* Tue Jun 14 2011 dmorgan <dmorgan> 13.59-1.mga2
+ Revision: 106012
- Fix new libnotify API

* Sun Jun 12 2011 ahmad <ahmad> 13.58-2.mga2
+ Revision: 105356
- Rebuild for perl-5.14.0

* Thu May 26 2011 ennael <ennael> 13.58-1.mga1
+ Revision: 100540
-update translations
- fix top banner

* Fri May 20 2011 blino <blino> 13.55-1.mga1
+ Revision: 99831
- 13.55
- finish-install: do not try to replace home path for device files
  after live install (#1148)
- add ums-* (USB mass storage) modules in disk/usb category

* Thu May 19 2011 tv <tv> 13.54-1.mga1
+ Revision: 99705
- draksound:
  o Robustify the PulseAudio configs (don't try and write files if they
    do not exists. Doing so previously would result in blank files that then
    causes problems when installing PulseAudio as the "config" files are not
    overwritten properly which can result in broken PA startup)
  o Remove the "Enable 5.1..." option. This is now done via card profiles
    in native GUIs for GNOME and KDE (or pavucontrol)
  o Remove the "Enable user switching..." option as it relies on HAL
    which is deprecated.
- scannerdrake: use skanlite instead of kooka
- any.pm: fix faces icons paths (mga#1315)
- fix reading security level with new msec (mga#332)

* Sat May 14 2011 pterjan <pterjan> 13.52-1.mga1
+ Revision: 98780
- diskdrake: disbale encryption option for /boot
- match partitions when one of them as device_alias to the device of the other
  one (Fixes Mageia bug #1041)

* Thu May 12 2011 ennael <ennael> 13.51-1.mga1
+ Revision: 97560
- update icons for harddrake

* Fri May 06 2011 tv <tv> 13.50-1.mga1
+ Revision: 95562
- bind more pciutils/libldetect for stage1
- localedrake:
  o use proper locales-XX packages for Albanian (#1036)

  + dmorgan <dmorgan>
    - imported package drakxtools


* Thu Apr 21 2011 anssi <anssi> 13.49-1.mga1
+ Revision: 89353
- new version 13.49
- service_harddrake:
  o load new drivers or ask for reboot also if the driver is switched due to
    a hardware change instead of an ldetect-lst change
  o show yes/no buttons instead of ok/cancel when asking about running a
    config tool
  o show a dialog about having to use nokmsboot if we couldn't automatically
    reconfigure the boot loader (e.g. when booted directly from a foreign
    bootloader) (Mageia bug #893)

* Sun Apr 17 2011 anssi <anssi> 13.48-1.mga1
+ Revision: 87365
- clean empty lines from the end of .spec
- version 13.48
- service_harddrake:
  o adapt splash handling for plymouth (for showing dialogs)
  o add/remove nokmsboot boot option if needed
  o ask for a reboot after a driver switch if needed, and load the new driver
    if no reboot is needed
  o do not switch a display driver if speedboot has already started X server,
    in that case simply disable speedboot for next boot
- add nokmsboot boot option also if the bootloader is installed after setting
  up a conflicting display driver (e.g. draklive-install)

* Sat Apr 02 2011 tmb <tmb> 13.47-1.mga1
+ Revision: 79856
- require updated ldetect-lst
- update to 13.47
  * modify a string in partitioning_wizard.pm to be more grammatically correct
    (spotted by Sigrid Carrera, on mageia-i18n ML)
  * update modules list needed for md raid456 and dm-raid 4/5/6 target
  * arm/mips support
  * use EVIOCGBIT ioctl instead of parsing /proc/bus/input/devices
  * finish-install: touch reload-dm lock file
    (used in live systems to restart gdm with new defaults )

* Fri Feb 18 2011 tv <tv> 13.43-1.mga1
+ Revision: 53897
- Change text to grey
- Remove mandriva occurencies
- Rename $mandrake_release and mandrake_release_info() functions
- cpufreq: add support for Athlon/Phenom II processors (#58477)
- handle new drivers:
  o ethernet: cx82310_eth
  o 10g ethernet: bna, pch_gbe, stmmac
  o modem: ft1000
  o usb storage: keucr, uas
  o wifi: ath6kl, bcm_wimax, brcm80211, carl9170, r8712u

* Mon Feb 07 2011 dmorgan <dmorgan> 13.40-1.mga1
+ Revision: 48239
- Fix file list
- New version 13.40
- Clean spec file

  + kharec <kharec>
    - imported package drakxtools


* Wed Nov 24 2010 Eugeni Dodonov <eugeni@mandriva.com> 13.39-1mdv2011.0
+ Revision: 600427
- 13.39:
- fixes for working with xserver-1.9
- include missing perl modules (#60720)
- fix use of arrays as a reference
- install static device symlinks under /lib/udev/devices (Andrey Borzenkov)

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 13.35-4mdv2011.0
+ Revision: 564234
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 13.35-3mdv2011.0
+ Revision: 556538
- do not require no more existing perl-suid (needed by fileshareset and filesharelist)
  (to be really fixed)

* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 13.35-2mdv2011.0
+ Revision: 556528
- rebuild for new perl

* Tue Jun 22 2010 Olivier Blin <oblin@mandriva.com> 13.35-1mdv2010.1
+ Revision: 548608
- 13.35
- add scrollbar to partitionning wizard if needed
- user management: focus on first entry in dialog, root password if
  superuser is asked, user real name otherwise (#54910)
- timezone.pm: change India default timezone name from Asia/Calcutta to
  Asia/Kolkata (#59715)
- timezone/mirror.pm: change Brazil/East entries to America/Sao_Paulo,
  Brazil/East is the deprecated/old time zone name

* Sat Jun 05 2010 Thierry Vignaud <tv@mandriva.org> 13.34-1mdv2010.1
+ Revision: 547135
- drakauth:
  o fix installing lib64sasl2-plug-gssapi instead of
    libsasl2-plug-gssapi on 64bit machines when 32bit media are
    available (#57728)
- harddrake:
  o fix displaying encoded reason
  o fix translating reasons for 2nd stage warning
- localedrake:
  o fix listing locales only providing UTF8 metadata (#59634, Herton
    Ronaldo Krzesinski)
  o further fix listing locales (#58543)

* Fri Jun 04 2010 Pascal Terjan <pterjan@mandriva.org> 13.33-1mdv2010.1
+ Revision: 547112
- lookup major:minor of devices outside $::prefix
- display lock icon for not enabled dmcrypt too
- disable dmcrypt before deleting partition, evin if inside lvm/raid
- fix loading of btrfs module

* Wed Jun 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.32-1mdv2010.1
+ Revision: 546938
- don't lose mountpoint if suggested partition was swap (#59510)
- copy all devices to target

* Wed May 26 2010 Christophe Fergeau <cfergeau@mandriva.com> 13.31-1mdv2010.1
+ Revision: 546137
- 13.31:
- service_harddrake: reconfigure X server after distro upgrades when video
  driver has changed (#53753)

* Wed May 26 2010 Pascal Terjan <pterjan@mandriva.org> 13.30-1mdv2010.1
+ Revision: 546094
- task-kde3-minimal is dead, and there is now task-gnome-minimal
- do not remove important networking packages even if they seem unused (#49668)

* Mon May 24 2010 Pascal Terjan <pterjan@mandriva.org> 13.29-1mdv2010.1
+ Revision: 545803
- display_release_notes.pl: don't use ::isInstall to position the release not
  window on top of everything (doesn't work on the Ones), use
  any::set_wm_hints_if_needed instead (#59155)
- handle raid metadata version
- force raid metadata to be 0.90 if /boot is on raid 1
- fix detection of /var partition
- fix raid 0 to be handled as raid

* Wed May 19 2010 Olivier Blin <oblin@mandriva.com> 13.28-1mdv2010.1
+ Revision: 545331
- 13.28
- display_help: allow scripts to close window, for first time wizard
  (by default webkit only allows it for first page in history or for
  pages opened by DOM, requires webkit-1.2.0-3mdv2010.1)
- always set resume= when a swap is available, regardless of its size (#34681)

* Mon May 17 2010 Pascal Terjan <pterjan@mandriva.org> 13.26-1mdv2010.1
+ Revision: 544908
- enable acl by default on ext2/3/4 fs
- enable user_xattr on home for ext2 too
- allow setting acl option in diskdrake
- default to defaultFS in LVM, not ext2

* Tue May 11 2010 Pascal Terjan <pterjan@mandriva.org> 13.25-1mdv2010.1
+ Revision: 544513
- bugfix for draklive-install: use short locale name when matching
  locales-* packages to detect unused locales (fixes bug #44270)
- diskdrake:
  o don't ask to reboot after resize if not needed
  o do not ask to reboot after resizing LUKS if not mounted
- workaround mapper/* being symlinks in dmraid support

* Mon May 10 2010 Pascal Terjan <pterjan@mandriva.org> 13.24-1mdv2010.1
+ Revision: 544302
- devices:
  o get major/minor of device mapper correctly now that they are links
- fix creation of device mapper devices in fs::any::prepare_minimal_root
  (this fixes initrd creation from one if using lvm)

* Fri Apr 30 2010 Pascal Terjan <pterjan@mandriva.org> 13.23-1mdv2010.1
+ Revision: 541331
- diskdrake:
  o fix the crypto mountpoint checks for the create case
  o partially fix resize of active encrypted volumes
  o fix race when creating encrypted partition out of install

* Thu Apr 29 2010 Pascal Terjan <pterjan@mandriva.org> 13.22-1mdv2010.1
+ Revision: 540956
- diskdrake:
  o correctly set mountpoint on included partition, not encrypted one
  o refuse to have /boot encrypted
- finish-install:
  o wait for network-up before trying to configure it (blino)
- diskdrake:
  o do not warn about data loss when changing type of unformatted partition
  o do not write partition table after creation if not needed
  o handle deleting encrypted partitions
  o display lock icon on encrypted partitions
  o fix loading of dmcrypt info now that /dev/mapper/* are symlinks
  o fix creating encrypted LVM
  o fix display of non unlocked encrypted partitions
  o re-use existing strings

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 13.20-2mdv2010.1
+ Revision: 539570
- rebuild so that shared libraries are properly stripped again

* Wed Apr 21 2010 Pascal Terjan <pterjan@mandriva.org> 13.20-1mdv2010.1
+ Revision: 537704
- iskdrake:
  o allow resizing empty FAT (#58770)
  o offer encryption in a more visible way when creating a partition
  o remove cryptoloop from diskdrake interface and transparently use dm-crypt
  o support having dm-crypt partition with non default FS
  o do not display dm-crypt partitions in separate tab, display included
    partition directly in-place

  + Christophe Fergeau <cfergeau@mandriva.com>
    - 13.19:
    - service_harddrake:
      o remove 'Disable "dri"' from xorg.conf if nouveau is being used
    - drakxservices:
      o translate more service descriptions (#46640)
    - detect "Rack Mount" Chassis as server
    - diskdrake:
      o use device label even if it was not changed  (#47456)
      o allow resizing btrfs
      o allow creating btrfs and nilfs2
    - drakboot
      o remove "restricted" option from general advanced options (wasn't doing
        anything with grub, and wasn't really useful with lilo)
      o add per-boot-entry "lock" checkbox in advanced options to be able to
        protect booting these entries with a password

* Wed Mar 17 2010 Thierry Vignaud <tv@mandriva.org> 13.15-1mdv2010.1
+ Revision: 523694
- include 'mpt2sas' SCSI driver (#57833)
- add mdadm raid10 support
- package display_release_notes.pl so that "release notes" button works in Ones
  & Flash live media (#58199) (broken since version 12.48 - 7 September 2009)
- harddrake:
  o identify HECI controllers as system devices (#58215)

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 13.12-2mdv2010.1
+ Revision: 512198
- rebuild for new parted

* Thu Feb 25 2010 Thierry Vignaud <tv@mandriva.org> 13.12-1mdv2010.1
+ Revision: 511108
- add support for asturian (#56990)
- detect_devices:
  o fix merging PCI devices info from sysfs which resulted in
    ill-informed devices matching (#57711)
- handle new drivers:
  o webcam: stv06xx (#53940)
- run_program:
  use home and logname of user we are dropping privileges to, not 501
- harddrake:
  o display info about cores
  o do not display 2 decades old CPU bugs
  o try harder to match webcams (#53940)
- drakboot:
  o fix crypted password detection
- add missing requires on xset

* Thu Feb 04 2010 Anssi Hannula <anssi@mandriva.org> 13.10-3mdv2010.1
+ Revision: 500958
- rebuild due to missing packages

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 13.10-2mdv2010.1
+ Revision: 500891
- handle new drivers:
  o ATA: pata_atp867x, pata_piccolo, pata_rdc
  o DVB: dvb-usb-ec168, dvb-usb-friio, earth-pt1
  o ISDN: avmfritz, mISDNinfineon, netjet, speedfax, w6692
  o network: vmxnet3
  o radio: radio-miropcm20, radio-usb-si470x
  o RAID: 3w-sas, hpsa, pmcraid
  o SCSI: be2iscsi, bfa, pm8001, vmw_pvscsi
  o TV: cx25821, saa7164
  o wifi: r8187se, r8192_pci, r8192u_usb, rt2800pci, vt6655_stage, vt6656_stage
- drakboot:
  o default to always crypt grub passwords
  o ensure /boot/grub/menu.lst permissions are 0600 since it can
    contains a password
  o fix support for crypted grub passwords

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 13.9-2mdv2010.1
+ Revision: 500580
+ rebuild (emptylog)

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 13.9-1mdv2010.1
+ Revision: 500568
- drakboot:
  o add support for crypted grub passwords
  o always display security settings
  o allow timeout to be '0'

* Tue Jan 26 2010 Thierry Vignaud <tv@mandriva.org> 13.5-1mdv2010.1
+ Revision: 496867
- drakboot:
  o fix reading security level
  o enable to set bootloader password in high security level
- harddrake
  o detect "Hitachi" & "Maxtor" vendors for more hard discs
  o fix displaying empty info for USB discs
  o fix detecting firewire controllers with newer kernels
  o guess real vendor names for SCSI discs like we do for IDE devices
-booloader:
  o fix bootloader entry name for rc kernels
  o remove mnb from bootloader entry name like we do for mdv

* Thu Jan 07 2010 Thierry Vignaud <tv@mandriva.org> 13.4-1mdv2010.1
+ Revision: 487167
- installation mount points: reset unknown partitions types to default
  fs (ext4) instead of hardcoded ext3
- detect_devices:
  o fix detecting pcmcia serial devices
- diskdrake:
  o show Ext4 instead of Ext3 in the gtk filesystems button box
- harddrake:
  o fix detecting some cameras

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 13.2-3mdv2010.1
+ Revision: 482619
- rebuild for parted

* Mon Dec 14 2009 Pascal Terjan <pterjan@mandriva.org> 13.2-2mdv2010.1
+ Revision: 478529
- Bump release...

  + Thierry Vignaud <tv@mandriva.org>
    - fix creating devices
      (really "fix handling hdX/sdX devices (#53107)")

* Sun Dec 13 2009 Anne Nicolas <ennael@mandriva.org> 13.1-3mdv2010.1
+ Revision: 478232
- bump again for build system
- Bump release for packages lost in bs

  + Thierry Vignaud <tv@mandriva.org>
    - diskdrake
      o fix setting volume label instead of MBR's one for FAT fses (#52853)
    - localedrake
      o drop support for configuring KDE3
      o fix configuring ibus (#56130, #56311)
      o install 'ibus-qt4' if configuring ibus under KDE4 (#56311)

* Tue Dec 01 2009 Thierry Vignaud <tv@mandriva.org> 13.0-1mdv2010.1
+ Revision: 472378
- bugfix for draklive-install: use ::prefix in pkgs::remove_unused_packages
- devices detection:
  o fix reading USB details (#55690)
  o fix SCSI driver module name
  o fix sysfs device path from usb devices
- partitioning wizard:
  o unmount swap too when unmounting all partitions
  o do not suggest Windows mountpoint for mounted partitions
    (breaks install if the Win partition is the installer media)
  o suggest non-removable disks first
- harddrake:
  o do not display bogus "0" ids for hard disks
  o fix detecting some mice
- bootloader:
  o do not add removable drives as "Windows" entry in bootloader
  o do not pass deprecated --ifneeded option anymore to mkinitrd
- detect better invalid dos partition table (fixes a crash in harddrake)
- mygtk2:
  o allow labels to be set selectable
- diskdrake:
  o allow copying disk and partition infos (#55886)
- localedrake:
  o do not warn about already installed packages when run as user

* Thu Nov 19 2009 Thierry Vignaud <tv@mandriva.org> 12.78-1mdv2010.1
+ Revision: 467407
- kill draksplash
- bootloader-config:
  o fix migrating swap to UUID
- drakboot
  o remove CONSOLE_LOGO support
  o rework UI layout to account for CONSOLE_LOGO support removal
- diskdrake:
  o allow to convert ext2/3 to ext4 but do not enable flags
  o don't request ntfs-3g on target not yet installed system if we are
    run inside draklive-install (#55160)
  o fix detecting hidden partitions as recovery
  o fix handling hdX/sdX devices (#53107)
- display_help:
  o handle window.close() events (#55099)
  o hide Gtk+ "close" button when displaying first time wizard that
    now has a HTML "close" button again
- harddrake:
  o use actual package name to check for libalsa-plugins-pulseaudio
    availability instead of using the name of a provide
- partitioning wizard:
  o only display Help button in install

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 12.77-1mdv2010.0
+ Revision: 460299
- 12.77
- harddrake service: do not try to reconfigure xorg driver and crash
  if /etc/X11/xorg does not exist (breaks One startup)
- bootloader suggestion fixes (to fix removal of vga= option when
  updating with the installer):
  o make sure we use long name when adding second kernel with same
    extension than preferred one
  o do not add again kernels that are already in bootloader config file
  o add vga= option for kernels that are not the preferred one as well
  o remove previous linux-nonfb entries (like done for failsafe),
    not to add them twice or more

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 12.74.2-2mdv2010.0
+ Revision: 460180
- Force rebuild

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 12.74.2-1mdv2010.0
+ Revision: 460144
- notify-x11-free-driver-switch, service_harddrake:
  o explain why xorg driver was reconfigured

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 12.74.1-1mdv2010.0
+ Revision: 459978
- service_harddrake:
  o fix detecting nvidia71xx and nvidia96xx nvidia proprietary driver
    when checking if current xorg driver still supports current card

* Wed Oct 28 2009 Thierry Vignaud <tv@mandriva.org> 12.74-1mdv2010.0
+ Revision: 459746
- partitioning wizard (Windows resize):
  o fix partition size computing (fixing pixel/sectors ratio)
  o improve default resizing suggestion:
    * try to keep at least 1GB free for Windows
    * try to use from 6GB to 10%% free space for Linux
  o use same windows partition size suggestion for gtk and text installs
  o really ensure keeping free space for Linux partition
  o really ensure keeping free space for Windows partition
- service_harddrake:
  o do not auto reconfigure if more than one graphic card
  o do not reconfigure to default driver if driver is not installed
  o enable to disable reconfiguring to default driver through
    /etc/sysconfig/harddrake2/service.conf
  o fix detecting nvidia proprietary driver when checking if current
    xorg driver still supports current card (#54943)
  o auto reconfigure x11 only on first time default driver have changed
  o reconfigure X11 driver if current X11 driver is neither one of
    currently supported driver for the card for drivers other than ATI
   & NVidia too (eg: poulsbo)

* Tue Oct 27 2009 Thierry Vignaud <tv@mandriva.org> 12.72-1mdv2010.0
+ Revision: 459502
- drakboot:
  o drop support for --splash
- service_harddrake:
  o explain why we switch driver in explanations
  o reconfigure X11 driver if current X11 driver is neither one of currently
    supported driver for the card, nor a legacy driver ('fbdev' or 'vesa')

* Fri Oct 23 2009 Olivier Blin <oblin@mandriva.com> 12.71-1mdv2010.0
+ Revision: 459063
- 12.71
- cpufreq: load e_powersaver for VIA C7 (#41377)

* Thu Oct 22 2009 Olivier Blin <oblin@mandriva.com> 12.70-1mdv2010.0
+ Revision: 458940
- 12.70
- curses backend: do not crash when resuming interface

* Mon Oct 19 2009 Olivier Blin <oblin@mandriva.com> 12.68-1mdv2010.0
+ Revision: 458268
- 12.68
- avoid error messages when using lvm in draklive-install (#36415)
- partitioning wizard:
  o use mandriva logo on blue background for mandriva partition
  o fix option selection when using keyboard

* Sun Oct 18 2009 Pascal Terjan <pterjan@mandriva.org> 12.67-1mdv2010.0
+ Revision: 458137
- service_harddrake: allow to force screen resolution using
  RESOLUTION_WANTED=XxY in /etc/sysconfig/harddrake2/service.conf
- partitioning wizard:
  o use a different color for newly created partition
  o add legend for the colors
  o display mount point if known
  o display ext2 like ext3/4
  o allow setting new windows size with keyboard (#54691)
  o use available space

* Thu Oct 15 2009 Pascal Terjan <pterjan@mandriva.org> 12.66-1mdv2010.0
+ Revision: 457786
- finish-install: do not offer to configure 3D desktop if none is
  installed (requires drak3d >= 1.27)
- mount windows partitions under /media instead of /mnt (#53392)
- partitioning wizard:
  o initialize correctly labels for windows resizing
  o fix labels for windows resizing when getting back to the screen
  o offer to resize last big enough windows partition instead
    of the first one, until user can chose
- resize disk graphical description when resizing diskdrake

* Wed Oct 14 2009 Pascal Terjan <pterjan@mandriva.org> 12.65-1mdv2010.0
+ Revision: 457403
- Version 12.65 - 14 October 2009
- partitioning wizard:
  o allow using existing partition on all disks (#54478)
  o reduce drawings height
  o fix windows resize width
- use UTF-8 for zh_TW (#53976)
- bootloader:
  o use initrd-2.6.30.2-xen-5mdv.img instead of initrd-xen-2.6.30.2-xen-5mdv.img
  o do not link /boot/vmlinuz to xen while allowing a unversioned /boot/vmlinuz-xen

* Mon Oct 12 2009 Thierry Vignaud <tv@mandriva.org> 12.64-1mdv2010.0
+ Revision: 456882
- run_program layer:
  o keep a copy of the X11 cookie
  o try harder to drop privileges
- partitioning wizard:
  o put back "previous" button on actions (#54475)
  o fix typo in message
  o fix testing interactive::gtk in standalone mode
  o fix displaying help
- drakups
  o fix crash (#54399)

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 12.63-1mdv2010.0
+ Revision: 456396
- 12.63
- bootloader configuration:
  o fix displaying arrows
- 12.62
- autologin/desktop configuration (shared code):
  o fix guessing dm name from lookupdm
  o abort configuration if dm install fails

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 12.61-1mdv2010.0
+ Revision: 456370
- 12.61
- partitionning_wizard:
  o do not fail when a windows partition is corrupted
  o add separator between solutions
  o give more space between header and solutions
  o prevent cursor to go under needed size because of rounding
  o chose windows resizing when clicking on the resize handle
    (not perfect)
  o improve resizing captions layout
- autologin/desktop configuration (shared code):
  o fix /etc/X11/lookupdm usage during install
    (for default dm selection)
  o use gdm for xfce4 and LXDE

* Wed Oct 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.59-1mdv2010.0
+ Revision: 455547
- Version 12.59 - 7 October 2009
- add back ram devices support (used by draklive)
- do not set mountpoints for rescue partitions (#53504)
- factorize default FS definition
- switch to ext4 by default

* Mon Oct 05 2009 Thierry Vignaud <tv@mandriva.org> 12.58-1mdv2010.0
+ Revision: 454170
- display_help
  o block right click contextual menu
  o do not display "Help" title for first time wizard

* Mon Oct 05 2009 Thierry Vignaud <tv@mandriva.org> 12.57-1mdv2010.0
+ Revision: 453914
- drakboot:
  o fix crash on clicking Up/Down buttons (#54077)
- use lzma extension again

* Thu Oct 01 2009 Thierry Vignaud <tv@mandriva.org> 12.56-3mdv2010.0
+ Revision: 452079
- rebuild for new ldetect
- switch from .lzma to .xz
- harddrake:
  o better check for PCI Express capability
  o nicer display of PCI Express name

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 12.55-1mdv2010.0
+ Revision: 448045
- do not require gtk+ stuff though webkit in drakxtools-curses (#53813)
- harddrake:
  o display PCI revision (#42576)
  o report if devices are PCI or PCI Express (#28479)

* Wed Sep 23 2009 Olivier Blin <oblin@mandriva.com> 12.54-1mdv2010.0
+ Revision: 447918
- remove merged patch
- 12.54
- drakboot:
  o don't detect disks if we are not in bootloader or splash mode
- autologin/desktop configuration (drakboot/finish-install):
  o when detecting default desktop, use first session
    (instead of using hacks with dm config files)
  o guess display manager from /etc/sysconfig/desktop,
    or default session, or /etc/X11/lookupdm
  o read autologin settings from /etc/sysconfig/autologin as fallback
  o read kdm config file only if kdm is to be used
  o always ensure dm is installed before configuring autologin/desktop
  o test display manager instead of desktop when configuring autologin
  o always write /etc/sysconfig/desktop
  o write DISPLAYMANAGER in /etc/sysconfig/desktop too
  o only write dm conf files if they exist before

* Tue Sep 22 2009 Thierry Vignaud <tv@mandriva.org> 12.53-1mdv2010.0
+ Revision: 447542
- drakxtools_http:
  o use LSB-compliant init script
- drakboot:
  o use stock icons for up & down buttons in order to pack them
    horizontaly so that we fit in default sizing(#53703)
- drakhelp
  o fix check for missing help
- diskdrake
  o suggest a LVM name and refuse empty or existing one (#53769)
  o prefer UUID on VirtIO too
  o don't consider lvm named md* as raid (#53767)
  o allow resizing ext4
- fix touchscreen module list
- list asix module in network/usb group

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 12.51-1mdv2010.0
+ Revision: 440580
- display_help
  o new small webkit based browser for rendering help and for FTW
- harddrake:
  o fix detecting some memory card readers as unknown
  o allow to skip XFdrake framebuffer setup (and thus splash removal)
    if SETUP_FB is set to "no" in /etc/sysconfig/harddrake2/service.conf
    (requires drakx-kbd-mouse-x11 >= 0.79)

* Tue Sep 08 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 12.49-1mdv2010.0
+ Revision: 433736
- mygtk2:
  o created 'WeaknessCheckEntry' widget
- adduserdrake:
  o added tooltip text to weakness icon
  o now use 'WeaknessCheckEntry' widget

* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 12.48-1mdv2010.0
+ Revision: 432795
- mygtk2:
  o HScale widget: added digits and ref_value options
  o HScale widget: fix for value option
- adduserdrake:
  o use icons to display password weakness
- added security-{low,medium,strong}.png pixmaps used for
  password weakness display
- authentication:
  o reduced password weakness check level
- draksound:
  o Fix soundprofile alternatives setting by using a more appropriate subroutine

* Fri Aug 28 2009 Pascal Terjan <pterjan@mandriva.org> 12.46-1mdv2010.0
+ Revision: 422015
- handle new drivers:
  o DVB: dvb-usb-ce6230
  o sound: snd-indigodjx, snd-indigoiox, snd-lx6464es
  o wireless: ar9170usb, mwl8k, r8192s_usb, rt2800usb, rt3070sta
- adduserdrake
  o added weakness check for root password
- drakboot:
  o fix crash bug #52997
- diskdrake:
  o fix for libparted 1.9 (#52991)
- detect_devices:
  o fix VirtIO devices support

* Wed Aug 19 2009 Thierry Vignaud <tv@mandriva.org> 12.45-1mdv2010.0
+ Revision: 417956
- drakbug
  o Top textbox shrinked
  o Added browse button
- drakhelp
  o fix firefox launch bug #29775
- added the ability to add up/down buttons in add_modify_remove list
  of interactive
- drakboot :
  o user is now able to re-order bootloader entries
- diskdrake
  o never pass username/password as options with davfs2
  o store credentials in davfs2 secret file before mounting
  o when user does not specify user/pass with davfs2, fallback to nobody/nobody
  o Fix a crash with regexp when a /etc/davfs2/secrets line is
    finished with one or more blank characters without comments
  o added the ability to exit the davfs2 mountpoint settings panel
  o added delete mountpoint support for davfs2
- adduserdrake
  o now use password weakness display
- added password weakness display feature in interactive
- handle new drivers:
  o sound: snd_ctxfi
- draksound
  o fix enabling and disabling with udev-detect properly (new PA)
  o introduce the concept of soundprofiles for enabling/disabling PA
  o remove alsa->pulse routing option (enabling pulse but not alsa redirection is a niche setup)

* Sun Aug 16 2009 Colin Guthrie <cguthrie@mandriva.org> 12.44-2mdv2010.0
+ Revision: 416916
- Support sound profiles in draksound

* Thu Aug 13 2009 Thierry Vignaud <tv@mandriva.org> 12.44-1mdv2010.0
+ Revision: 416076
- fix parsing dmidecode output (broken since we use dmidecode-2.10,
  aka since November 24 2008)
- localedrake
  o add "English (South Africa)" (#51057)
- fix window creation (#52812)
- don't add useless install lines in modprobe.conf

* Wed Aug 12 2009 Pascal Terjan <pterjan@mandriva.org> 12.43-2mdv2010.0
+ Revision: 415394
- fix window creation (#52812)

* Mon Aug 10 2009 Pascal Terjan <pterjan@mandriva.org> 12.43-1mdv2010.0
+ Revision: 414213
- Version 12.43 - 10 August 2009
- do not display nmblookup usage when there is no samba server
- draksound
  o handle udev-detect module too (new PA)
- do not crash when /etc/davfs2/secrets contains empty lines (like
  the default one) (#52305)
- do not crash when trying to create a partition on a device with
  no cylinder_size
- use gtk instead of X to focus window
- fix two crashes on handling devices

* Wed Jul 22 2009 Thierry Vignaud <tv@mandriva.org> 12.40-1mdv2010.0
+ Revision: 398549
- lookup unlisted devices in /sys (or /proc) when looking for
  major/minor of a device (#49339)
- don't log the links we ignore when looking for scsi devices (#49406)

* Tue Jun 16 2009 Pascal Terjan <pterjan@mandriva.org> 12.39-1mdv2010.0
+ Revision: 386483
- properly handle hidden variables in installer and diskdrake.

* Fri Jun 12 2009 Pascal Terjan <pterjan@mandriva.org> 12.38-1mdv2010.0
+ Revision: 385410
- use Hal list of recovery partitions (#51532)
- use blkid instead of vol_id which we no longer ship

* Tue Jun 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 12.37-1mdv2010.0
+ Revision: 382248
- 12.37:
- fixed crash when trying to get input devices (#51308)

* Fri May 29 2009 Thierry Vignaud <tv@mandriva.org> 12.36-1mdv2010.0
+ Revision: 381034
- added support for toggling 'hidden' parameter on widgets.
- ide-disk module is now named ide-gd_mod
- add new 'touchpad' TYPE to rpmsrate
- add support for ElanTech touchpads (found on EEEPCs)
- harddrake:
  o adding sierra module to network/cellular.
  o fix detecting scanners
- scannerdrake:
  o do not reject scanners handled by 'usbcore' driver
- detect_devices:
  o don't ignore FB-DIMM memory
- bump requires on perl-Gtk2 (#50412)

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.33-1mdv2009.1
+ Revision: 368916
- don't set umask=0 by default on windows partitions in 'secure' level.
- handle virtio block devices

* Wed Apr 22 2009 Thierry Vignaud <tv@mandriva.org> 12.31-1mdv2009.1
+ Revision: 368705
- diskdrake:
  o handle partition starting after 1To

* Tue Apr 21 2009 Thierry Vignaud <tv@mandriva.org> 12.30-1mdv2009.1
+ Revision: 368524
- add a basic testsuite (ensuring it compiles) in order to prevent
  future crashes like #50009
- diskdrake:
  o display a progress bar while formating an ext4 partition
  o render ext4 partition as red like ext3 ones
- harddrake:
  o fix wrongly selecting some 32bits packages on x86_64 (#50148)
- service_harddrake:
  o do not crash if loading new drivers fails
    (happened with amd64_agp wrongly listed in pcitable, #43870)
- finish-install:
  o ensure ntp package is installed when configuring ntp

* Tue Apr 21 2009 Thierry Vignaud <tv@mandriva.org> 12.29-1mdv2009.1
+ Revision: 368470
- finish-install:
  o handle both "ll_CC" and "ll" locales parameter (#49914)
- harddrake:
  o do not offer to install java plugin (#48520)

* Sun Apr 19 2009 Thierry Vignaud <tv@mandriva.org> 12.28.2-1mdv2009.1
+ Revision: 368086
- harddrake:
  o always detect PCI modems (even when (slow) detecting serial modems
    is disabled)
  o do not offer to install KDE packages on GNOME or LXDE (#49671)

* Thu Apr 16 2009 Thierry Vignaud <tv@mandriva.org> 12.28.1-1mdv2009.1
+ Revision: 367728
- diskdrake:
  o fix crash

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 12.28-1mdv2009.1
+ Revision: 367580
- diskdrake:
  o handle md devices not called md\d+, like md_d127
  o display an error when mount fails during View action
- bootloader:
  o keep grub entries which refer to unknown devices verbatim instead
    of crashing (#48728)

* Tue Apr 14 2009 Thierry Vignaud <tv@mandriva.org> 12.27-1mdv2009.1
+ Revision: 367144
- diskdrake:
  o Only write raid config into $::prefix if we are in install mode,
    this fixes draklive-install which should write to /etc directly as
    $::prefix does not yet exist (#49632)
- draksound:
  o enable to enable/disable glitch-free feature of PA
- harddrake:
  o do not open branches by default
  o fix listing some ATA (eg: pata_marvell) devices as unknown

* Wed Apr 08 2009 Thierry Vignaud <tv@mandriva.org> 12.26-1mdv2009.1
+ Revision: 365165
- harddrake service:
  o do not try to add media to /etc/fstab (#49621)
  o do not check anymore for disks on startup
- harddrake:
  o list card readers as system components instead of unknows devices
  o when device has no description, use vendor string

* Fri Apr 03 2009 Thierry Vignaud <tv@mandriva.org> 12.24-1mdv2009.1
+ Revision: 363838
- fixed crypto module names when arch is not i586 (#46814)
- drakauth:
  o handling winbind configuration when REALM != DNS (#49189)
- handle new drivers:
  o gigabit: be2net, slicoss
  o wireless: agnx, arusb_lnx
  o dvb: dvb-usb-dtv5100

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.20-1mdv2009.1
+ Revision: 362290
- draksec:
  o added support for drakroam authentication (#29566).
- changed X server restart routing not to rely on ctrl-alt-del (#49059).
- fixed a typo in list_modules for virtio modules
- diskdrake:
  o updated list of filesystems not handling bad blocks checking
  o display label in the graphical view when no mountpoint is set
  o always display label in partition info
- handle new drivers:
  o wireless: iwlagn

* Sun Mar 29 2009 Olivier Blin <oblin@mandriva.com> 12.18-2mdv2009.1
+ Revision: 362053
- rebuild for new ldetect

* Wed Mar 25 2009 Thierry Vignaud <tv@mandriva.org> 12.18-1mdv2009.1
+ Revision: 361010
- add new Entry infrastructure for rpmdrake
- detect_devices:
  o only look at valid scsi devices in /sys

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 12.17.1-1mdv2009.1
+ Revision: 359698
- fix syntax error in nb translation file
- add infrastucture for detecting vmware
- diskdrake:
  o allow LVM in non expert mode
  o allow Encrypted partition inside LVM

  + Thierry Vignaud <tv@mandriva.org>
    - handle new drivers:
      o wireless: wl
    - diskdrake:
      o don't crash when creating a partition in LVM with the partition type
        buttons (#38078)
      o write partition table if needed before setting label
      o fix setting label on not yet formatted partition
    - drakbug:
      o add error to summary when crashing in order to help sort duplicates

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 12.5-2mdv2009.1
+ Revision: 349094
+ rebuild (emptylog)

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 12.5-1mdv2009.1
+ Revision: 349092
- handle new drivers
  o dvb: dm1105, dvb-usb-af9015, dvb-usb-cinergyT2, firedtv
  o ethernet: smsc9420
  o gigabit: atl1c
  * pata: cs5536, it8172, it821x
  o ISDN: hfcpci, hfcmulti, hfcsusb, solos-pci
  o USB controllers: hwa-hc, whci-hcd
  o wireless: ath9k, i2400m-usb, rt2860, rt2870 and rtl8187se
- drakauth:
  o only install and enable pam_ccreds when required (#44027)
- finish-install:
  o finit support
  o give console rights for current session when renaming user
- drakdvb:
  o install w_scan if needed (#48242)
- harddrake:
  o all "gpsca*" driven devices are webcam
- localdrake/finish-install:
  o fix reading default input method setting
- remove extents options on ext4 when updating fstab

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 11.91-1mdv2009.1
+ Revision: 344662
- patch 0: fix build due to broken 'tr' translations
- harddrake:
  o hide module configuration button if needed (#16678)
  o remove empty module parameter instead of writing them  (#40581)
- harddrake service:
  o prevent wrongly notifying we switched from proprietary to free
    driver (anssi, #41969)
    (regression introduced in 11.70 on 16 October 2008)
- drakboot
  o do not crash b/c ext4 was forbidden for /boot (#47853)
- diskdrake
  o really don't set extents option for ext4
- drakdvb:
  o sort channels list
  o prefer vlc if present
  o kill running vlc if configured with one-instance by default
    (it does not use DVB options from new command line)

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 11.88-1mdv2009.1
+ Revision: 340934
- mygtk2 layer:
  o make references usable for entries
- reorganized modules in fs section of list_modules and added reiser4
- diskdrake:
  o limit partition type list to 2 colmuns instead of 4
  o don't offer to format LVM

* Sat Feb 14 2009 Pascal Terjan <pterjan@mandriva.org> 11.87-1mdv2009.1
+ Revision: 340190
- diskdrake:
  o allow resizing on lvm for mounted ext3/4 and not mounted xfs
  o use a list instead of combo in the partition type selection window
  o don't crash on invalid partition table

* Thu Feb 12 2009 Thierry Vignaud <tv@mandriva.org> 11.86-1mdv2009.1
+ Revision: 339822
- diskdrake:
  o forget the changed label when the user cancels
  o fix preserving UUID when formatting ext* and swap, and handle more FS (#39913)
  o don't set useless extents option for ext4 mounts
- localedrake:
  o set scim-thai as default IM for Thai
- drakboot:
  o when installing to a removable device, put boot sector there, else
    put it into first non removable drive (#47106)
- do_pkgs:
  o add ensure_files_are_installed
- load cbc for encrypted loop

* Tue Feb 03 2009 Pascal Terjan <pterjan@mandriva.org> 11.81-1mdv2009.1
+ Revision: 336890
- interactive::curses:
  o use a real file selector in curses too
- diskdrake:
  o don't rewrite label when it did not change (#47186)
  o rewrite gpt support with libparted
  o allow browsing partitions content to easily select the ones to destroy
- drakdvb: introduce new DVB channels scanning tool
- draksound:
  o disable auto spawning when diasbling PA (#47258)
- Add drakdvb

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 11.80-1mdv2009.1
+ Revision: 332160
- diskdrake:
  o don't use label for mounting partitions on lvm (#47024)
- draksec:
  o changed draksec functionality to prevent overlapping with msecgui.
- use "ComboBoxEntry" gtk2 widget instead of "Combo" (which is deprecated),
  this also workarounds gtk2 bug with "hidden" Entry + "Combo"

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 11.79-1mdv2009.1
+ Revision: 330263
- drakbug:
  o ask to attach blkid output as well as /etc/fstab & the like when
    debugging a boot issue
  o do not ask to include kernel version & /proc/cpuinfo since this is
    done automatically
 o request to attach lspcidrake's output rather than include it
   (smaller descriptions)
- diskdrake:
  o disable resizing ext4 since resize2fs is known to be broken regarding extents
  o --smb: fix netbios name resolution (#42483, thanks to Derek Jennings)
- scannerdrake:
  o fix a crash when installing firmware (#40738)

* Thu Jan 15 2009 Thierry Vignaud <tv@mandriva.org> 11.77-1mdv2009.1
+ Revision: 329744
- diskdrake:
  o --smb: cifs must be used instead of smbfs (#42483)
  o ext4dev is now stable and called ext4 in 2.6.28+
  o allow editing partition label without formatting (bootloader config is not
    yet updated)
  o allow setting label on NTFS and reiser4 partitions
  o don't suggest mountpoint outside install (#39596)
- harddrake:
  o fix displaying in proper category sound coprocessor & misc ACPI event keys
- prevent mdkapplet from crashing (#46477)
- diskdrake:
  o use sysfs in order to discover major/minor for SCSI like devices
    since they're dynamic with kernel-2.6.28+

* Wed Dec 17 2008 Thierry Vignaud <tv@mandriva.org> 11.75-1mdv2009.1
+ Revision: 315289
- handle new driver:
  o network: sxg, w35und
- bootloader-config:
  o do not modify /boot/vmlinuz symlinks before doing mkinitrd in case
    mkinitrd fails (#44862)
- diskdrake:
  o --nfs: handle "host:/" (#44320)
  o --nfs: handle domainname not set
  o kernel-2.6.28+ supports more than 15 partitions on SATA & SCSI devices

* Mon Dec 15 2008 Thierry Vignaud <tv@mandriva.org> 11.73-1mdv2009.1
+ Revision: 314556
- diskdrake:
  o fix crashing on writing fstab when using SMB (#46084)
  o fix racing with udev (#41832)
- drakboot:
  o enable to disable SMP support (#31339)
- scannerdrake:
  o install task-scanning (so that xsane-gimp got installed)

* Tue Dec 09 2008 Thierry Vignaud <tv@mandriva.org> 11.72-1mdv2009.1
+ Revision: 312338
- handle new driver:
  o network: et131x, smsc95xx
- drakbug:
  o write distro release in bug description
- finish-install:
  o use /dev/urandom instead of /dev/random to generate salt for passwords
    (since reading on /dev/random can block boot process)
  o show only installed 3D desktops
  o adapt to new Xconfig::glx API (drak3d 1.21)
- harddrake:
  o do not list PATA controllers as SATA
    (else we could just list all ATA controllers together)
  o do not show duplicated hardware as unknown (#46242):
    * list PC Speaker as sound card
    * track duplicated input devices
    * try harder to find duplicates

  + Pixel <pixel@mandriva.com>
    - 11.71:
    - diskdrake
      o --dav: handle davfs2 credentials in /etc/davfs2/secrets (#44190)
      o --dav: handle https

* Thu Oct 16 2008 Thierry Vignaud <tv@mandriva.org> 11.70-1mdv2009.1
+ Revision: 294214
- handle new driver:
  o ide: tx4939ide
- libDrakX:
  o share infrastructure so that rpmdrake can get rid of some gray
    windows
- harddrake service:
  o do not backup xorg.conf if we won't change the driver

* Wed Oct 08 2008 Pixel <pixel@mandriva.com> 11.67-4mdv2009.1
+ Revision: 291223
- transform a conflict into a require to help rpmlib on mdv2007.1 upgrade

* Wed Oct 08 2008 Pixel <pixel@mandriva.com> 11.67-3mdv2009.0
+ Revision: 291213
- ensure perl-MDK-Common >= 1.2.13 is installed before %%triggerpostun is done
- ensure failing %%triggerpostun do not cause havoc (eg: when there is no bootloder installed)

* Tue Oct 07 2008 Pixel <pixel@mandriva.com> 11.67-2mdv2009.0
+ Revision: 291173
- require perl-MDK-Common >= 1.2.13 for cat_utf8

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.67-1mdv2009.0
+ Revision: 290878
- 11.67
- detect_devices:
  o allow detection of low resources systems (extracted
    from compssUsers.pl) and netbooks/nettops
  o do not detect pan* devices as ethernet devices for now
    (network configuration tools do not fully support them)

* Wed Oct 01 2008 Thierry Vignaud <tv@mandriva.org> 11.63-2mdv2009.0
+ Revision: 290477
- bootloader-config (and other tools): handle /dev/mapper/xxx1 instead of
  /dev/mapper/xxxp1 (#44182)
- service_harddrake: enable/disable apmd if needed
- adapt ask_window_manager_to_logout

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 11.62-2mdv2009.0
+ Revision: 290354
- remove broken service symlinks (#44043)

* Wed Oct 01 2008 Thierry Vignaud <tv@mandriva.org> 11.62-1mdv2009.0
+ Revision: 290302
- fix dithering regression (introduced on 2008-09-29)
- render banner background with dithering
  (smoother on 16bpp displays)

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 11.61-2mdv2009.0
+ Revision: 290190
- bootloader-config:
  o --action migrate-to-uuids:
    o do not migrate non sdx/hdx to UUID (bootloader config)
    o do migrate dmraid device names to UUID
      (because of xxx1 vs xxxp1 device name issue, cf #44182)
  o fix dropping "chainloader" and "configfile" entries (#44045)
- reduce banner font size

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 11.60-2mdv2009.0
+ Revision: 290060
- Bump due missing .60 curses in repository. ( Lost in upload? )

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 11.60-1mdv2009.0
+ Revision: 290033
- libDrakX:
  o fix rpmdrake crashing when description begins by "Gtk2::.."
    (#43802)
- drakperm:
  o show banner when not embedded
  o use Gtk+2's FileChooserDialog

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 11.59-1mdv2009.0
+ Revision: 289728
- libDrakX:
  o add support for Gtk+2's FileChooserDialog for draksnapashot
- drakbug:
  o handle strange DBus errors

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 11.58-1mdv2009.0
+ Revision: 289329
- libDrakX:
  o add spacing between radio buttons for readability (#44332)
  o render left background of MCC with dithering (looks better on
    16bit displays)

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 11.57-1mdv2009.0
+ Revision: 289123
- libDrakX:
  o better positionning of mcc selection bar
- draksplash:
  o fix crashing when altering read-only combo boxes
    (regression introduced in 11.37 on 2008-09-08)
  o improved layout
  o increase default width so that translated widgets fit in
  o make it fit in 800x600 resolution (#36105)

* Fri Sep 26 2008 Thierry Vignaud <tv@mandriva.org> 11.56-1mdv2009.0
+ Revision: 288639
- dmraid devices: use isw_xxxxp1 instead of isw_xxxx1 (see #42542, #44182)
- do not display Help buttons in standalone mode since we do not have
  any contents
- factorize WebKit code with mcc

* Fri Sep 26 2008 Pixel <pixel@mandriva.com> 11.54.2-1mdv2009.0
+ Revision: 288534
- 11.54.2:
- bootloader-config:
  o --action migrate-to-uuids: be more precautious when modifying /etc/fstab
    (especially do not drop unrecognised entries) (#43548)

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.54.1-1mdv2009.0
+ Revision: 288128
- make gray background gradient available to mcc

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.54-1mdv2009.0
+ Revision: 288096
- enable mcc to not display any shadow around HTML view when using
  scrollbars
- make sure mcc always have fillers

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.53-1mdv2009.0
+ Revision: 287990
- add support for new MCC style
- fix icon alignment in banners

* Wed Sep 24 2008 Thierry Vignaud <tv@mandriva.org> 11.52.1-1mdv2009.0
+ Revision: 287814
- libDrakX:
  o add support for new mcc style

* Tue Sep 23 2008 Thierry Vignaud <tv@mandriva.org> 11.52-1mdv2009.0
+ Revision: 287634
- drakbug:
  o enable to disable it trough the DISABLE_DRAKBUG environment variable
  o fix sizing some labels (workarounding infamous 6 years old gnome
    bug #101968)
- harddrake service:
  o auto-configure floppies
    (may require to load floppy module at first boot on a new system)
  o do not try to run drakbug

  + Olivier Blin <oblin@mandriva.com>
    - do not hardcode floppy module in /etc/modprobe.preload.d/floppy,
      use a trigger to add it if needed

* Tue Sep 23 2008 Thierry Vignaud <tv@mandriva.org> 11.51-1mdv2009.0
+ Revision: 287391
- finish-install:
  o set dialog hint if drakx-matchbox-window-manager is used
    (not to maximize windows)
- kill drakprinter link (#44115)

  + Olivier Blin <oblin@mandriva.com>
    - require perl-Gtk2-WebKit (for help and release notes)

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50-1mdv2009.0
+ Revision: 286650
- restore support for right alignement for simple widgets
  (regression introduced in 11.46 - 17 September 2008)
- bootloader-config:
  o fix handling fd0 (regression introduced in 11.44) (#44049)

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.49.2-1mdv2009.0
+ Revision: 286481
- fix crash (#44053)
- localedrake:
  o add support for ibus

* Sat Sep 20 2008 Thierry Vignaud <tv@mandriva.org> 11.49.1-1mdv2009.0
+ Revision: 286087
- install banner images in the proper directory (#44038)

* Fri Sep 19 2008 Olivier Blin <oblin@mandriva.com> 11.49-1mdv2009.0
+ Revision: 285994
- 11.49
- handle new driver:
  o ethernet: enic, qlge
- remove harddrake service (now run by mandrake_everytime)

  + Thierry Vignaud <tv@mandriva.org>
    - libDrakx:
      o new banner style
    - bootloader-config, drakboot:
      o handle /boot/grub/install.sh with no "root (hd...)" line
        (this is the case for grub's installed prior to 2005-06-16)
        (#43786, #43431)

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 11.47.1-1mdv2009.0
+ Revision: 285860
- 11.47.1: bug fix release: add mandatory new modules for dm-crypt

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 11.47-1mdv2009.0
+ Revision: 285813
- 11.47:
- handle new driver:
  o ethernet: jme
- diskdrake:
  o handle partitions encrypted with cryptsetup
  o fix file system type drop down list showing most types as "..." in
    "Change partition type" dialog in expert mode due to ellipsizing
- harddrake2:
  o detect network and graphical driver packages too
- harddrake2 / remove-unused-packages:
  o fix network packages detection
- list btusb instead of hci_usb in bus/bluetooth (renamed in 2.6.27)

* Thu Sep 18 2008 Thierry Vignaud <tv@mandriva.org> 11.46-1mdv2009.0
+ Revision: 285569
- scannerdrake:
  o change all printerdrake references to system-config-printer
- libdrakX:
  o better layout for right aligned widgets
- bootloader-config:
  o --action migrate-to-uuids: do not migrate software raid to UUID (#43928)
- license: put focus back on Refuse button by default

* Wed Sep 17 2008 Frederic Crozat <fcrozat@mandriva.com> 11.44-2mdv2009.0
+ Revision: 285485
- finish-install now requires drakx-installer-matchbox

* Tue Sep 16 2008 Pixel <pixel@mandriva.com> 11.44-1mdv2009.0
+ Revision: 285295
- call "bootloader-config --action migrate-to-uuids" when upgrading from older
  drakxtools-backend
- 11.44:
- bootloader-config:
  o --action migrate-to-uuids: add UUID to swap v.2 in case the swap was
    created long ago when mkswap didn't do it by default
  o fix reading existing grub conf in present of /dev/mapper/xxxx0p1
    partitions (which was causing bootloader-config to drop correct entries,
    cf #37722)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 11.43-2mdv2009.0
+ Revision: 285124
- fix url
- really drop require on printerdrake-common

* Tue Sep 16 2008 Thierry Vignaud <tv@mandriva.org> 11.43-1mdv2009.0
+ Revision: 285092
- diskdrake:
  o fix check for mdadm in live install (#43785)
  o refresh GUI
- harddrake:
  o do not use anymore printerdrake and thus do not detect printers anymore
- drop require on printerdrake-common

* Thu Sep 11 2008 Thierry Vignaud <tv@mandriva.org> 11.41-1mdv2009.0
+ Revision: 283860
- fix default spacing between GUI elements
- "Help" dialogs:
  o add a separator before "Close" button
  o put "Close" button of help at right end
- finish-install:
  o fix setting utf8 when using lang=xx from /proc/cmdline (#43566)
- services (thanks to spuk):
  o list ip6tables in "Internet" category
  o list nfs-common and nfs-server in "File sharing" category
  o list rpcbind in "System" category
- fix http sub package description (#43391)

* Wed Sep 10 2008 Thierry Vignaud <tv@mandriva.org> 11.40-1mdv2009.0
+ Revision: 283577
- libdrakX:
  o make advanced popup display the same title as their parents
- drakboot
  o fix nolapic/lapic logic due to altered kernel settings
- fix input devices detection in rpmsrate (broken for 3 years, #43721)
- finish-install:
  o always ask timezone (#23303, #42368)
  o extract a "country" step out of the "language" one
  o guess country from timezone when possible (#23303)
  o call "country" and "keyboard" steps after "timezone" (#23303)
  o guess country from timezone without asking if COUNTRY is set to
    "simplified" in the configuration file (#23303)
  o behave nicely when a window manager is running (for debugging)

* Tue Sep 09 2008 Thierry Vignaud <tv@mandriva.org> 11.39-1mdv2009.0
+ Revision: 283191
- libDrakX:
  o fix missing maximize & minimize buttons with gnome WM (#43540) by
    reverting change from 2008-09-01: "make all windows are "dialog",
    so that gurpmi.addmedia during install displays nicely"
  o make all windows be "dialog" during install, so that
    gurpmi.addmedia during install displays nicely
- diskdrake
  o keep current UUID when formatting ext2/ext3 (was already done for swap),
    so that fstab on other distros continue to work (#39913)
    (requires e2fsprogs-1.41.1-2mnb2)
- drakboot --boot
  o drop the ability to set mem=xxx (#42329)
  o allow UTF8 in /boot/grub/menu.lst (#43714)

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 11.38-1mdv2009.0
+ Revision: 282693
- diskdrake
  o fix file system type drop down list showing most types as "..." in expert
    mode due to ellipsizing (#43611)
  o fix too large partition bar (#43073)
  o improved GUI

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 11.37-1mdv2009.0
+ Revision: 282505
- add descriptions to menu entries (#26106)
- do not size radio button that have a label (eg: drakauth) thus preventing
  uneeded horizontal scrollbar to appear
- drakauth:
  o new look
- drakboot:
  o update /etc/sysconfig/desktop since we read it in order to display
    previous setting
- draksplash:
  o make it fit better in 1024x768
  o make it working again
  o make some pull down menus not editable

* Fri Sep 05 2008 Olivier Blin <oblin@mandriva.com> 11.36-1mdv2009.0
+ Revision: 281248
- 11.36
- bootloader-config:
  o --action migrate-to-uuids: backup conf file prior to migration
    with suffix .before-migrate-to-uuids
- libDrakX:
  o fix handling KDE4 in running_window_manager() and
    ask_window_manager_to_logout()
- merge remove-unused-hardware-packages and remove-unselected-locales
  helpers into a new remove-unused-packages tool (and make it reusable)

* Thu Sep 04 2008 Pixel <pixel@mandriva.com> 11.35-1mdv2009.0
+ Revision: 280668
- 11.35:
- bootloader-config:
  o add --action migrate-to-uuids
- fix sizing some label (workarounding infamous 6 years old gnome bug #101968)

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.33.1-1mdv2009.0
+ Revision: 279221
- libDrakX:
  o handle KDE4 in running_window_manager() and ask_window_manager_to_logout()

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 11.30-1mdv2009.0
+ Revision: 278510
- service_harddrake: adapt kernel modaliases that are not valid
  anymore in modprobe.conf when booting a new kernel, this should fix
  migration from e1000 to e1000e and from iwl4965 to iwlagn (#41248)
- libDrakX:
  o make all windows are "dialog", so that gurpmi.addmedia during install
    displays nicely
  o fix alignment of check buttons
  o fix size of right aligned labels
  o fix sizing radio buttons' labels (infamous 6 years old gnome bug
    #101968)
  o prevent big combo boxes to cause an horizontall scrollbar to appear by
    using the "ellipsize" property
  o no relief on 'advanced' buttons

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.29-1mdv2009.0
+ Revision: 277425
- finish-install:
  o use gurpmi.addmedia when available to configure urpmi media
- diskdrake: use udevadm settle instead of udevsettle

* Thu Aug 28 2008 Thierry Vignaud <tv@mandriva.org> 11.26.1-1mdv2009.0
+ Revision: 276817
- fix asterisk in titles

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 11.26-1mdv2009.0
+ Revision: 276684
- fix "probe floppies only once" (#43216)
- bootloader-config:
  o call mkinitrd without "-v" to make it silent (#42992)
- harddrake service:
  o fix setting locales (#43224)
- misc GUI improvements
  o misc changes
  o properly size some labels (infamous 6 years old gnome bug #101968)
  o refresh "user management" step

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 11.22-1mdv2009.0
+ Revision: 275086
- probe floppies only once
- do not bother probing /dev/fd0 and loading floppy device uselessly,
  it takes time and it is already done by boot process
  (just check /proc/devices)
- do not let MCC crashes if an icon is missing (#37651)

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 11.21-1mdv2009.0
+ Revision: 275064
- diskdrake
  o ensure we initialize only once but at least one, thus fixing crash
    when embedded or in installer (#43011)
- localedrake
  o install proper qtX package for gcin

* Thu Aug 21 2008 Thierry Vignaud <tv@mandriva.org> 11.20-1mdv2009.0
+ Revision: 274559
- diskdrake
  o fix sizing partitions bar (#24410)
  o increase default width of buttons so that they fit in expert mode
- drakauth:
  o handle pam_tcb instead of (deprecated) pam_unix (#42471)

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.16-1mdv2009.0
+ Revision: 273842
- share new advanced icon with standalone tools

* Tue Aug 19 2008 Olivier Blin <oblin@mandriva.com> 11.14-1mdv2009.0
+ Revision: 273653
- 11.14
- authentication: enable network-auth meta-service if auth is not local

* Mon Aug 18 2008 Olivier Blin <oblin@mandriva.com> 11.13-1mdv2009.0
+ Revision: 273388
- 11.13
- do_pkgs: do not reload urpmi media at every check for package availability
- finish-install: set locale at first step when language is selected in gfxmenu (#42299)
- move hardware packages detection code from installer to drakxtools
- add helpers to remove unused localization and hardware packages
  (remove-unselected-locales, remove-unused-hardware-packages)

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 11.10.2-1mdv2009.0
+ Revision: 273193
- really fix another focus bug (#42750)

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 11.10.1-1mdv2009.0
+ Revision: 273191
- fix another focus bug (#42750)

* Thu Aug 14 2008 Thierry Vignaud <tv@mandriva.org> 11.10-1mdv2009.0
+ Revision: 271968
- diskdrake:
  o refreshed GUI
- localedrake:
  o default to UTF-8 for chinese simplified (#42137)

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 11.6-1mdv2009.0
+ Revision: 268174
- add product type to URL when fetching mirror list
- enable to share code between draksnapshot, mdkonline & net_applet

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 11.5-1mdv2009.0
+ Revision: 264284
- fix more strange focus bugs

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 11.4-1mdv2009.0
+ Revision: 263877
- fix strange focus bugs

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 11.3-1mdv2009.0
+ Revision: 263362
- drakedm:
  o adapt to dm.d files being moved to /usr/share (#41879)
  o do not try to configure an undefined dm

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 10.47-1mdv2009.0
+ Revision: 233399
- 10.47
- fix reading and setting kdmrc (by resolving alternative in chroot)

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 10.46-1mdv2009.0
+ Revision: 233218
- 10.46
- authentication:
  o add back fix to force the password to be utf8 (#23273)
  o fix reading md5/shadow options in /etc/pam.d/system-auth
- finish-install: log in syslog

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 10.45-1mdv2009.0
+ Revision: 233048
- 10.45
- update autologin file path for kdm4
- default to KDE4 (instead of KDE) if kdm config exists when reading
  autologin configuration
- change default authentication to local (instead of ldap)

* Fri Jul 04 2008 Olivier Blin <oblin@mandriva.com> 10.43-1mdv2009.0
+ Revision: 231704
- 10.43
- detect KDE4 when configuring autologin

* Wed Jun 25 2008 Thierry Vignaud <tv@mandriva.org> 10.39-1mdv2009.0
+ Revision: 228930
- bootloader-config:
  o fix handling xen kernels: it should not replace an existing 'linux'
  entry (#40865)
- service_harddrake:
  o handle nvidia173.ko (new legacy series of the proprietary driver)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 10.37-1mdv2009.0
+ Revision: 225435
- handle jpeg icons (needed for next rpmdrake)
- draksound:
  o do not set snd-ac97-codec's "power_save=1" options on MIPS

* Thu Jun 12 2008 Olivier Blin <oblin@mandriva.com> 10.34-1mdv2009.0
+ Revision: 218492
- 10.34
- partitioning wizard:
  o do not propose to resize "hidden" fat partitions
  o do not say "the Windows partition" when there can be more than one
- use UUID for resume= kernel parameter
- handle new drivers:
  o pata: pata_sch
- handle renamed drivers:
  o ide-cd is now named ide-cd_mod
  o generic is now named ide-pci-generic
- kernel-laptop is no more

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 Thierry Vignaud <tv@mandriva.org> 10.33-1mdv2009.0
+ Revision: 213106
- drakboot:
  o only read bootloader configuration when configuring it
    (usefull in chroots)
- draksound:
  o be more robust when managing /etc/alsa/pulse-default.conf
- drakbug:
  o automatically report CPU name & kernel version
  o prefill the platform field
- list hso driver in network/cellular

* Tue May 13 2008 Thierry Vignaud <tv@mandriva.org> 10.32-1mdv2009.0
+ Revision: 206754
- draksound:
  o advise to log out if PA is enabled/disabled
  o disable PA routing when PA is disabled (#40219)
  o grey PA routing & 5.1 sound if PA is disabled
  o make sure that switch alsa-plugins-pulseaudio is installed when
    enabling PA routing (#40533)
- handle new drivers:
  o pata: pata_sch

* Thu Apr 24 2008 Pixel <pixel@mandriva.com> 10.31-1mdv2009.0
+ Revision: 197205
- 10.31:
- bootloader-config:
  o do not detect device.map inconsistency when "/boot" (or "/") is on Linux
    software raid (/dev/mdX), cf #28309 and #35714

* Wed Apr 23 2008 Olivier Blin <oblin@mandriva.com> 10.30-1mdv2009.0
+ Revision: 197049
- 10.30
- bootloader-config:
  o fix detecting device.map inconsistency when "/boot" and "/" are
    not on same "drive" (esp. when "/" is LVM and "/boot" is not, #39229)
- diskdrake:
  o ensure no "division by zero" runtime error (#34931)
- drakupdate_fstab:
  o only add formatted partitions in fstab (or else it will make
    subsequent boot fail)
- fix file descriptor leak when detecting network driver
  (mostly notable in network center and drakroam)
- list generic module in disk/ide

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.29-1mdv2008.1
+ Revision: 192258
- 10.29
- service_harddrake:
  o fix detecting modules installed in new dkms locations (/dkms and
    /dkms-binary) instead of /kernel
- drakclock: write UTC setting in /etc/adjtime (#36522)

* Thu Apr 03 2008 Thierry Vignaud <tv@mandriva.org> 10.27-1mdv2008.1
+ Revision: 192076
- drakboot:
  o stop workarounding glibc misconfiguration when listing users
    (#38116), it is now handled in MDK::Common (see #34279)
- draksplash:
  o do not write decimal values in theme config (#38271)
- finish-install:
  o configure urpmi media if network is up and no media are configured
    (#38202)

* Tue Apr 01 2008 Thierry Vignaud <tv@mandriva.org> 10.25-1mdv2008.1
+ Revision: 191421
- DBus framework improvement

* Tue Apr 01 2008 Thierry Vignaud <tv@mandriva.org> 10.24-1mdv2008.1
+ Revision: 191394
- drakups:
  o fix crash while removing an item (#34413)
- harddrake:
  o offer again to run drakxtv for TV cards (#39609)
- diskdrake:
  o allow relatime on ntfs-3g (#39666)
- diskdrake --fileshare:
  o do not ask to install nautilus-filesharing if already installed (#39544)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 10.22-1mdv2008.1
+ Revision: 190766
- 10.22
- partitioning wizard lirary:
  o allow "Use free space" if there is an extended
  partition even if all primary partitions are used (#38804)
  (*old* bug!)
- draksplash:
  o fix reading grub conf (#39346)
- services backend:
  o handle services with "-" as default chkconfig level in more places
- mygtk2:
  o allow to create buttons with stock icons (for drakguard)
- finish-install:
  o really set the superuser password when using simplified user+root
    dialog (#39218)

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 10.20-1mdv2008.1
+ Revision: 189971
- do not run main_quit if not in a main loop (eg: while loading GUI)
  but block window deletion instead  (#39230)
- adduserdrake
  o force the password to be utf8 (#23273)
- diskdrake --nfs
  o ensure "nfs-common" is started (#34103)

* Fri Mar 21 2008 Thierry Vignaud <tv@mandriva.org> 10.19-1mdv2008.1
+ Revision: 189435
- bootloader-config, drakboot:
  o fix device.map if it is not consistent with the system
    (eg: it says hd0 in sdb whereas it now is sda) (#39160)
- diskdrake:
  o fix setting mount point of a /dev/mdX (#39142)
    (regression introduced in 10.8)
- list gspca, ov51x-jpeg and qc-usb-messenger in webcam modules group
- harddrake:
  o recommend using insensitive search (#39136)
  o notify at X11 startup when we switched to free video driver (#39164)

  + Olivier Blin <oblin@mandriva.com>
    - package notify-x11-free-driver-switch xsetup file

* Fri Mar 21 2008 Olivier Blin <oblin@mandriva.com> 10.18-1mdv2008.1
+ Revision: 189307
- 10.18
- drakfont:
  o fix importing fonts without chkfontpath (#37604)
  o stop restarting XFS server
- diskdrake:
  o keep existing swap UUID (#38877)
- partitioning wizard: do not show error message in wizard mode when
  cancel is clicked (clean wizard window instead)
- finish-install:
  o allow to ask both root and user accounts in the same step
  o replace home path in user config files when renaming a user
  (#30380)

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 10.17-1mdv2008.1
+ Revision: 189072
- 10.17
- use UUID by default (for diskdrake and draklive-install)
- finish-install:
  o write modprobe.conf after configuring network
  o do not configure network if already up
  o allow to use a simplified time step
    (no timezone selection, ntp settings as advanced)
- move functions to get available space from installer
  (to be used in draklive-install)
- localedrake: update OpenOffice/BrOffice alternative according to
  selected lang (#37820)

* Tue Mar 18 2008 Thierry Vignaud <tv@mandriva.org> 10.16.1-1mdv2008.1
+ Revision: 188709
- handle position for paned widgets (needed for rpmdrake, #38762)

* Tue Mar 18 2008 Thierry Vignaud <tv@mandriva.org> 10.16-1mdv2008.1
+ Revision: 188597
- adduserdrake:
  o display kdm/gdm icon again (was disabled on year ago)
- do not write aliases for asus_acpi and thinkpad_acpi in
  modprobe.preload, the modules are now handled by coldplug
- draksec
  o do not continue if installing msec crashed or was canceled (#38911)
- localdrake:
  o do not make /etc/sysconfig/i18n readable only by root in high
    security level (#39027)
- scannerdrake:
  o use provides instead of package name now that gurpmi handle them

* Fri Mar 14 2008 Olivier Blin <oblin@mandriva.com> 10.15-1mdv2008.1
+ Revision: 187997
- conflict with drakx-net < 0.28 (for Gtk2::Notify::Queue)
- 10.15
- fix changing UID on forking
- scannerdrake: use package name instead of Provides.
- create Gtk2::Notify::Queue out of Gtk2::NotificationBubble::Queue
  for libnotify support in net_applet (#37509)

* Thu Mar 13 2008 Thierry Vignaud <tv@mandriva.org> 10.12-1mdv2008.1
+ Revision: 187457
- fix gurpmi path (#38679)
- diskdrake:
  o graphical error message when "No hard drives found" (#38699)
    (otherwise drakbug will catch it and suggest to report a bug...)
- draksound:
  o enable to set 5.1 channels (#38796)
- scannerdrake: fix undefined variable $in (#36387, #37039)

* Tue Mar 11 2008 Thierry Vignaud <tv@mandriva.org> 10.11-1mdv2008.1
+ Revision: 186283
- diskdrake:
  o really fix partition device name for some dmraid (missing "p", cf #38363)
- draksound (#37826):
  o add support to enable/disable ALSA to PA routing (#37826)
  o add support to enable/disable PulseAudio
  o add support to enable/disable user switching
  o display trouble shooting when there's no driver too
  o enable to reset the sound mixer to default values
- cpufreq: fix gsx-suspmod probe
- scannerdrake: fix to open usbtable.gz instead of usbtable

* Thu Mar 06 2008 Thierry Vignaud <tv@mandriva.org> 10.10-1mdv2008.1
+ Revision: 180992
- finish-install:
  o do not show broken Cancel button in license step (#38195)
- diskdrake:
  o fix resizing/formatting ntfs (broken because of ntfs-3g switch in previous
    release)
  o fix partition device name for some dmraid (missing "p", cf #38363)
  o do not timeout after 10 minutes when resizing NTFS partition
- detect_devices:
  o provide sysfs device path on Firewire and PCMCIA bus
    (to be able to fix #33950 in drakx-net)

* Wed Mar 05 2008 Thierry Vignaud <tv@mandriva.org> 10.9-1mdv2008.1
+ Revision: 180053
- adapt to new kernel-2.6.25's sysfs layout (Eric Pielbug, #38235)
- diskdrake: use ntfs-3g by default for ntfs partitions
- draksplash: do not re-install grub, only modify grub's config file
- select proper padlock module for Via CPU (#38311)

* Mon Mar 03 2008 Thierry Vignaud <tv@mandriva.org> 10.7-1mdv2008.1
+ Revision: 178123
- bootloader-config:
  o have a nicer name for "mnb" kernels
- drakbug:
  o do not catch exception if $^S is undef
    (occurs when "eval { require foo }" and foo.pm do "use not_available")
- use gurpmi when installing packages if possible (#24044)
- require gurpmi >= 5.7 instead of gtkdialogs (#24044)

* Thu Feb 28 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-1mdv2008.1
+ Revision: 176555
- 10.6.25
- harddrake:
  o do not assign a mount point to partitions of type "Compaq diagnostics"
- API changes for drakx-net and rescue

* Mon Feb 25 2008 Thierry Vignaud <tv@mandriva.org> 10.6.23-1mdv2008.1
+ Revision: 174980
- drakboot:
  o make sure users are not listed twice (#38116)
- drakfont:
  o fix crashing when encountering file names with meta characters on
    windows partitions (#36482)
- diskdrake:
  o jfsprogs is now jfsutils
- drop support for arch now that rpmdrake-4.3 dropped it
- kill requires on ldetect-lst (already required through) libldetect)

* Thu Feb 21 2008 Thierry Vignaud <tv@mandriva.org> 10.6.22-1mdv2008.1
+ Revision: 173627
- diskdrake:
  o fix switching from LABEL=xxx to /dev/yyy in fstab (#37914)
- add support for snd-aw2
- drakboot --boot:
  o fix dropping grub "configfile" entries when switching to lilo
- draksound:
  o move all driver list & troubleshooting in an advanced expander

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 10.6.20-1mdv2008.1
+ Revision: 171902
- diskdrake:
  o final fix for resizing's failures due to udev's race
    (when writing the partition, do not del/add the same partition)
- harddrake GUI:
  o install linuxwacom if needed
- harddrake service:
  o use acpi-cpufreq for Mobile PIII/Celeron
    (family 6 model 11, for example Toshiba Port?\195?\169g?\195?\169 3500)
  o use speedstep-centrino only for supported models
    and prefer acpi-cpufreq (patch from Herton, #30208)
  o use p4-clockmod for some Intel family 6 processors not supporting EST

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 10.6.18-1mdv2008.1
+ Revision: 165723
- handle 'icon-pressed' signal of Gtk2::Sexy::IconEntry
- add support for Gtk2::Sexy::IconEntry (needed for rpmdrake)
- drakperm:
  o warning dialogs are confusing since OK/cancel both ends in cancel,
    let's offer only a cancel button

* Thu Feb 07 2008 Thierry Vignaud <tv@mandriva.org> 10.6.15-1mdv2008.1
+ Revision: 163565
- harddrake: do not try to install openoffice64 on x86_64 (#37318)

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 10.6.14-1mdv2008.1
+ Revision: 162921
- bootloader-config:
  o never use "vmlinuz-desktop" or "initrd-desktop.img", always use "vmlinuz"
    or "initrd.img" (#35721)
- drakfont:
  o fix crashing on file names with meta characters (#36482)
- enhance the logout dialog (ok/cancel instead of yes/no)
- short-circuit exit once drakbug was run on crash

* Thu Jan 31 2008 Thierry Vignaud <tv@mandriva.org> 10.6.11-1mdv2008.1
+ Revision: 160800
- drakbug:
  o autoselect distro version in bugzilla
  o explain what is the usefull part of the gdb trace
  o open help as user
  o stop translating program name in bugzilla (#35241)

* Mon Jan 28 2008 Thierry Vignaud <tv@mandriva.org> 10.6.10-1mdv2008.1
+ Revision: 159457
- handle new drivers:
  o ethernet: cpmac
  o gigabit: ipg
  o pata/sata: pata_bf54x, sata_fsl
  o sound: snd-at73c213
  o tv cards: cx23885
  o webcams: tcm825x
- detect raid partitions based on either type 0xfd or vol_id detecting
  linux_raid_member (#35684)
- bootloader-config:
  o fix handling LVM VGs with "-" in the name (#37267)
  o do not drop "lock" in chainload entries from grub's menu.lst (#36398)
- diskdrake --fileshare:
  o adapt to nfs-utils service rename (nfs-server instead of nfs) (#37069)

* Fri Jan 25 2008 Thierry Vignaud <tv@mandriva.org> 10.6.9-1mdv2008.1
+ Revision: 158048
- harddrake:
  o class more sensors as biometric
- drakbug:
  o do not display twice "Cannot be run in console mode." message
- finish-install:
  o do ask again language (got wrongly disabled in 10.6.8)
- harddrake service:
  o backup xorg.conf before falling back to safe driver (#37182)

* Thu Jan 24 2008 Thierry Vignaud <tv@mandriva.org> 10.6.8-1mdv2008.1
+ Revision: 157531
- bootloader-config, diskdrake:
  o look for LVM PV on non partitioned disk before looking for DOS
    partition_table (esp. for lilo which puts the DOS magic)
- drakbug:
  o make "Please describe what you were doing when it crashed" more
    visible and force people to write something in before opening
    bugzilla
- mygtk2: make sure users of ::no_ugtk_init (eg: drakbug) do catch
  exceptions in callbacks

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.6-1mdv2008.1
+ Revision: 156268
- 10.6.6
- bootloader-config:
  o fix root=xxx parameter for "/" on lvm using UUID= in fstab (#36542)
- adapt to perl 5.10.0

* Thu Jan 17 2008 Pixel <pixel@mandriva.com> 10.6.5-1mdv2008.1
+ Revision: 154209
- 10.6.5
- drakboot:
  o fix handling root=UUID=xxx when modifying a bootloader entry (#36788)

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 10.6.4-1mdv2008.1
+ Revision: 151251
- rebuild for perl 5.10.0
- 10.6.4
- localedrake, drakx-finish-install:
  o fix proposing Belgium when lang is "nl" and locales-fr is not installed
    (same for Canada with lang "fr" and locales-en not installed) (#36413)

* Wed Jan 09 2008 Thierry Vignaud <tv@mandriva.org> 10.6.3-1mdv2008.1
+ Revision: 147136
- handle new drivers: atl2 (ethernet), snd-virtuoso
- bootloader-config:
  o fix regression introduced in 10.5.7: do not create alt_xxx entries when
    adding a new entry in bootloader
- harddrake:
  o allow to set zero values in module options (#26515)
  o make "Run config tool" available again (#34794)
  o mark the service as interactive, so that package requests are
    displayed with parallell init
  o check that media are not USB keys before auto-configuring them (#34568)
- drakupdate_fstab:
  o never set "sync" option, use default fs options from drakx (#35204)
  o remove --no-flag option, the "kudzu" option has not been written for ages
- drakbug:
  o report crash messages in the bug report only when --incident is used
    (and not when tools explicitely run drakbug with --report)
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 11 2007 Thierry Vignaud <tv@mandriva.org> 10.6-1mdv2008.1
+ Revision: 117540
- handle new drivers:
  o ethernet: fec_mpc52xx, niu
  o gigabit: tehuti
  o pata: pata_cs5536
  o sata: sata_fsl
  o wireless: b43, b43legacy, iwlwifi, libertas_cs, p54pci, p54usb
- localedrake:
  o adjust Uzbek locale (cf locales-uz change)

* Thu Dec 06 2007 Thierry Vignaud <tv@mandriva.org> 10.5.7-1mdv2008.1
+ Revision: 115932
- handle new drivers: e1000e, snd-oxygen, snd-pcsp
- bootloader-config:
  o do not drop entries "failsafe" and "linux-nonfb" when removing a kernel
- localedrake:
  o adapt to cooker: scim-tables-skim is now skim-scim-tables
  o restrict the proposed input-methods for each language
- bootloader:
  o when reading existing menu.lst, keep verbatim entries for which the device
  has no mount-point
  o handle "alien" grub entries that will be kept verbatim (#23591)
  o handle "root (hd...)" for menu.lst entries (#23591)
    (nb: when writing, "root ..." will not be used)
- diskdrake:
  o drop "Undo", "Restore partition table", "Save partition table"
    (preparing to switch to libparted)
  o fix garbaged error messages when umounting fs
  o disallow "Use for loopback" when the partition used for loopback is
    not formatted (#35535)
  o always display the {info} field of the drive (not only in expert mode)

* Fri Nov 09 2007 Pixel <pixel@mandriva.com> 10.5.3-1mdv2008.1
+ Revision: 107038
- 10.5.3:
- bootloader-config:
  o do not create "linux" entries for xen kernels, but "xen" entries instead
- localedrake:
  o fix handling variant together with charset (eg: uz.UTF-8@Latn) (#35090)
- drakbug:
  o prevent altering tool and the like when catching a bug (#35241)

* Tue Nov 06 2007 Thierry Vignaud <tv@mandriva.org> 10.5.2-1mdv2008.1
+ Revision: 106435
- diskdrake:
  o add support for ext4
- drakbug:
  o keep buggy process around so that we can run gdb on it (if perl segfaulted)
  o report gdb trace if possible
- harddrake: detect storage and various controllers before anything else
  (so that storage devices get detected at first boot on live)

* Wed Oct 31 2007 Thierry Vignaud <tv@mandriva.org> 10.5.1-1mdv2008.1
+ Revision: 104179
- bootloader-config:
  o bootloader-config must not need network::network from libdrakx-net
  o if drakx-kbd-mouse-x11 is not installed, simply don't add bootsplash
    instead of dying
- fix buttons order under KDE when using compiz (by detecting kde-window-decorator)
- drakclock/finish-install: disable DPMS and screensaver when setting time,
  not to blank monitor (#17031)

* Mon Oct 15 2007 Thierry Vignaud <tv@mandriva.org> 10.5.0-1mdv2008.1
+ Revision: 98478
- localedrake:
  o do propose "Suisse" after selecting french language (#34675)
- draksec:
  o fix switching from "no_password" to "_password" (#34490)

* Fri Oct 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.239-1mdv2008.0
+ Revision: 95643
- finish-install: fix release notes window size

* Fri Oct 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.237-2mdv2008.0
+ Revision: 95609
- fix changelog

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 10.4.237-1mdv2008.0
+ Revision: 95583
- add shadow 'in' around Gtk2::SimpleList widgets
- fix installed modules detection (#34478)
- fix version reported by drakfont & harddrake
- when checking dkms module packages, check that modules are either
  available in urpmi media, or already installed (fix detection in live)

* Fri Oct 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.235-2mdv2008.0
+ Revision: 95552
- requires gtkdialogs which is needed in order to in install packages through urpmi --gui

* Thu Oct 04 2007 Thierry Vignaud <tv@mandriva.org> 10.4.235-1mdv2008.0
+ Revision: 95429
- diskdrake --fileshare
  o install nautilus-filesharing if nautilus is installed (#34262)
- finish-install: use translations for network step

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 10.4.234-1mdv2008.0
+ Revision: 95408
- 10.4.234
- finish-install: use translations for keyboard and 3D steps

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 10.4.232-1mdv2008.0
+ Revision: 95282
- 10.4.232
- add helper to get kernel module path (to be used in draklive)

* Wed Oct 03 2007 Nicolas Vigier <nvigier@mandriva.com> 10.4.231-1mdv2008.0
+ Revision: 95219
- fix bug #34371

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 10.4.230-1mdv2008.0
+ Revision: 95145
- drakboot --boot:
  o if there is a /boot, check /boot instead of "/" to allow grub or not

* Tue Oct 02 2007 Thierry Vignaud <tv@mandriva.org> 10.4.226-1mdv2008.0
+ Revision: 94606
- drakauth:
  o install lib64sasl2-plug-gssapi on x86_64 (instead of libsasl2-plug-gssapi)
- draksec
  o make authentication items be aligned
- add ath5k module in wireless category

* Mon Oct 01 2007 Thierry Vignaud <tv@mandriva.org> 10.4.225-1mdv2008.0
+ Revision: 94380
- diskdrake:
  o bugfix 10.4.162: allow "LVM" on RAID (#34359)
  o improved wrapping of mount option descriptions (#19848)
- we don't need gtkdialogs anymore

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 10.4.222-1mdv2008.0
+ Revision: 93773
- 10.4.222
- allow interactive::gtk frontends to ask for a directory
- allow interactive::gtk frontends not to pop wait messages

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 10.4.221-1mdv2008.0
+ Revision: 93674
- 10.4.221
- add back ipw3945 module in wireless modules list
- allow to detect VirtualBox guest systems
- add acpi-cpufreq support for some Intel CPUs (family 6 model 15)
  (from Herton Ronaldo Krzesinski, #30208)

  + Thierry Vignaud <tv@mandriva.org>
    - we no more need xtest

* Thu Sep 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.217-1mdv2008.0
+ Revision: 93352
- localedrake:
  o allow to choose countries like "Angola" which have no locale (en_AO) in
    the "best" countries (alas it won't be remembered, will only be used in
    kde settings for now)
- finish-install:
  o display nicer HTML release notes rather than raw text version

* Wed Sep 26 2007 Thierry Vignaud <tv@mandriva.org> 10.4.213-1mdv2008.0
+ Revision: 93068
- drakbug
  o don't report a non existant crash when run w/o --error
  o when unable to access X11, just print the backtrace on the console
- draksec:
  o add a right delegation tab
  o display arrows for tabs

* Mon Sep 24 2007 Thierry Vignaud <tv@mandriva.org> 10.4.210-1mdv2008.0
+ Revision: 92518
- diskdrake
  o fix "Add to LVM"
- drakclock:
  o fix race on ugtk2->exit that causes a crash (#33894)
- drakfont:
  o handle fontpath.d
  o size font directory list dialog

* Sat Sep 22 2007 Olivier Blin <oblin@mandriva.com> 10.4.209-1mdv2008.0
+ Revision: 92208
- 10.4.209
- make formatXiB() handle negative numbers (for rpmdrake)
- service_harddrake:
  o auto-configure CD-Rom drives in fstab again (even if it prevents
    KDE media manager from unmounting them), to be consistent with
    install which actually configures CD-Rom drives in fstab

* Fri Sep 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.208-1mdv2008.0
+ Revision: 91805
- 10.4.208
- service_harddrake:
  o do not auto-configure CD-Rom drives in fstab, it fordbids
    umounting with hal (install does not configure them in fstab either)
  o automatically configure harddisks
- finish-install:
  o write autologin settings after user creation only
    (so that home is set and exists, should partly fix GNOME autologin)
  o config first user to autologin if USER_AUTOLOGIN_FIRST is "yes"
  o read gdm autologin settings
- drakupdate_fstab: allow to configure harddisks

* Fri Sep 21 2007 Thierry Vignaud <tv@mandriva.org> 10.4.207-1mdv2008.0
+ Revision: 91697
- drakboot:
  o create .dmrc with mode 0644 for gdm (#33774)
- harddrake:
  o fix listing DVD/CD as them and as unknown (#33366)
  o stop offering to run drakxtv
- localedrake:
  o default input method is now scim-bridge (#32138)

* Wed Sep 19 2007 Thierry Vignaud <tv@mandriva.org> 10.4.204-1mdv2008.0
+ Revision: 91018
- buildrequires intltool
- diskdrake:
  o "Clear All" defaults to LVM on full disk if drive is >4TB
  o do not allow partitions bigger than 2TB-1 on DOS MBR, nor partitions
    starting above 2TB-1
- bootloader-config:
  o handle /boot/xxx files on linux raid1
- fix getting UUID on mdmadm (eg: md0) devices
- getInputDevices(): keep "Bus=..." for drakx-kbd-mouse-x11
- localedrake menu entries (#32941):
  o hide system config
  o make them more understandable
- move desktop menu entries out of spec and tag them as translatable
- prevent harddrake menu entry to be duplicated
- hide harddrake menu entry (#33072)

* Mon Sep 17 2007 Thierry Vignaud <tv@mandriva.org> 10.4.200-1mdv2008.0
+ Revision: 89034
- only run "chksession -l" if needed
- bootloader-config:
  o --rebuild-initrds: don't choke on kernel files which have no version in
    file name (#28772)
- drakboot:
  o boot entrie list uses ellipsis rather than scroll bar
- harddrake2:
  o display model & vendor for SCSI devices too

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 10.4.198-1mdv2008.0
+ Revision: 87734
- fix a crash
- localedrake:
  o install scim-bridge-qt4 if KDE4 is installed
- update require on doc
- do not hardcode icon extension

* Sat Sep 15 2007 Thierry Vignaud <tv@mandriva.org> 10.4.197-1mdv2008.0
+ Revision: 87174
- diskdrake:
  o fix typo breaking reading fstab with UUID= entries
- localedrake:
  o enable to select 'scim-bridge' as IM
  o install needed packages for skim
  o install scim-qtimm for scim default config
  o remove extra SCIM combinations (simpler)

* Fri Sep 14 2007 Thierry Vignaud <tv@mandriva.org> 10.4.195-1mdv2008.0
+ Revision: 85390
- distinct exceptions from segfaults, thus restoring catching SIGSEGV
  and preventing looping while segfaulting again
- fix loading of tifm_sd module (#18237)
- run_program layer: enable to drop privileges through setuid()
- drakbug:
  o run the regular user browser (#33522)

* Thu Sep 13 2007 Andreas Hasenack <andreas@mandriva.com> 10.4.193-2mdv2008.0
+ Revision: 85218
- consolehelper config for drakboot

* Thu Sep 13 2007 Thierry Vignaud <tv@mandriva.org> 10.4.193-1mdv2008.0
+ Revision: 85130
- drakbug:
  o better behaviour when resizing
  o use a TextView instead of Label so that text is selectable (see #33023)
  o better formatting
- draksound:
  o prevent stupid & useless "driver for your sound card is unlisted"
  o no more need to:
    * list OSS/ALSA alternatives if none
    * sync with list_modules

* Wed Sep 12 2007 Andreas Hasenack <andreas@mandriva.com> 10.4.192-2mdv2008.0
+ Revision: 84829
- use common pam configuration files for the usermode config

* Wed Sep 12 2007 Olivier Blin <oblin@mandriva.com> 10.4.192-1mdv2008.0
+ Revision: 84591
- 10.4.190
- localedrake
  o drop support for iiimf
- list jmicron driver in disk/ide
- library: have "defaults" mount option instead of empty string (for rescue)
- service_harddrake: drop snd-usb-audio blacklist
  (now done with a modprobe.d file)

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 10.4.190-2mdv2008.0
+ Revision: 84503
- add conflicts with ldetect-lst versions not handling preferred-modules and fallback-modules
  (used in some post scripts to configure IDE controller)

  + Pixel <pixel@mandriva.com>
    - correct license (GPLv2+)

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.190-1mdv2008.0
+ Revision: 80041
- display a warning when capslock is enabled and entering a password (#33028)
- hardware detection layer:
  o add support for tape device again (#31073)
  o enumerate generic SCSI devices again
- diskdrake
  o add a comment (a la ubuntu) in fstab when using UUID=
- harddrake
  o detect PS2 to USB converters as keyboards
  o display an identifier for generic SCSI devices
  o list generic SCSI devices

* Mon Sep 03 2007 Thierry Vignaud <tv@mandriva.org> 10.4.184-1mdv2008.0
+ Revision: 78684
- diskdrake
  o support for UUID in filesystems (and UUID=... in fstab)

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 10.4.183-3mdv2008.0
+ Revision: 77123
- drakxservices: ask console user for root password

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 10.4.183-2mdv2008.0
+ Revision: 77095
- draklog: ask console user for root password
- drakauth: ask console user for root password

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 10.4.183-1mdv2008.0
+ Revision: 76767
- new release, 10.4.183
- bootloader-config
  o handle new naming of vmlinuz flavors: vmlinuz-<version>-<flavor>-Xmdv
    instead of vmlinuz-<version>-Xmdv<flavor>
  o always use "linux" short name instead of "linux-<flavor>"
    (since the long name is quite nice nowadays)
- assume system is a laptop if it contains some "Intel Corporation|Mobile" devices
  (fix Samsung Q1U detection, #32967)
- draksound, harddrake service:
  o enable snd-ac97-codec power_save=1 option if installed on laptop (#32213)

  + Thierry Vignaud <tv@mandriva.org>
    - replace "X-MandrivaLinux-System-Configuration-Other" by
      "X-MandrivaLinux-CrossDesktop" so that localedrake doesn't appear in "More"
      submenu

  + Andreas Hasenack <andreas@mandriva.com>
    - allow drakfont to be run by console user provided he/she authenticates him/herself first
    - drakups: can be run as root by console user, providing the user password
    - use pam_timestamp for other consolehelper pam files

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 10.4.181-2mdv2008.0
+ Revision: 74743
- drakkeyboard and drakmouse can now also be run as root
  by the console user without a password prompt

* Wed Aug 29 2007 Thierry Vignaud <tv@mandriva.org> 10.4.181-1mdv2008.0
+ Revision: 74699
- fix plural translating for C locale
- diskdrake:
  o fix displaying umount error message (#32273)
  o write mdadm.conf when it is modified (#32360)
    (a nicer fix would be to write it when needed, not so soon, but it's harder)
  o change the legend and the colors per partition
  o fix action "Type" on a software raid (eg: dm0)

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 10.4.172-2mdv2008.0
+ Revision: 74674
- console user can now run drakclock as root without password

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.172-1mdv2008.0
+ Revision: 68134
- ignore wmaster* devices when detecting wireless interfaces
- misc mygtk2 updates

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 10.4.170-1mdv2008.0
+ Revision: 67874
- use '_' in modules names

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 10.4.169-1mdv2008.0
+ Revision: 63111
- adduserdrake, finish-install:
  o create only one user
  o fix checking user info (#32517)
- diskdrake:
  o add support for 'relatime' mount option
  o kill support for 'nodiratime' mount option
  o in fstab, have "xxx" instead of "defaults,xxx"

* Mon Aug 13 2007 Thierry Vignaud <tv@mandriva.org> 10.4.167-1mdv2008.0
+ Revision: 62707
- fix plural translations (#32505)
-  'ibm_acpi' driver was replaced by 'thinkpad_acpi (#31606)

* Sat Aug 11 2007 Thierry Vignaud <tv@mandriva.org> 10.4.166-1mdv2008.0
+ Revision: 61858
- do a normal die if drakbug is not present
- make Gtk2::MDV::CellRendererPixWithLabel RTL aware (#32450)

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 10.4.163-1mdv2008.0
+ Revision: 60610
- new release, 10.4.163
- for XFdrake: use update-alternatives command instead doing things by hand
  (this uses --set, new feature of update-alternatives) (#32362)
- harddrake:
  o display the PCI domain too
  o handle nvidia-current.ko (Anssi Hannula)

* Wed Aug 08 2007 Thierry Vignaud <tv@mandriva.org> 10.4.162-1mdv2008.0
+ Revision: 60384
- fix fetching translations from "libDrakX-standalone" domain (#32402)
- diskdrake: do not show partition types which have no associated
  filesystem for LVM LV (#32326)

* Mon Aug 06 2007 Thierry Vignaud <tv@mandriva.org> 10.4.161-1mdv2008.0
+ Revision: 59374
- drakbug: exceptions with "\n" are considered normal ways to quit and
  thus do not fire up drakbug (eg: #32292)
- diskdrake: restore progress bar when formatting ext3

* Mon Aug 06 2007 Thierry Vignaud <tv@mandriva.org> 10.4.160-1mdv2008.0
+ Revision: 59311
- diskdrake:
  o add support for "nodiratime" mount option
  o fix range max value >2TB when creating a partition (useful for LVs >2TB)
- drakxservices: describe a few more services (#18612)

* Mon Aug 06 2007 Thierry Vignaud <tv@mandriva.org> 10.4.159-1mdv2008.0
+ Revision: 59229
- diskdrake: allow setting "flush" option (for vfat)
- drakbug: do not report "wizcancel" exceptions (#32308)

* Fri Aug 03 2007 Thierry Vignaud <tv@mandriva.org> 10.4.157-1mdv2008.0
+ Revision: 58569
- report real version on --help
- drakbug: report version of drakbug
- list iwl3945/iwl4965 modules (and unlist ipw3945)
- logdrake: display "save" & "quit" button when run from the control center

* Thu Aug 02 2007 Thierry Vignaud <tv@mandriva.org> 10.4.156-1mdv2008.0
+ Revision: 58289
- localedrake:
  o adapt configuration of consolefonts for kbd
- logdrake:
  o fix crash if /var/log/explanations doesn't exist (#32234)

* Thu Aug 02 2007 Thierry Vignaud <tv@mandriva.org> 10.4.153-1mdv2008.0
+ Revision: 57979
- drakbug:
  o ask people to report lspcidrake -v output rather than lspci since it's more
    usefull to us
  o display the program that actually crashed and the error message
  o do not fire on exceptions in eval { }
  o do not loop if drakbug crashes
  o put full backtrace on bugzilla, not only last call point
- disable notifications (#18965)

* Wed Aug 01 2007 Thierry Vignaud <tv@mandriva.org> 10.4.152-1mdv2008.0
+ Revision: 57833
- drakbug:
  o add --error option in order to provide a backtrace
  o fix crashing on unknown programs
  o fix passing several options
  o prefill description too and hint the reporter how to provide usefull data
- report ordinary crash (unhandled exceptions, not seg faults) on bugzilla too

* Wed Aug 01 2007 Thierry Vignaud <tv@mandriva.org> 10.4.151-1mdv2008.0
+ Revision: 57823
- bootloader-config: handle vmdefault and vmdisable lilo.conf options (#26456)
- diskdrake: drop "Rescue partition table" feature
  (was based on rescuept which has been dropped in util-linux, but was quite
  bad compared to testdisk anyway)
- drakauth: fix bogus string (#10776)
- drakbug:
  o basic adaption to new bugzilla (#31995)
  o display Mandriva Online for mdkapplet in the "select mandriva
    tool" field
  o prefill default summary with the name of the actual program which crashed
- draksec: improve explanations (#6969)
- drakups: adapt to new nut doc path (blino)

* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 10.4.145-1mdv2008.0
+ Revision: 50630
- new release, 10.4.145
- modify usbWacom() for mousedrake
  (conflicts with drakx-kbd-mouse-x11 < 0.19)

* Thu Jul 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.144-1mdv2008.0
+ Revision: 48642
- service_harddrake:
  o do not bother configure old Xorg conf files anymore
  o log right driver we're switching to from fglrx
  o factorize code handling switch for both ati & nvidia

* Wed Jul 04 2007 Thierry Vignaud <tv@mandriva.org> 10.4.143-1mdv2008.0
+ Revision: 48152
- centralize common textdomains in a single common place, thus
  ensuring they'll be binded (#31580)
- diskdrake:
  o fix resizing's faillures due to udev's race when writing the partition
    table (deleting then recreating the nodes leaves a race window...)
- service_harddrake:
  o do not enable fglrx libraries when disabling fglrx...
  o only log "switch xorg driver" & do actual GL config if we do need it
  o really log when switching from fglrx to another driver

* Thu Jun 28 2007 Thierry Vignaud <tv@mandriva.org> 10.4.140-1mdv2008.0
+ Revision: 45452
- merge "ide" and "all_ide" categories since we now use fully
  modularized ide drivers
- bootloader-config:
  o configure ide-controller in modprobe.conf for upgrading to kernels
    with modularized ide drivers

* Wed Jun 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.139-1mdv2008.0
+ Revision: 45001
- add support to have full release info (eg: for #31223)

* Thu Jun 21 2007 Thierry Vignaud <tv@mandriva.org> 10.4.138-1mdv2008.0
+ Revision: 42329
- add support for snd-cmi8788 driver
- do not package drakautoinst (#27860)
- draksound:
  o prevent "unlisted driver" error for snd-aoa, snd-cs5530,
    snd-echo3g, snd-usb-caiaq & snd-usb-usx2y drivers
- harddrake UI:
  o stop scannerdrake from fooling us about scanners and from leading
    us to display twice the same device (#31182)

* Tue Jun 12 2007 Thierry Vignaud <tv@mandriva.org> 10.4.136-1mdv2008.0
+ Revision: 38185
- diskdrake: fix 1.9TB displayed as 1TB
- drakboot -boot: update splash when changing framebuffer resolution (#27470)
- harddrake UI: add a class for biometric sensors (fingerprint for now) (#31182)

* Fri Jun 08 2007 Thierry Vignaud <tv@mandriva.org> 10.4.135-2mdv2008.0
+ Revision: 37264
- interactive layer:
  o enable to override default size with Gtk+ frontend
- drakfont:
  o do not misbelieve a font is already installed if substring of
    another font name
  o finding windows fonts is now really case insensitive
  o simplify finding windows fonts

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 10.4.134-2mdv2008.0
+ Revision: 36138
- rebuild with correct optflags

  + Thierry Vignaud <tv@mandriva.org>
    - drakfont:
      o fix crash (#28016)
      o fix enumerating fonts on old windows (#28016)

* Tue Jun 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.133-1mdv2008.0
+ Revision: 35861
- bootloader-config: handle kernel-xen-uptodate (#31154)
- drakfont: fix crash

* Tue Jun 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.132-1mdv2008.0
+ Revision: 35290
- fix some UTF8 issue (#31067) (notably drakbug)
- hw support: handle snd-cs5530 driver
- progress bar wait_message: ensure it doesn't go crazy when asked to update
  with the same fraction (eg #30090)
- diskdrake: when formatting ntfs don't zero partition (#30928)
- drakfont:
  o do see fuse-mounted or ntfs-3g windows partitions (ffixxx, #28016)
  o try different cases on windows partitions (based on ffixxx suggestion, #28016)
- drakhelp: fix .mozilla dir as root when it doesn't exists (#29775)
- draksec: make the help dialog clearer about default values (#24159)
- harddrake GUI: fix USB UPS detection logic (whitelist supported hardware)
- harddrake service: drop support for kernel-2.4.x

* Fri May 18 2007 Pixel <pixel@mandriva.com> 10.4.131-1mdv2008.0
+ Revision: 27783
- remove unused %%update-menus (and %%clean_menus) in drakxtools %%post (and %%postun)
- bug fix for rpmdrake: pkgs.pm file was missing
- diskdrake:
  o fix resizing's failures due to udev race when writing the
    partition table

* Wed May 16 2007 Thierry Vignaud <tv@mandriva.org> 10.4.130-1mdv2008.0
+ Revision: 27159
- bootloader-config: do create /boot/initrd-xxx.img when there is no
  bootloader (#30771 comment #21)
- create udev nodes configuration file in /etc/udev/devices.d/ instead
  of conf.d (used for modem and mouse)
- diskdrake:
  o use "mkfs.ext3" instead of "mkfs.ext2 -J"
    (to have dir_index & resize_inode features)
    (cf Frederik Himpe 23 Apr 2007 mail on cooker)
  o fix ext3 formatting with label and progress bar (#30032)
- localedrake: don't call grub-gfxmenu when used by simple user

  + Pixel <pixel@mandriva.com>
    - have libXxf86misc.so.1 require (for xf86misc) from drakx-kbd-mouse-x11 here
      (because we do not want drakx-kbd-mouse-x11 to require X libs)


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 10.4.127-1mdv2007.1
+ Revision: 150036
- don't configure /etc/kde/kdm/kdmrc if it doesn't exist
   (other kdmrc.rpmnew will be created, many important values will be missing)
 - finish-install: source mandriva-release profile script to get
   correct gtk theme (Frederic Crozat)

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 10.4.126-1mdv2007.1
+ Revision: 149915
- use pci_domain when matching sysfs device and computing
  sysfs device path

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 10.4.125-1mdv2007.1
+ Revision: 149888
- fix multiple detection of PCI network cards with the same driver (#29688)

* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 10.4.123-1mdv2007.1
+ Revision: 149015
- blacklist ax*, rose*, nr*, bce* and scc* Hamradio devices
  when detecting network interfaces (#28776)
- harddrake service: fallback on the right driver for ATI gfx cards
  when fglrx module is missing
- introduce shared bootloader functions so that draklive-install and
  drakboot add correct command line parameters (such as resume=)
- use grub by default (noticeable in One install)

* Fri Mar 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.121-1mdv2007.1
+ Revision: 148665
- interactive::curses:
  o handle multi-line labels, and wrap too long labels (#29060)
- do not use bold&big for advanced_messages
  (fixes authentication choice being big & ugly, #28676)

* Thu Mar 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.118-1mdv2007.1
+ Revision: 147960
- diskdrake:
  o minimal support for switching from ntfs to ntfs-3g
  o move ntfs in the list of "important" filesystems
- enable to set up 32bit media on x86_64
- fix lang configuration in KDE by writting it in current profile
- detect all known TV cards (#29633)
- harddrake service:
  o load modules for DVB & TV cards (#29633)
  o switch ATI cards to free driver if binary driver isn't installed
- use http://api.mandriva.com/mirrors/$type.$version.$arch instead of simply
  $version.$arch (useful to differentiate CorpoDesktop4)

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.116-1mdv2007.1
+ Revision: 146616
- handle more drivers (dvb, ethernet, gigabit, ide, pcmcia, sata,
  sound, tv, usb hosts, wan, webcam, wireless)
- diskdrake: handle mkntfs
- localedrake: remove error running grub-gfxmenu when /boot/gfxmenu doesn't exit

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 10.4.114-3mdv2007.1
+ Revision: 146388
- drakxtools-backend is in basesystem, ensure it doesn't require drakx-kbd-mouse-x11

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.114-2mdv2007.1
+ Revision: 145083
- bump release
- do not load anymore floppy module (#23158, #25975, #28911, #29280)
- harddrake* now explicitely require libdrakx-net

  + Pixel <pixel@mandriva.com>
    - drakxtools-backend should only require what its binaries need
      (still: bug, lsnetdrake doesn't work without network/network.pm)
    - adding those requires to harddrake and harddrake-ui
    - move the require monitor-edid to drakx-kbd-mouse-x11

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.114-1mdv2007.1
+ Revision: 144863
- new release, 10.4.114
- fix testing success exit of child processes (mdkapplet)
- localedrake: set grub gfxmenu language

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.113-1mdv2007.1
+ Revision: 144738
- new release, 10.4.113
- drakboot --boot: allow choosing a non-installed bootloader
  (ease switching from lilo to grub)
- use grub-gfxmenu comand to configure /boot/gfxmenu for grub

* Thu Mar 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.112-1mdv2007.1
+ Revision: 144573
- die on downloading mirror list faillure
- log using mirror API into explanations

* Thu Mar 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.110-1mdv2007.1
+ Revision: 144360
- add sizing dialog support for rpmdrake
- do not buggily use speedstep-centrino on Core2 duo, but use it on
  P4M (as initially intended?) (blino)

* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.108-1mdv2007.1
+ Revision: 143140
- load tifm_sd if needed (#25133)
- drakbug:
  o fix finding package for keyboarddrake
  o fix managing --incident MandrivaUpdate
  o menudrake was replaced by drakmenustyle
  o some tools were splited out of drakxtools; enable to lookup the proper package
- shorter descriptions

* Fri Mar 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.105-1mdv2007.1
+ Revision: 139489
- configure "tifm_7xx1" driven card_reader (#25133)
- enhance wrapping in some dialogs

* Wed Mar 07 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.104-1mdv2007.1
+ Revision: 134467
- do not bother configure old modutils
- handle SD cards (#24054)
- harddrake2: list SD card readers in their own category

* Tue Mar 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.102-1mdv2007.1
+ Revision: 133631
- diskdrake in text mode: when choosing a partition, "Empty space on hdx"
  instead of "Empty" (#29087)
- harddrake service:
  o adapt to new nvidia drivers (#29052)
  o when switching from nvidia to nv, do setup gl_conf alternative
- symlinkf_update_alternatives: remove broken files for missing slave files
  (useful for not having a broken /etc/modprobe.d/nvidia.conf (XFdrake))

* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.101-1mdv2007.1
+ Revision: 127027
- framework: make all dialogs modal if using the transient hint
- harddrake2: fix detecting Live Box adapters (#19626)

* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.100-1mdv2007.1
+ Revision: 126986
- add a framework to fix unrefreshed GUIes while performing heavy jobs
- harddrake2:
  o refresh the GUI if needed while enumerating devices
  o stop asking questions about hw packages since they are available
    to everybody

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.99-3mdv2007.1
+ Revision: 126050
- bump release
- new release
- bump buildrequire on ldetect-devel due to ABI changes

* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.97-1mdv2007.1
+ Revision: 124649
- drop support for rpmdrake < 3.26
- bootloader config (blino):
  o really rebuild initrd on post of pm-utils & the like
  o when switching from lilo to grub, rename existing lilo.conf so
    that it doesn't get in the way (#28754)
- drakbug: let be able to find packages for sbin executables (#28815)
- interactive layer: center wizards before WM is started (blino)
- versionnate the provides of kudzu (per request of Julien Buchanan in order to be able to install OpenVZ kernels)
- bump conflicts on rpmdrake

* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.95-1mdv2007.1
+ Revision: 121348
- be able to detect "AlpsPS/2 ALPS DualPoint TouchPad" (pixel)
- drakfont:
  o better import layout
  o fix copying fonts (Martin Whitaker, #27506)
  o fix crashes on removing fonts (#23344)
  o fix transcientness hints
  o sort font list when offering to remove fonts
- drakxtv: drop support for configuring xawtv, we now have better
  alternatives for both GNOME & KDE
- fileshareset: /etc/exports: add option "no_subtree_check" (pixel)

* Thu Feb 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.94-1mdv2007.1
+ Revision: 118202
- drakboot: do not drop existing "serial=" line from lilo.conf
  (pixel #28622)
- fix forwarding transcienness hint when embedded in MCC

* Tue Feb 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.92-1mdv2007.1
+ Revision: 116734
- drakboot: do not garbage lilog.com (pixel, #28521)
- harddrake2:
  o do not display sub ids if generic
  o kill support for anecdotical bttv options

  + Pixel <pixel@mandriva.com>
    - tarball of drakxtools now contains a perl-install/ directory
      (so that tools/ directory is cleanly kept outside)
    - harddrake now requires meta-task for rpmsrate-raw

* Mon Jan 29 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.91-3mdv2007.1
+ Revision: 115091
- bump release

  + Pixel <pixel@mandriva.com>
    - build with drakx-installer-binaries to get pcmcia_probe()

* Wed Jan 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.91-1mdv2007.1
+ Revision: 112868
- mugtk2 layer: fix Gtk2::SimpleList scrolling
- bootloader-config: add "--action rebuild-initrds", to use in
  pm-utils %%post (pixel)
- diskdrake: allow jfs on x86_64 (pixel, #28310)
- updated URL (Tomasz Pawel Gajc)

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.90-2mdv2007.1
+ Revision: 110903
- bump release
- drakxtools-backend requires drak3d & drakx-kbd-mouse-x11 for several modules

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.90-1mdv2007.1
+ Revision: 110765
- interactive layer: small improvement in texte mode (pixel)
- mygtk2 layer: fix Gtk2::ComboBox::get_text() (rpmdrake crash, #28018)
- adduserdrake: disable choosing an icon when creating a user (kdm/gdm
  do not display them) (pixel)
- bootloader-config (pixel):
  o don't drop "lock" entry-option (#28199)
  o use ID_FS_LABEL instead of ID_FS_LABEL_SAFE (#28174)
- cleanup specfile after splitting some tools
- require new enough Locale::Gettext for better i18n management

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.89-1mdv2007.1
+ Revision: 106624
- diskdrake: detect standard grub (which is currently at 0x17f)
  (pixel, #27983)
- drakboot, bootloader-utils:
  o copy files not available at boot time in /boot/copied/ (#28028)
  o do not allow password with grub-graphic (pixel)
  o make default entry more visible
  o no grub-graphic when using serial console
  o no resume=/dev/xxx for the failsafe entry (pixel)
- draksec: fix crash (blino)
- mousedrake: fix choosing a not important mouse (ie inside the
  [Other] subtree) (pixel)
- XFdrake: fix ModeLine_from_string (pixel)
- move foomatic-db-engine require from drakxtools into printerdrake

* Fri Dec 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.88-1mdv2007.1
+ Revision: 101469
- drakboot, bootloader-utils: fix writing gfxmenu line in menu.lst
  when the line already existed (pixel)
- XFdrake: fix trying to install non existant packages on voodoo cards

* Thu Dec 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.87-1mdv2007.1
+ Revision: 101029
- infrastructure:
  o handle translating plurals
  o prevent being unable to add widgets on buttons later (eg:
    net_monitor)
  o ensure subdialogs to go away once closed (pixel)
  o misc bug fixes
- interactive layer (pixel):
  o correctly size truncated labels
  o handle checkboxes that can be "disabled"
- bootloader-utils, drakboot (pixel):
  o don't drop password in grub menu.lst
  o ensure message does not contain the old graphic format (#27631)
  o ensure mandriva-gfxboot-theme is installed when asking for
    grub-graphic (#27557)
  o use gfxmenu instead of splashimage for grub
- drakbackup: /mnt -> /media (stew)
- diskdrake (pixel):
  o don't use focus_first when the first entry is a title (#26977)
  o some filesystems can be mounted, but not formatted (eg:
    befs). don't check availibility of mkfs.xxx for them (#27451)
- draksec: require to be root to run draksec (blino)
- harddrake service (blino):
  o always disable compositing desktop effects when configuring a new
    video card
  o make it really non-interactive
- localedrake --apply: make it really non-interactive (blino)
- XFdrake: some EDID are much too strict: the HorizSync range is too
  small to allow smaller resolutions (pixel, #27162)

* Thu Dec 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.86-1mdv2007.1
+ Revision: 92074
- drakbackup: /mnt -> /media (stew)
- drakboot: use gfxmenu instead of splashimage for grub (pixel)
- bump release
- drop gtk+2-devel buildrequires which is not needed
- drop e2fs-devel buildrequires which is useless since 2005-10-18
- package installation in tools (pixel):
  o adapt to new urpmi API
  o fix handling virtual media
- diskdrake, drakupdate_fstab: move from /mnt to /media (pixel)
- bootloader (pixel):
  o drop lilo-graphic support in favor of grub+gfxboot
  o minimal silo support
  o prevent BOOT_IMAGE to cause havoc because it contains spaces

  + Olivier Blin <oblin@mandriva.com>
    - move draksambashare in drakxtools gtk package (or else drakxtools-curses requires perl-Gtk2...)

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.84-1mdv2007.1
+ Revision: 89403
- add support for "select all" in rpmdrake (#25271)
- mygtk2: some enhancements
- split out printerdrake & network stuff
- diskdrake (SMB), drakboot, drakclock, drakfloppy, draknfs, drakperm,
  draksec, draksplash, draksplash2, mousedrake, net_applet,
  net_monitor: basic port from ugtk2 upon mygtk2 (report any breakage)
- drakbackup: fix archiver detection/config file replace for real
  (stew, #26705, #27180)
- drakboot: better layout for autogin
- drakfont: now Fontmap.GS is in ghostscript-common (pablo)
- keyboarddrake (pablo):
  o choice for ISO9995-3 keyboard (US keyboard with 3 levels per key)
    (#19330)
  o set default keyboard for 'en_AU' to 'us'
- localedrake (pablo):
  o changed 'en_GB' to 'en_AU' as the default locale for "English" in
    Oceania
  o added choices for en_CA and en_NZ (#14893)
- drakperm, draksec: HIG-ize
- harddrake &n harddrake-ui need printerdrake-common
- printools is now obsoleted/provided by rpmdrake
- bump conflict on rpmdrake due to API changes
- printerdrake was split out

  + Olivier Blin <oblin@mandriva.com>
    - require drakx-net packages
    - remove old debian-style menus
    - move netprofile requires in drakx-net
    - move network tools description in drakx-net
    - drop network tools from file list patterns
    - drop unused provides
    - move network tools description in drakx-net
    - remove net_applet files
    - use stricter xsetup listing

* Wed Nov 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.83-1mdv2007.1
+ Revision: 84319
- fix build due to blino changes
- interactive layer (pixel):
  o add some padding before titles and expanders
  o better expander expanding
  o fix checkboxes (#26853)
  o prevent having several Curses::UI object (eg: harddrake2)
  o prevent having havoc with SpinButtons
- bootloader-config: fix dropping append= from lilo.conf (pixel,
  - drak3d (blino):
  o adapt to compositing-wm-common configuration file
  o allow to select OpenGL compositing window manager
  o beryl support
  o use more generic "native" word instead of AIGLX, and reorganize
    drak3d accordingly
  o don't install task-3ddesktop but only required packages
  o assume the context is Xgl only if the server GLX vendor is "SGI"
    (may fix misdetection of new nvidia drivers with native GL
    compositing support)
- drakauth:
  o add pam_mount support (blino)
  o hide password when calling "net join" or "net ads join"
    (pixel, #26643)
- drakbackup: fix archiver issue (stew, #26705)
- drakboot:
  o contrary to lilo & syslinux, grub doesn't pass BOOT_IMAGE=xxx to
    the kernel, which is useful for suspend-scripts (pixel, #26813)
  o do not use mbootpack files anymore when switching back to grub
    (blino)
- drakconnect: update madwifi URL (blino)
- drakroam: load network::connection::cellular_card (blino, 26846)
- drakvpn (blino):
  o pkcs11 token support in openvpn module
  o use etoken pcks11 module if present
  o add a wait_message when preparing connection
  o correctly handle installation/preparation failure
  o stop VPN connection if running before starting it in drakvpn
  o ask for authentication username password and PIN code (using the
    openvpn management interface) if required
- net_applet: allow to interactively prompt for settings when starting
  VPN connections (blino)
- finish-install (blino):
  o add pam_mount and encrypted home support
  o use an init level for the xsetup.d script
- XFdrake (pixel): restore old behaviour of X auto configuration:
  instead of never-prompting-user, prompt when we can't configure
  automatically

* Fri Oct 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.82-1mdv2007.1
+ Revision: 73137
- Import drakxtools

* Fri Oct 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.82-1mdv2007.1
- 64-bit fixes for Newt binding (gwenole)
- interactive layer (pixel):
  o refactoring, cleanups
  o new ncurses backend
  o use expanders for advanced widgets
  o use a global scrolled window
- kdesu needs a quoted string (#26383)
- mirror API: enable edit-urpm-sources to ask for updates then distro
  sources
- reenable SIGSEV handler
- bootloader: ensure text is ASCII (pablo)
- diskdrake: don't let error resizing xfs or reiserfs go unnoticed
  (pixel, #26412)
- drakbackup: do not backup the backup files (AdamW)
- drakboot (blino):
  o don't add entries for Xen with lilo if mbootpack is not installed
  o support Xen with lilo using mbootpack
- drakconnect (blino):
  o refactoring
  o add missing functions in bluetooth support (#26141)
  o do not wrongly tell that acx100-firmware can be found in Club or
    commercial editions (#26475)
  o fix rfcomm device lookup
  o try to find modems on /dev/ttyUSB* devices (#20674)
- draksound: don't display OSS when there's no driver
- drakTermServ: drop support for terminal-server/clusternfs, unionfs
  is the default now (stew)
- finish-install: ensure all strings are translated
- localedrake: enable to select language (and thus to choose eiher
  utf8 or legacy encoding) when only a locale is installed (#26097)
- network tools (drakroam/drakconnect) (blino):
  o fallback on signal level if no quality can
     be parsed from iwlist scan (useful for at76_usb)
  o consider only 64-bits keys as hex for wpa_supplicant
  o improve nozomi driver description
  o up the wireless interface if needed before running iwlist scan
    (some drivers need the interface to be up to scan networks)
  o do not check for ipw3945 kernel module packages
  o use iwpriv commands to configure WPA on rt2570 and rt61 chipsets
  o improve warning messages for missing thirdparty components
  o there is no known package for acx100
  o detect wireless interfaces with unknown driver (e.g. rt61)
  o try to find full device for unknown interfaces
- printerdrake: fix not detecting scanner due to changes in the format
  of HPLIP's device description XML files (till, #26567)
- service harddrake: add support for "force" keyword in
  /etc/sysconfig/harddrake2/service.conf

* Fri Sep 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.81-1mdv2007.0
- harddrake: don't warn that we need some club packages if there's no
  non-free media but the needed packages are already installed (#26072)

* Thu Sep 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.80-1mdv2007.0
- interactive layer:
  o more off screen layout fixes (#25894)
  o escape titles (blino)
- drakbug, draksound, draksplash: use specific icons for window titles
- drakconnect: improve firewire interfaces detection (blino, #25568)
- finish-install: improved timezone layout (blino & me)
- harddrake service: detect the fid flag in cpuinfo "flags" too (blino, #25723)

* Thu Sep 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.79-1mdv2007.0
- more off screen layout fixes (#25894)
- drakconnect: check if IP address is used only in interfaces started
  on boot

* Wed Sep 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.78-1mdv2007.0
- drak3d, drakclock, finish-install: fix off screen layout (#25894)
- drakboot: adapt to new gdm layout
- harddrake: Chicony devices are not UPSes (#25558)

* Wed Sep 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.77-1mdv2007.0
- really do not try to run dmidecode if not root (blino, #24478)
- drak3d: don't try to detect glx capabilities with vmware driver (blino)

* Wed Sep 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.76-1mdv2007.0
- harddrake:
  o do not detect SAITEK devices as UPSes (#21617)
  o only install package of priority 5 (#21945)
- finish-install: show 3D desktop step only if supported (blino)

* Tue Sep 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.75-1mdv2007.0
- drakconnect: don't set empty hostname (blino)
- harddrake2: handle full rpmsrate formmat (#19952)
- net_applet: make it able to guess name of hotplugged USB devices (blino)
- printerdrake (till):
  o 64-bit fixes
  o be able to detect old printers or parallel port in
    mono-directional mode (#25799)
  o fix in file list for printing package installation (#25824 & #25835)
  o improved sorting of auto-detection results.
- XFdrake: add module alias from nvidia to nvidia_legacy if a nvidia
  legacy card is configured and the nvidia_legacy kernel module is
  available (blino)

* Tue Sep 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.74-1mdv2007.0
- add support for rpmdrake-3.5
- fix some bogus translations
- drak3d (blino):
  o don't allow to use Xgl with i810 and 16 bits
  o match on configured driver instead of probed driver (eg: nv) (#25864)
- drakboot: fix parsing of vga= option in grub (blino, #25789)
- drakconnect: fix loading firmware files from windows system (blino)
- printerdrake: allow manual setup of local printers in beginners mode
  if auto-detection fails (till, #25799)

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.73-1mdv2007.0
- make mirror API availlable to rpmdrake
- drakconnect: don't write incorrect "No IP" and "No Mask" fields in
  ifcfg files (blino, #23939)

* Sat Sep 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.72-1mdv2007.0
- use autostart file to start net_applet in KDE (blino, #25099)
- diskdrake: fix rereading partition table on dmraid (pixel)
- drak3d (blino):
  o add an help button (#24875)
  o don't run glxinfo for "nv" driver
  o follow desktop's button order
- drakconnect, drakroam net_applet (blino):
  o fix detection of WPA access points when iwlist is used
  o remember roaming wireless mode (#21903)
  o more WIRELESS_IWPRIV fixes for old rt2400/rt2500 drivers (#21903)
- drakconnect (blino):
  o don't use ifplugd if no driver is defined (useful for
    br/tap/tun/... devices)
  o use a link detection delay of 6 seconds for tg3 and skge drivers (#18986)
  o don't try to set empty hostname
- drakclock: translate zones in NTP servers list (blino)
- drakproxy: remove vhost option in squid.conf (blino, #25424)
- service_harddrake: enable rfswitch using acerhk on Compal CL56
  laptops (blino)

* Fri Sep 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.71-1mdv2007.0
- load "ibm_acpi" on IBM and LENOVO laptops, and "hdaps" for LENOVO
  laptops (blino, #21597)
- load "asus_acpi" in modprobe.preload for ASUS laptops (blino, #22387)
- mousedrake: don't override special imwheel conf (pixel)
- printerdrake (till):
  o mark the network as existing if broadcast ping doesn't work (#24879)
  o add support future versions of HPLIP (1.6.9 and newer)

* Fri Sep 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.70-1mdv2007.0
- drak3d: don't run glxinfo on broken Xorg drivers, such as "sis"
  (#25160) & "tdfx" (#25388) (blino)
- drakconnect: allow to configure ethernet interfaces that are not
  associated to a hardware device (blino)
- finish-install: workaround "Previous" button behaving like "next" (#25349)
- XFdrake: do not enable RenderAccel for nvidia legacy driver (#24999)

* Fri Sep 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.69-1mdv2007.0
- fix drakxtools-http require
- drakconnect (blino):
  o fix and enhance VPI/VCI parsing from previous PPP peer file
  o drop old iwpriv flags if the device needs rt2x00 workarounds
  o really write module alias for wireless and cable connections (#24384)
  o warn if some packages can't be installed
- drakfont: add support for Japanese truetype collection (.ttc) and
  opentype (.otf) fonts (#13145)
- drakfirewall: better upgrade to shorewall 3 by adding (blino, #24990)
- drakups: exit if one refuses to install the needed packages (#24871)
- harddrake service: "handle" restart (#25696)
- mousedrake: install linuxwacom only when needed (pixel)
- XFdrake (pixel):
  o adapt to nvidia/nvidia_legacy/ati/libmesagl1/lib64mesagl1 now
    using update-alternatives
  o handle nvidia_legacy/libglx.so

* Wed Sep 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.68-1mdv2007.0
- adapt to kernel changes in sysfs (blino)
- workaround for cciss detection (aginies)
- autosetupprintqueues: fixed loop to wait for desktop login in the
  Plug'n'Print script (till)
- drakconnect (blino):
  o enable PEERDNS if DNS addresses are specified as well
  o improve ndiswrapper & usb support
  o improve thirdparty explanations for ndiswrapper devices (#24838)
  o install dhcp client if required
  o install tools before firmware (ndiswrapper requires it)
  o set RESOLV_MODS to yes when DNS addresses are configured
  o write DOMAIN setting (search domain)
- drakfirewall (blino):
  o don't rewrite shorewall setting if the interface is already in
    shorewall interfaces list
  o handle upgrade to shorewall 3 by removing the FW variable in
    shorewall.conf (#24990)
- drakgw (blino):
  o adapt to squid 2.6 syntax for transparent proxies (#25424)
  o don't add interface to net zone twice in drakgw
- drakroam (blino)
  o allow to disconnect if no network is selected
  o don't preselect first device is default connection isn't found
  o don't show empty device (#25554)
  o pre-select current network when none is selected (#24061)
  o pre-select selected network after network refresh
- XFdrake: handle a little better 915resolution installed but not used
  (pixel)

* Tue Sep 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.67-1mdv2007.0
- add support for rpmdrake-3.2:
  o fix crash (#25352)
  o kill most gtk+ warnings (#23720)
  o scroll tree view to its top when clearing/refilling its attached
    model (#25207)
  o update status bar on package selection (#24673)
  o use busy cursor when selecting a package through the keyboard
- disable automatically running drakbug on segfault
  since $SIG{SEGV} is unreliable (#18087)
- fix some l10n issues (#25346)
- bootloader-config: add --add-resume2 (but not mentionned in usage)
  for kernel-multimedia (pixel)
- drak3d: use _libdir/mesa as LD_LIBRARY_PATH when needed (blino)
- drakclock: enable ntpd if required (blino, #25348)
- drakconnect (blino):
  o allow to go on if some packages are optionnal (#22742)
  o add thirdparty settings for the nozomi driver (3G cards)
- drakroam: add support for 3G (blino)
- drakvpn: make net_applet reload its configuration when a vpn is
  started from drakvpn (blino, #25341)
- mousedrake: install linuxwacom if needed (pixel, #20928)
- net_applet: don't list an empty "[]" wireless network (blino)
- XFdrake: fix 3D for "Radeon (fbdev)" driver (pixel)

* Fri Sep 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.66-1mdv2007.0
- diskdrake: mkfs.xfs doesn't handle -c (pixel, #13471)
- drakconnect (blino):
  o allow to select VPN connection
  o install the ppp package for cellular connections
  o use a scrolling window for wireless/cellular network list
- drakroam (blino):
  o allow to select VPN connection
  o add cellular connections support 
- harddrake2: detect more devices as bridges rather unknown
- harddrake service: try harder to detect SCSI controllers
- XFdrake (pixel):
  o allow choosing 3D acceleration when specifying driver explictly
  o allow to configure SWCursor on savage cards
  o fix handling error installing x11-driver-video-xxx
  o use HWheelRelativeAxisButtons instead of HWheelXAxisMapping (adam williamson)

* Thu Sep 07 2006 Pixel <pixel@mandriva.com> 10.4.65-1mdv2007.0
- mousedrake: 
  o fix error occuring when configuring a mouse and imwheel
  o configure imwheel for "Microsoft Internet Explorer"-like mice
- localedrake: modify kde config files in /var/lib/mandriva/kde-profiles/common/share/config instead of /usr/share/config
- XFdrake: handle auto-configuration with no configured mouse in /etc/sysconfig/mouse
- drakboot: fix installing grub on dmraid
- drakconnect (blino): fix firmware path for zd1211
- po updates

* Tue Sep 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.64-1mdv2007.0
- fix configuring cpufreq on some PPC
- drak3d: HIG
- drakconnect (blino): 
  o really read/write DNS settings
  o use iwlist to scan networks even if no interface is specified
  o write hostname (#24012)
- finish-install: really don't display "release notes" button if none
  availlable (#23304)
- net_applet (blino): 
  o display IP address and gateway in tooltip (#23800)
  o monitor all wireless interfaces, not only the first one
  o show interface type with an icon (#23767)
  o use signal strength from iwconfig output for current AP (#24498)
  o use new icons

* Sat Sep 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.63-1mdv2007.0
- diskdrake: don't timeout when formating big fses (pixel)
- drakproxy: configure mozilla so that it can be overridden by user
  config (blino)
- keyboardrake: fix japanese keyboard configuration (UTUMI Hirosi)
- localedrake: fix garbaging the config (pixel, #24635)
- mousedrake, XFdrake (pixel):
  o use info from usbtable to know wether to use evdev
  o use imwheel-1.0.0 to handle thumb buttons (and more)

* Fri Sep 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.62-1mdv2007.0
- drakclock (blino):
  o configure three {0,1,2}.foo.pool.ntp.org NTP server addresses when
    a NTP pool is used (#10659)
  o handle user edited ntp server address
  o initialize ntp server combobox according to configured server
  o use Retry/Quit buttons for the ntp sync error window (#17037)
  o warn if ntp package installation fails (#12147)
  o warn if no NTP server is entered

* Fri Sep 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.61-1mdv2007.0
- drak3d (blino):
  o allow to disable 3D desktop even in not supported
  o allow to run in console mode
  o don't preselect compiz when not supported
  o prevent fglrx to hang at next login in Xgl
- drakproxy (blino):
  o remove spaces in no_proxy list (#24651)
  o no_proxy support for mozilla-firefox and gconf
  o no_proxy support for shell and KDE (Emmanuel Blindauer, Vincent Panel)
- finish-install: improve UTC/local time selection (blino, #23275)
- harddrake service: fix no more using the proprietary driver if

* Wed Aug 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.60-1mdv2007.0
- fix broken embedding (pixel, #24876)
- drakproxy: configure mozilla-firefox proxy settings (blino, #10875)

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com> 10.4.59-1mdv2007.0
- drak3d:
  o fix default compiz selection when Xgl is used
  o improve glx detection by using glxinfo output with and without Mesa
    libraries (#24855)
- drakconnect: update udev net-config rules (using udev scripts)
  so that configuration is consistent
- drakboot (Thierry):
  o use insensitive checkbox for APIC instead of hiding it
  o rephrase ACPI/APIC strings by using positive verbs (#24355)
- diskdrake (Pixel):
  o log HDIO_GETGEmore return values on dmraid devices
  o more fuzzy match to handle dmraid nvidia_with_subsets

* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.58-1mdv2007.0
- drakconnect: write GATEWAY settings (blino, #20169)
- drak3d: fix layout when embedded
- drakinvictus: don't write world-readable ucarp.d files, they contain
  passwords (blino)
- XFdrake:
  o use XaaNoOffscreenPixmaps for i810 and ati (blino, #24628)
  o re-enable RenderAccel by default on nvidia proprietary driver (pb
    fixed with version 8774) (pixel)

* Sun Aug 27 2006 Olivier Blin <oblin@mandriva.com> 10.4.57-1mdv2007.0
- drakids:
  o make it start again (#24589)
  o display an message when the daemon isn't started at all
    (instead of dying silently)
- drak3d:
  o really ensure that task-3ddesktop is installed
  o only do no_Window_Manager tricks when no window manager is detected

* Fri Aug 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.56-1mdv2007.0
- drak3d: new tool (blino)
- diskdrake: we now handle raid6 (pixel, Luca Berra, #24637)
- drakfirewall: don't write icmp rules for IFW (blino, #24645)
- XFdrake (pixel):
  o allow specifying EXA on i128 ati sis trident via savage
  o allow setting BIOSHotkeys on radeon
  o Clone is the default on ATI, allow forcing no Clone (fix buggy
    detection of the CRT)
- net_applet (blino):
  o allow to run drakvpn from VPN submenu
  o move configuration button in wireless submenu
- drakinvictus/drakroam/drakvpn (blino): use new icons
- finish-install (blino): 3D support

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.55-1mdv2007.0
- fix titles brown paper bag bug
- drakinvictus: initial Invictus Firewall support (blino)
- XFdrake:
  o write all lower resolutions when using Modes (for RENDER) (pixel)
  o update ld.so.conf.d files when switching back to free drivers as
    well (blino)

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.54-1mdv2007.0
- add support for rpmdrake-3.1
- do not try to run dmidecode if not root (#24478)
- drakbug drakconnect manage interface, drakfont, drakhosts, drakxservices,
  draknfs, logdrake: HIG-ize
- draksplash: check that a valid theme name and image are selected
  (blino, #24591)
- drakvpn: allow to use specific UDP port (blino)
- harddrake: HIG-ize fields description dialog
- printerdrake (till):
  o updated instructions for faxing with HP MF devices.
  o fix generating two fax queues for one HP MF device being
- XFdrake (pixel):
  o enabling "Composite" on every drivers except proprietary drivers
  o really ensure task-x11 is installed (#24529)

* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.53-1mdv2007.0
- autosetupprintqueues: wait for firmware upload (till)
- interactive layer: fix annoying scrollbar appearing sometimes
- drakconnect (blino):
  o fix modem support
  o add interface alias in modules conf for ethernet/wireless devices (#24384)
  o make sure rt2570 devices reporting themselves as rtusb are detected (#24461)
- XFdrake: only enable Composite by default on i810 (pixel)

* Thu Aug 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.52-1mdv2007.0
- diskdrake:
  o fix crash
  o ensure we don't die computing the number of cylinders
   (pixel, #24096, #24042)
- mousedrake: add support for mice with an horizontal wheel through
  evdev (pixel)

* Thu Aug 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.51-1mdv2007.0
- avoid segfaulting if an ala printf string is passed to c::syslog (rafael)
- general look:
  o fix some bad alignments
  o remove some bad looking separators
  o set meaningfull titles
  o set missing titles
- drakboot: fix startx.autologin location (pixel)
- diskdrake:
  o beautify some dialogs
  o display more info in some dialogs
  o misc other GUI improvements
  o handle /dev/disk/by-label/xxx symlink in fstab (pixel)
  o workaround detecting some SCSI DAT (pixel)
- drakconnect:
  o "Configure Internet": align the widgets
- drakTermServ: adapt to new kernels (pixel)
- harddrake2:
  o do not detect dummy PCMCIA controllers on desktop machines
  o introduce a "USB mass storage" class in order to catch some
    devices (#21836)
- net_applet: fix label alignment (#23766)

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.50-1mdv2007.0
- drakconnect: install rp-pppoe for pppoe connections (blino, #24249)
- finish-install: 
  o don't show the "releases notes" button if empty (#23304)
  o display mandrake-release's releases-note if availlable
- harddrake2:
  o display PCI/USB ids as hexa like lspcidrake does (#21220)
  o fix trying to install nothing (#23327)
- harddrake service: enable to disable hardware probing per class (#24071)
- printerdrake (till):
  o added automatic setup for firmware file istallation for the HP
    LaserJet 1000, 1005, 1018, & 1020
  o automatic download ICM color profiles for printers driven by the
    "foo2zjs" driver
  o made duplicate detection of the same printer being recognized also
    with HPLIP 1.6.7 and newer
- XFdrake (pixel):
  o get rid of weird chars (#24078)
  o handle evdev (keyboard or mouse)

* Thu Aug 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.49-1mdv2007.0
- fix inactive "close" button in "About" dialogs (#23266)
- drakconnect:
  o make it work (#24244)
  o adatp to new atmel wireless drivers naming (blino)

* Wed Aug 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.48-1mdv2007.0
- drakclock (blino):
  o fix ntp parsing when coubtry name contains a space (#24215)
  o default to NTP pools from pool.ntp.org instead of hardcoded NTP
    servers
- drakhosts, draknetprofile, draknfs: use window icon
- drakxtv: use /usr/bin/xvt (Nicolas Lcureuil, #24213)
- finish-install: use treeview to ask timezone (blino)
- harddrake: fix crash due to drakconnect refactoring (blino, #24236)
- net_applet (blino):
  o don't show a VPN connection button if no VPN connection is
    configured (#24203)
  o show VPN sub-menu even if only one connection is configured

* Tue Aug 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.47-1mdv2007.0
- drakconnect: fix bad window sizing (#23552)
- drakproxy: ask to logout after proxies settings have been modified
  (blino, #20052)
- harddrake2: do not display unknown driver for "MEMORY_OTHER" class
- net_applet (blino):
  o allow to connect/disconnect VPN from net_applet (#20949)
  o display old interface name in bubble on disconnection, not new
    default interface (#23943)

* Sun Aug 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.46-1mdv2007.0
- harddrake service: try again to detect legacy floppy drives, or else
  harddrake will unconfigure them at boot (blino)
- XFdrake: adapt to new font path

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.45-1mdv2007.0
- drakfont: adapt to new font path
- package missing drakvpn files

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.44-1mdv2007.0
- drakvpn (blino):
  o renewed tool
  o add openvpn & vpnc support
- drakconnect (blino):
  o install wireless-tools for wireless devices if needed
  o refactoring

* Wed Aug 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.43-1mdv2007.0
- diskdrake:
  o reiserfs doesn't support checking for bad sectors (#24028)
  o suffix small sizes with "B" like for biggers sizes (#18147)
- drakbug:
  o allow to report drakroam bugs (blino)
  o fix parsing new packages fullnames (tropikhajma, #23066)
- drakconnect (blino):
  o allow to configure non-broadcasted ESSID (#24040)
  o misc metric fixes (#23948)
  o use "wext" wpa_supplicant driver for ndiswrapper as well
    (ndiswrapper >= 1.12)
  o warn if a wireless encryption key is needed
- draksec: rephrase label and help for 'MAIL_EMPTY_CONTENT' and
  'enable_pam_wheel_for_su' (blino, #7314)
- drakfirewall: allow not to log firewall messages in system logs (#23690)

* Mon Jul 24 2006 Olivier Blin <oblin@mandriva.com> 10.4.42-1mdv2007.0
- drakroam:
  o refresh networks on every network status event (#23862)
  o use a 20 seconds timeout for status messages
  o fix --ap option to use default connection
  o some WPA fixes
- common layer: use --noignorebutton option instead of --ignorebutton
  for kdesu (for KDE >= 3.5.3, patch from Nicolas Lcureuil)

* Fri Jul 21 2006 Olivier Blin <oblin@mandriva.com> 10.4.41-1mdv2007.0
- drakroam:
  o add a status bar and display network event messages (#19290)
  o reload interface settings before configuration (#23803)
- harddrake: tag systems with ipw2100/2200/3945 devices as laptops,
  they are Mini-PCI (Express) adapters
- fix selecting the first network in the list

* Thu Jul 20 2006 Olivier Blin <oblin@mandriva.com> 10.4.40-1mdv2007.0
- drakroam:
  o grey Configure/Refresh buttons when no device is selected (#23818)
  o change label to Connect is selected network isn't current network (#23819)
  o select the first interface that doesn't have a slow network scan  (#23794)
  o allow to select interface from command line (#23794)
  o add step labels and use them (#23796)
  o always activate first combo entry (which is empty most of the time)
  o don't allow to configure if no network is selected
  o don't connect when Configure is clicked
  o write settings after configuration, not only before connection
    (partial fix for #23803)
- drakconnect: use new step labels
- network layer:
  o acx100 firmware support
  o supplement IP settings only if IP address is valid
  o fix NETMASK configuration
  o re-read ssid configuration each time it is accessed (#23803)
  o don't allow to modify ESSID if a network with a valid ESSID is selected
- XFdrake (Pixel):
  o move choosing GLX or not after choosing proprietary driver or not
  o remove XFree 3.3 configuration

* Wed Jul 19 2006 Olivier Blin <oblin@mandriva.com> 10.4.39-1mdv2007.0
- drakroam: add group labels to separate advanced settings (#23796)
- net_applet: fix signal level (#23799)
- drakgw: test caching-nameserver using /usr/sbin/named
- XFdrake (Pixel):
  o use Modes instead of Virtual by default
  o allow toggling Composite extension (on by default), and RenderAccel
    proprietary nvidia option (off by default)
  o handle fglrx_dri.so in /usr/$lib/dri

* Tue Jul 18 2006 Olivier Blin <oblin@mandriva.com> 10.4.38-1mdv2007.0
- miniserv.pam: don't use pam_stack anymore
- draksound : use modprobe.conf instead of modules.conf in help message
- drakroam:
  o grey the Connect button when no network is selected (#20168)
  o allow to disconnect (#20168)
  o use icon for window decoration as well
  o warn when device isn't ready (i.e. RF Kill)
  o center wait messages and popups
  o fully switch to generic layer (and misc related bug fixes)
- net_applet: don't show bubble at applet startup

* Tue Jul 18 2006 Olivier Blin <oblin@mandriva.com> 10.4.37-1mdv2007.0
- drakconnect:
  o check if network interface is present before configuring network interface
  o switch to generic layer for LAN and wireless
  o handle prism2 drivers using thirdparty layer
  o zd1211rw support
  o use generic firmware extraction support for speedtouch
  o bcm43xx firmware support
- net_applet:
  o show notification bubble on state change
  o drop stderr of iwlist/iwgetid (to prevent .xsession-errors flood)
- drakroam:
  o fix connection to AP passed as argument (#23628)
  o allow to select the wireless interface
  o move buttons at bottom
- draknetprofile: add details about profile modification (thanks Chty)
- harddrake:
  o don't fail when preload modules can't be loaded (#23674)
  o fix matching "power management" field in cpufreq module
  o make isLaptop() return true if Type is "laptop",
    using dmitable entries for example (#23197)
- XFdrake (Pixel): allow to choose the non-proprietary driver
- drakauth (Pixel):
  o rewrite writing in yp.conf (for NIS)
  o differentiate local auth and NIS auth (by reading yp.conf)
- XDG menu (Nicolas Lcureuil)

* Mon Jul 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.36-1mdv2007.0
- handle new centrino model (blino, #22914)
- diskdrake: misc GUI improvements (#18840, #21361, ...)
- drakconnect (blino)
  o allow to configure an unlisted network:
  o fix typo in ueagle-atm fir,mare path (#23398)
  o remove zeroconf configuration step (#21625)
  o misc refactoring
  o don't take VPI/VCI settings as hex (#23557)
  o warn if RF kill switch is disabled
- ugtk2: support for new rpmdrake
- drakclock: sort ntp server list by country (blino)

* Thu Jun 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.35-1mdv2007.0
- drakconnect: remove "Track network card id (useful for laptops)"
  option (done by default through udev) (blino)
- drakbackup: fix freeze at CD/DVD media selection (stew, #23368)
- harddrake service: configure CPU frequency modules (blino)
- localedrake, keyboardrake: new variant: "Catalan (Valencian)" (pablo)

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.34-1mdv2007.0
- misc banners fixes
- harddrake service: don't try to autoconf mice on first boot

* Thu Jun 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.33-1mdv2007.0
- drop devfs support (pixel)
- don't guess the wrong PCMCIA driver for multi-function devices (blino)
- autosetupprintqueues: X.org 7.x fix (till)
- bootloader-config: create/remove symlink "source" for kernel-source
  (Thomas Backlund, #22827)
- diskdrake (pixel):
  o minimal changes for davfs2 support (#23024)
  o create files needed by ext3 quota
- drakconnect (blino):
  o add support for bluetooth & 3G/GPRS
  o support new ipw2xxx firmware
- draknfs:
  o enhanced layout for advanced help
  o check directory to share (antoine)
- draksambashare: use a dialog box instead of a wizard to add a share
  entry (antoine)
- harddrake2:
  o better label (#4136)
  o display the correct description for PCMCIA controllers (blino)
- harddrake service:
  o don't try to load PCMCIA controller when none is configured (blino)
  o do not try to detect legacy floppy drives, which result in a
    warning message
  o fix forced reconfiguration of laptop related services (blino, #23072)
  o unlink pcmcia preload.d file if there is no PCMCIA controller
- localedrake: use UTF-8 by default (except for chinese for now)
- net_applet: fix crash on profil change (blino, #23169)
- printerdrake: some LaserJets were miss recognized (till)

* Wed Jun 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.32-1mdv2007.0
- bootloader-config: handle rootnoverify (pixel, #22912)
- diskdrake: install "quota" when needed (pixel)
- drakfont: fix font directory (#22898)
- printerdrake: renaming a printer did not work after having changed
  the PPD to a CUPS-autogenerated one (till, #22935)

* Fri Jun 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.31-1mdv2007.0
- draksambashare: fix canceling "add printer" & "add share" wizard

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.30-1mdv2007.0
- add draknetprofile (blino)
- interactive layer: first improvments for nicer GUIes
- drakboot, keyboarddrake: first steps in moving towards GNOME's HIG
- draksplash:
  o fix labels' case
  o move a lonely option out of its big empty notebook page

* Wed May 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.29-1mdv2007.0
- reexport a function used by rpmdrake
- XFdrake: switch to Driver "kbd" instead of "keyboard" (pixel)

* Wed May 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.28-1mdv2007.0
- stop preventing pasting from a TextView
- bootloader-config (pixel):
  o add support for "laptop" kernels
  o minimal adaptation to mdv extension (eg: 1mdv instead of 1mdk)
- drakconnect (blino):
  o make sure guessed domain names really contain a name, and not just
    a TLD (#22480)
  o don't overwrite user-provided domainname by the one we guess
    (#22480)
  o fix crash (#22756)
- drakroam: adapt to new keyring image location in usermode (blino, #22813)
- drakxservices: handle LSB description tags (blino, #20998)
- printerdrake:
  o add a welcome screen to fax queue setup wizard
  o improve/update instructions for faxing with HP multi-function devices
  o let faxing instructions also appear in the fax queues help window
- XFdrake: small GUI nits for xorg7 (pixel)

* Thu May 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.27-1mdk
- drakconnect: more refactoring (blino)
- harddrake service: write PCMCIA controller in
  /etc/modprobe.preload.d/pcmcia instead of /etc/sysconfig/pcmcia
  (blino)
- net_applet: adapt to new keyring image location in usermode (blino, #22495)
- printerdrake (till):
  o let "Refresh" button also re-read list of local queues (#22160)
  o fix network printer setup dialog not distinguishing choosen
    auto-detected printer from a manually entered printer IP
  o popup to configure optional hardware add-ons if needed when
    installing via Plug'n'Print or in recommended
  o option setup dialog: more options, GUI nits
  o handle having two choices with the same menu entry in a an option
    in the PPD file
- XFdrake:
  o use default driver options for non-ALPS synaptics touchpads (blino)
  o fix mouse configuration (pixel)

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.26-1mdk
- move Xdrakres from /usr/X11R6/bin to /usr/sbin (pixel)
- drakconnect (blino):
  o more refactoring
  o factorize xDSL and PPP settings
  o use new generic layer for xDSL connections in the wizard
- drakfont: fix untranslated "about" dialog
- drakfont, draksambashare, harddrake2, printerdrake: use standard
  Gtk+ About widget
- draksambashare: set window icon
- harddrake service misrequired hwdb-clients instead of harddrake-ui
- harddrake-ui: fix untranslated license
- keyboardrake, printerdrake: xorg7 has moved (blino)
- printerdrake (till):
  o some GUI improvements
  o do not install gutenprint-ijs and gutenprint-foomatic any more
  o show all important Gutenprint optionsof without needing to click
    the "Advanced" button
  o use "CUPS + Gutenprint" and not "GhostScript + gutenprint-ijs"
    PPDs in beginners mode
- XFdrake (pixel):
  o install more xorg7 packages
  o add misc fonts as a fallback to xfs not running

* Fri May 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.25-1mdk
- drop support of kernel 2.4 (pixel)
- bootloader-config (pixel):
  o handle kernel-tmb's new naming more nicely
  o handle /boot/vmlinuz being a file and not a symlink
- diskdrake: handle no geometry (pixel)
- drakconnect (blino):
  o allow to manually select the speedtouch microcode
  o allow to use atmarp with ueagle-atm as well (Free degroupe)
  o refactoring (WIP)
  o drop eagle-usb support, switch to ueagle-atm
  o handle new speedtouch firmware
  o use sysfs to get PCMCIA devices and modules.alias to match modules
- harddrake: fix detecting some webcams (#22452)
- localedrake: don't die when failing to install SCIM pkgs (pixel)
- mousedrake: fix testing panel (pixel)
- printerdrake: set up correctly HP printers with different model
  names in "hp://..." and "usb://..." URIs being with HPLIP (till)
- XFdrake: quick adaptation to xorg7 move and splitting (pixel)

* Fri May 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.24-1mdk
- package network::wireless:* too (#22402)
- drakboot (pixel):
  o handle a little more cleanly /boot/vmlinuz being a file and not a
    symlink
  o skip makeactive when comparing entries
- XFdrake: alter bootsplash on resolution change (pixel)

* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.23-1mdk
- fix encoding in graphical tools not using standalone.pm
- drakbackup: remove some gtk+ warnings (stew, #22310)
- drakroam:
  o use new wireless backend (blino)
  o handle hidden networks when wpa_supplicant isn't used as well
- XFdrake: lower the max hsync to disallow 1024x768@60hz 133.5 MHz,
  95.3 kHz doublescan (pixel)

* Sat May 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.22-1mdk
- fix interactive layer (#22296)
- drakconnect: clamp the TCP MSS to 1412 for PPPoE connections (useful
  if the connection is to be shared on a LAN) (blino)

* Fri May 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.21-1mdk
- diskdrake: offer to check bad blocks when formatting in expert mode
  (pixel)
- drakboot: display disk name in "Root" entry (pixel, #21524)
- drakboot, bootloader-config: fix handle global "vga=" (pixel)
- XFdrake (pixel):
  o propose to install 915resolution when we detect a pb
  o fix 3D config when using a OSS driver whereas nvidia or ati
    drivers are intalled too
  o fix screen resolution for some screens

* Fri Apr 28 2006 Till Kamppeter <till@mandriva.com> 10.4.20-1mdk
- printerdrake: Fixed handling of printers being detected twice by
  CUPS (e. g. the HP printers on USB are detected both by the "usb"
  and the "hp" CUPS backends).
- bootloader-config: add Xen support (pixel)

* Fri Apr 28 2006 Till Kamppeter <till@mandriva.com> 10.4.19-1mdk
- drakconnect:
  o handle ipw3945 (blino)
  o update ADSL provider DB (Benoit Audouard)
- drakmonitor: fix signal quality detection (blino)
- localedrake: add support for Oxim (tv)
- XFdrake: support both legacy nvidia non-legacy nvidia drivers
  (pixel)
- Updated printerdarke for the new CUPS 1.2 generation
  o Fast SNMP broadcast network scan (for TCP/Socket, IPP, and LPD
    network printers) based on the new "snmp" backend
  o Printers can be excluded from being broadcasted into the network
    individually, so on one server some printers can be shared, others
    not
  o Use of IEEE-1284 also with ready-made PostScript printer PPDs and
    with network printers => more reliable auto setup of printers
  o Support for PPD files generated by CUPS on-the-fly PPD generators
    (in /usr/lib/cups/driver)
  o Plug'n'Print adapted to CUPS 1.2
- Improved dialog to set up network printers: TCP/Socket, IPP, and LPD
  are done in one dialog, protocol auto-recognition.
- Host name/IP of a network printer can now also be manually entered
  in recommended mode (bug 20617)
- Automatic setup of fax queues for fax-capable HP multi-function devices.
- Optimized printer model recognition

* Thu Apr 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.18-1mdk
- drakfirewall (blino):
  o allow to have multiple interfaces in net zone (#16917)
  o write shorewall rules in rules.drakx and allow user modifications
    to be kept in /etc/shorewall/rules (ask for confirmation if
    needed)

* Tue Apr 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.17-1mdk
- drakconnect: add "Germany|Alice DSL" provider (Gotz Waschk, #21786)
- draknfs, draksambashare: display banners while embedded since they
  provide their own menu bar

* Wed Mar 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.16-1mdk
- reupload b/c of build issue

* Wed Mar 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.15-1mdk
- localedrake: new default font for Armenian, Azeri, Cyrillic, Greek &
  Hebrew (pablo)
- draknfs, draksambashare: fix some GUI oddities (consistency,
  untranslatable strings, ...)
- draksambashare: fix another crash

* Wed Mar 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.14-1mdk
- draksambashare:
  o fix GUI disapearing in mcc (#20295)
  o fix untranslatable string
  o cleanups

* Tue Mar 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.13-1mdk
- don't loop when dmidecode returns only "# No SMBBIOS nor DMI entry
  point found, sorry." (pterjan)
- drakboot: fix old installed kernels not added to lilo (pixel,
  - drakfont: misc GUI improvements
- harddrake service:
  o detect AGP devices prior to video cards because of DRM vs AGP
    issues
  o enable/start pcmcia service if needed (blino)
- keyboardrake (pablo):
  o old XKB layouts no longer used
  o keyboardrake: add two keyboards: "ng" and "mao"
- net_applet: use "Active interfaces" menu label for network
  interfaces list, and use checkboxes instead of radio buttons (blino,

* Thu Mar 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.12-1mdk
- adduserdrake: sanitize the GUI (pixel)
- autosetupprintqueues: fix Plug'n'Print: Name of user logged in on
  the desktop is in /var/run/console/console.lock now -til()
- diskdrake (pixel):
  o allow to modify xbox partitions on non-xbox (stew)
  o better management of reiserfs4
  o enable creating a md with only one device (#21214)
  o fix untranslated messages (me, #21326)
  o load ide-generic as a fallback (me)
- drakboot:
  o enable/disable acpi/acpid services when needed (blino, #21316)
  o display disk names (pixel, #21524)
- drakbackup: create index files for direct-to-tape too clean up some
  issues with direct-to-tape that came with the star additions
  compress the index files (stew)
- draksplash.pm: fix listing themes (blino)
- finish-install (blino):
  o ask license after language (#21266)
  o ask for timezone (#21271)
  o allow to rename an old user instead of creating a new one
  o fix country selection
  o reload sys clock from hc once we know the real timezone (#21511)
  o don't try to destroy potentially non-existent wizard window (if
    some steps are skipped for example)
- harddrake: sync v4l lists with latests kernels
- service_harddrake:
  o autoconf bluetooth controllers (blino)
  o autoconf laptop services when switching between laptop and desktop
    and toggle the numlock service (blino)
  o fix adding storage controllers
  o manage hardware_raid too
  o really detect firewire controllers (blino)
  o update shorewall interfaces list when a new interface is detected
    (blino, #21252)

* Wed Feb 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.11-1mdk
- do require msec anymore (installed by draksec)
- diskdrake: enable to resize big ext3 fs
- drakfont:
  o handle *.ttc fonts too
  o fix some confusing labels
  o enable to select fonts with upcase letters in file extensions
    (#16948)
- draksambashare: small bug fix (aginies)
- harddrake: fix detecting some ATA devices (#21034)

* Fri Jan 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.10-1mdk
- add support for new snd-als300 sound driver
- handle new dmidecode output (pixel)
- diskdrake: handle partitions bigger than 2TB (up to 100_000TB)
- drakboot (pixel):
  o read all per entry entries (esp. makeactive)
  o write makeactive
  o have makeactive for windows entries (#20081)
- drakkeyboard: updated list of console keyboards (pablo)
- draksound: prevent some "unlisted sound card" error messages
- drakTermServ (stew):
  o add tooltips (#20384)
  o check/sanitize user input MAC addresses
  o more support for TS2
- drakxtv: sync with kernel-2.6.16-rc1-mm2
- fileshareset (pixel):
  o put kde's enhancements (backward compatible)
  o multi distro
  o new variables in fileshare.conf
- harddrake: typo fix resulting in undetected sound cards (#20355)
- harddrake service:
  o convert parallel init to LSB (blino)
  o not an interactive service
  o require dkms (blino)
- printerdrake:
  o fixed HPLIP setup when setting up a printer without auto-detection  (#20231)
  o give priority to custom PPD file if printer queue record in
    printerdrake is broken, use "Postscript" if Foomatic driver is
    wrongly set to "PPD" (#20028.)
  o make sure that when a user supplies an updated PPD file, the new
    file and not the old one from the system gets used
  o moved button for daemon-less CUPS client mode to the top of the
    CUPS configuration dialog to catch accidentally enabling
  o improve and fix printer model/driver listing:
    * fix handling of PPD links in Foomatic printer XML files
    * Avoid duplicate PPD entries for Foomatic-generated PPDs and
      identical pre-generated Foomatic PPDs when hplip-hpijs-ppds is
      installed
     * some polishing of list entries
- scannerdrake:
  o load kernel modules before the port checking step (the device file
    is usually generated when the module is loaded)
  o support for loading kernel modules only in case of a certain
    connection type (SCSI, USB, Parport)
  o let kernel module only be added to /etc/modules and
    /etc/modprobe.preload if loading of the module with "modprobe"
    succeeded
  o do not die when loading of a kernel module does not succeed
- XFdrake:
  o defaulting to 1024x768 instead of 800x600 when the monitor size is
     unknown (pixel, #20304)
  o 1024x768@70Hz monitor is too high (pixel, #20304)
  o option IgnoreEDID is no more needed with nvidia driver

* Mon Jan 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.9-1mdk
- diskdrake: be more tolerant with devices we cannot guess all info
  about (#20340)

* Mon Jan 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 10.4.8-1mdk
- drakTermServ (stew):
  o add support for custom kernel args in initrd
  o add support for future unionfs/TS2
- drakfirewall: don't install and configure mandi-ifw if ifw is
  disabled (blino)
- harddrake service: add parallel init support (Couriousous)
- XFdrake: search harder for nvidia driver (blino)

* Mon Dec 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4.7-1mdk
- diskdrake: handle kernel-2.6.14+

* Sun Dec 18 2005 Pixel <pixel@mandriva.com> 10.4.6-1mdk
- autosetupprintqueues (till)
  o Removed "localhost" from the DISPLAY veriable, it broke
    the authorization to pop up the printerdrake window 
    on the user's desktop when a new USB printer was plugged.
- net_applet: replace sprintf_fixutf8 with simple sprintf
- fix running lilo (run_program.pm)
- allow drakxtools-backend tools to work without perl-Locale-gettext

* Thu Dec 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4.5-1mdk
- drakbackup (stew):
  o fix some instances of 100%% cpu on combo-box 'changed' in "Advanced When"
  o add drakbackup man page
  o update drakbackup.conf man page with new options
- diskdrake (pixel):
  o add user_xattr (useful for beagle, #15068)
  o lilo handles / on RAID1, so don't warn in that case (#20021)
- drakconnect (blino):
  o don't overwrite ONBOOT setting when writing adsl configuration
  o fix default metric setting for wifi interfaces
  o fix firewire not being loaded in automatic mode
- drakproxy: add support for https proxy (blino, #19666)
- finish-install: ask for license agreement before doing anything else
- use Locale::gettext (pixel)

* Wed Nov 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4.4-1mdk
- drakboot: fix getting raid-extra-boot (pixel, #19965)
- drakfirewall: update zones file for shorewall 3.0 (blino)
- draksound: automatically install packages

* Fri Nov 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4.3-1mdk
- drakconnect: preselect first ISP of user's country
- finish-install:
  o allow to blacklist steps in /etc/sysconfig/finish-install (blino)
  o be able to set up keyboard (pixel)
- drakfont: fix the need to press twice the "close" button (blino, #14314)

* Mon Nov 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4.2-1mdk
- diskdrake: handle missing dmraid (pixel, l#19849)
- draksound: install aoss when switching from OSS to ALSA

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4.1-1mdk
- diskdrake (pixel):
  o add button "Label" (in expert mode) to set the "volume label" (and
    so get LABEL= in fstab and lilo.conf)
  o dmraid log is mixed with valid data (#19654)
  o handle "users" the way "user" is handled
  o handle dmraid-1.0.0 RC9 (#19654)
- drakconnect (blino):
  o don't screw up eagle-usb devices if the firmware is already loaded
  o fix zd1201 devices detection as well
- drakroam (blino):
  o don't crash if mandi isn't started (#19608)
  o fix wireless network list using iwlist (#19742)
  o remember 'restricted' wireless mode

* Mon Nov 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4-0.3mdk
- requires perl-suid for fileshareset and filesharelist (#17123)
- drakconnect (blino):
  o don't duplicate variables (MTU, NETMASK, IPADDR) in ifcfg files
    (#19325)
  o don't let interfaces with unknown drivers be configured
  o temporary workaround to have device-independant config files in
    wireless.d
  o use standard 'mac' modifier in iftab for IEEE1394, EUI64 and IRDA
  o workaround missing "device" link in sysfs for rt2400/rt2500
- net_applet: misc small fixes (blino)
- printerdrake: fix setting up printers with pre-made Foomatic PPD in
  /usr/share/cups/model (till, #19524)
- XFdrake: properly handle switch between nvidia & nvidia_legacy

* Wed Oct 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4-0.2mdk
- diskdrake (pixel):
  o separate hpfs and ntfs entries (even if they both use the same
    type id in partition table) (#19322)
  o use vol_id in order to find device type
  o fix using mdadm 1.12.0
- harddrake2:
  o do not merge AGP section into BRIDGES one
  o Club integration for proprietary drivers
- net_applet: use disconnected icon if no route, even if wifi is
  associated (blino)

* Tue Oct 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.4-0.1mdk
- drakauth: hide the password (pixel, #18800)
- drakbackup (stew):
  o avoid wiping out user cron
  o extended ACL support user star (#17761)
  o multiple email recipients
  o fix restoring with file in 2 archives
  o profile support (#17566)
  o enhance cron support
  o weekday ranges (#18290)
- drakboot: use compact by default (pixel, #8752)
- drakconnect (blino):
  o set hostname only after packages have been installed, thus
    preventing graphical urpmi may fail
  o restart ethernet interface for PPPoE connections
- drakfont: fix layout
- drakhelp: fallback nicely, trying english if i18n doc not available (pixel)
- drakproxy: better explanations (#17261)
- draksound: do display the driver description (#5403)
- drakTermServ (stew):
  o install mkisofs if needed
  o refuse to creates images without a NIC
- harddrake: properly report no configurable parameter (#17579)
- keyboarddrake (pablo):
  o add "fo" keyboard
  o synchronize XKB keyboard names with what is in latest xorg
- net_applet: show IFW button even if not connected (blino, #18708)
- printerdrake (till):
  o do not auto-install "sane-frontends" for MF devices
  o let parallel HP printers be set up with HPLIP
  o removed HPOJ support (HPOJ obsolete, now completely replaced by HPLIP). 
  o warn if an HP printer is connected via a port not supported by
    HPLIP
  o fix freezing when choosing a machine as remote CUPS server (for
    daemon-less client) which does not exist or does not run CUPS.
  o let network printer detection also work if the DNS is
    misconfigured
  o hide "Printer options" entry in printer editing menu only if there
    are really no options (also for Sagem MF3625 with empty
    manufacturer name in the PPD)
  o fix raw queue being shown with "driver: PPD" (not "driver: raw")
  o do not use "Unknown model" and "Unknown Model", this somtimes
    broke identifying a print queue as being for an unknown printer
  o fix loop of determining the HPLIP device URI for local printers in
    the "printer::main::start_hplip()" function
- XFdrake:
  o handle nvidia_legacy
  o don't run ldconfig when not needed
  o prevent x11 segfaulting with nvidia driver (loading both
    Xorg's glx and nvidia's glx)
  o prevent GL apps from segfaulting when using nv driver while nvidia
    packages're installed

* Tue Sep 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.64mdk
- drakconnect:
  o really restart ethernet interface for PPPOE connection (blino)
  o fix hostap/orinoco driver detection (#18294)
- net_applet: force menu refresh when interface status is modified
  (blino, #18636)

* Mon Sep 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.63mdk
- add sr_mod in modprobe.preload if needed (blino, #18641)
- drakconnect:
  o use ifplugd with b44
  o don't use ifplugd for ethernet devices associated with a
    pppoe/pptp connection (blino)
  o fix probing the PPPOE login name (blino)
  o keep changed made by modem tools run by drakconnect
- drakbackup: remove unclear text (stew, #18619)
- drakroam (blino):
  o increase timeout after a wireless network is selected
  o fix crash
- draksec: ensure wait dialogs contents is showed on applying msec
  config
- harddrake:
  o display parallel port controllers in the "system" section rather
    than in the "unknown" one
  o display the vendor name rather than "printer" in the left tree for
    printers
- net_applet: fix crash when only one interface is configured
- printerdrake (till):
  o handle new HPIJ
  o fix list of displayed printers
- XFdrake: don't load "glx" with "fbdev" (pixel)

* Fri Sep 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.62mdk
- bootloader-config: fix entry "linux" when removing a kernel (pixel)
- diskdrake: check if resize2fs failed (pixel)
- drakconnect (blino):
  o fix start/stop of interfaces that are not set to start on boot
  o fix device path for HCF modems
  o fortify PPP configuration
  o install madwifi drivers if needed
  o restart hsf/hcfpci services when needed
  o rewrite shorewall config at end of setup
  o support AVM FRITZ!Card DSL USB v2.0
- drakconnect/drakroam (blino):
  o better handling of ASCII WEP keys (#18558)
  o write wireless settings in wireless.d/ as well
- drakfirewall: read shorewall net interface from configuration file (blino)
- drakgw: fix untranslated messages (blino, #17969)
- drakroam (blino):
  o don't automatically refresh networks list
  o show refresh icon if network isn't connected
- harddrake GUI: show the main window earlier (thus fixing 
  windows' icons)
- harddrake service: write /etc/iftab if needed (blino)
- keyboarddrake: fix some keyboards (fredl)
- localedrake:
  o do not force font name since fontconfig handle it perfectly
    (funda wang)
  o fix --apply managment (ennael, misc)
- net_applet (blino):
  o allow to up/down any network interface
  o refresh wireless networks every minute only
- net_applet/drakroam (blino):
  o fallback to wpa_cli or iwlist/iwconfig when wpa_supplicant is not
    used (#18516)
  o adjust signal level given by wpa_supplicant
- XFdrake: use nvidia legacy drivers for TNT2/GeForce/GeForce2 (blino)
- require gtkdialogs for urpmi --gui (rafael)

* Tue Sep 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.61mdk
- drakboot: misc fixes (pixel)
- drakperm: check if path, username & group are valid
- localedrake:
  o use SCIM for vietnamese
  o im-ja supports gtk-immodule but not qt-immodule (Yukiko Bando)
  o install scim-tomoe for japanese
- XFdrake: sync kbd list with current Xorg (fredl)

* Tue Sep 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.60mdk
- drakconnect (blino):
  o keep modem specific stuff in ifcfg-*
  o list and configure wireless interfaces for which the firmware
    isn't available (#18195)
  o misc tweaks for 3rd party drivers
- localedrake: use qtimmodule again

* Sat Sep 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.59mdk
- drakboot: misc fixes (pixel)
- drakconnect: support soft modems through ALSA (blino)
- draksplash: fix adjustments creation (blino, #18295)

* Fri Sep 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.58mdk
- drakids: allow to blacklist/whitelist from the log
- drakconnect (blino):
  o fix ISDN configurations
  o do not use wrong orinoco driver (#18214)

* Fri Sep 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.57mdk
- drakfirewall: don't enable custom IFW rules (blino)
- drakconnect (blino):
  o disable roaming for rt2400/rt2500
  o really read system kppp configuration
  o do not let modem settings be overriden by previous ppp0 settings
  o misc fixes for 3rd party drivers
- harddrake service: prevent wiping /etc/modprobe.preload (#16181)
- localedrake: unset QT_IM_MODULE due to unsatisfied qtimmodule
  support in KDE (funda wang)
- logdrake: insensitive categories for which file is missing, thus
  preventing crashing (#16935)
- net_monitor (blino):
  o really preselect default interface
  o show ppp/isdn interfaces as well (#18303)
- printerdrake: fix setup of HP's multi-function printers on 64-bit
  boxes (till)
- XFdrake (pixel):
  o when changing the card/monitor, ensure the resolution is still
    valid
  o when switching to fbdev, ensure we have a bios resolution

* Thu Sep 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.56mdk
- harddrake service: blacklist audio too (#12731)

* Wed Sep 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.55mdk
- drakfirewall: fix port range parser (blino)
- draksec: install chkrootkit if needed (#17896)
- harddrake service: fix status message (#16925)
- printerdrake (till):
  o make it work on 64-bit systems
  o only install "desktop-printing" when "gnome-panel" is installed
  o fixes in handling unknown printers
  o fix endless loop when clicking "Back" in model selection and when
    no model was automatically found.

  o do not set margins in CUPS for HPIJS driver

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.54mdk
- drakauth, finish-install: handle required package(s) not installed
  correctly (pixel, #18180)
- drakconnect: set SSID for rt2400/rt2500 cards using WPA with an
  iwpriv command (blino, #18205)
- printerdrake (till):
  o fix printer list filtering in the main window
  o prevent auto-refreshing to happen while refreshing
  o auto-refresh the list of remote printers in the main windows every
    5 seconds.

* Sun Sep 04 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.53mdk
- printerdrake (Till):
  o let also network printers be found which do not answer to a
    broadcast ping (most newer HP), this is done only in class C
    and smaller networks, to not scan too many machines
  o made reloading of parallel port kernel modules (for auto-detection)
     also working if "ppdev" module is loaded
  o make building of main window of printerdrake much faster
  o check for CUPS daemon running without console output

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.52mdk
- drakhelp: prefix file path with file://
  (mozilla-firefox needs a valid url)
- net_applet: don't exec new binary on update (#16051)
- printerdrake (Till): use printer name determined by HPLIP to
  auto-select PPD file of a network printer where the model name
  was not determined by SNMP

* Fri Sep 02 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.51mdk
- drakfirewall: allow to install and configure Interface Firewall
- net_applet:
  o run drakids on click if an alert is still available
  o don't display keyring icon if the wireless network doesn't
    need a key (thanks to Couriousous)
  o allow to use vlan/alias interfaces (thanks to Michael Scherer)
- drakconnect:
  o fix include path (#18103)
  o don't blacklist madwifi_pci for ifplugd
  o fix isdn config in manage interface
- drakroam: fix embedded mode (#18113)
- mygtk2:
  o fix return value in window method
   (fix net_monitor crash, #18136, Pixel & me)
  o improve progress bars and banners (Pixel)
- XFdrake (Pixel): drivers/fglrx_drv.o is now drivers/fglrx_drv.so
- drakboot (Pixel):
  o handle "=" between keyword and value (esp. useful for reading
    Conectiva's menu.lst) (bugzilla #18090)
  o ensure /boot/message-text exists
    (useful when switching from grub to lilo)
- drakauth (Pixel & Vincent Guardiola):
  o allow Active Directory even on non corporate product
  o change definition for Active Directory with SFU and
    Active Directory Winbind
  o remove idmap ldap backend for winbind AD (obsolete, see Samba 3.0.20)
  o remove default_tgs_enctypes, default_tkt_enctypes, permitted_enctypes
    from /etc/krb5.conf for winbind configuration (#15232)
- printerdrake:
  o added recording of IEEE-1284 device ID string, for USB printers
  o fix parallel printer auto-detection
  o pre-select newly added PPD file in the printer/driver list
  o fix recognition of alredy set up queues for auto queue setup
    (for several Xerox Phaser printers, the user was asked again and again)
  o support for HPLIP URIs with "?device=..." (#18041, #18053)
- draksplash (Warly): add a lot more settings (text and progress bars)

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.50mdk
- drakroam: rewrite it to use wpa_supplicant and mandi
- net_applet:
  o use new wireless icons
  o display wireless link icon in tray icon if connected
    through wireless
  o check wireless every 20 seconds only
  o detect use vlan/alias interfaces (thanks to Michael Scherer)
  o rephrase IFW interactive/automatic checkbox label in
    the settings menu
- generic wireless:
  o configure wpa_supplicant correctly for shared or passwordless
    connections
  o wpa_supplicant may list some networks twice, handle it
- drakconnect:
  o restart associated ethernet device for dsl connections needing it
  o rephrase "DSL connection type" message, the preselected type
    has better to be kept
  o don't blacklist ifplugd for pcmcia interfaces
  o use lower case 'i' for iwconfig/iwpriv/iwspy (#18031)
- draksplash: restrict mouse motion to image
- drakfont: allow to import Windows Fonts (#15531)
- printerdrake (Till):
  o when setting up new queue with HPLIP old HPOJ, delete config
  o restart CUPS after installing HPLIP for a network printer
  o autosetupprintqueues: use correct language
  o disable margins with Gutenprint
  o removed "Do not print testy page" in test page step of add printer
    wizard (bug #15861)
  o fix message window in the case that no local printer was found
    when running the add printer wizard in beginner's mode (bug #16757)
- drakhosts/draksambashare/draknfs (Antoine Ginies): use new icons
- draknfs (Antoine Ginies):
  o in case of all_squash use anongid=65534 and anongid=65534
  o create dir if it does not exist
  o fix typo (#17978)
- draksambashare (Antoine Ginies):
  o add popup menu to easily modify/remove share
  o add printer support, notebook support, and user tab
- interactive layer (Pixel): fix "Cancel" in ask_okcancel
- bootlader-config (Pixel):
  o vga_fb expects the vga mode, not a boolean
  o propose to create a default bootloader configuration when no
    bootloader is found
  o conectiva 10's grub detection
  o install grub stage files in install_grub(), not write_grub()
    (#17830, thanks to herton)
- XFdrake (Pixel): handle nvidia's libglx.so being now in extensions/nvidia
- drakTermServ (Stew): reverse xdm-config logic for XDMCP
- drakfirewall (Thierry): use banner and icon
- harddrake (Thierry):
  o add more icons
  o sync with latest saa7134 driver
  o ldetect runs gzip now, reduce time spent by using a cache
  o find driver of host controller from sysfs in all cases (not just usb-storage)
- diskdrake: (Thierry)
  o document 'encrypted' option (#13562, Per Oyvind Karlsen)
  o Grub really is named GRUB (it makes the pull-down more consistent)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.49mdk
- interactive layer: do not crash when given an empty list (blino, #17718)
- diskdrake, XFdrake: misc bug fixes (pixel)
- drakbackup: enable tape hardware compression (stew, #17565)
- draknetconnect (blino):
  o fix network restart condition for 6to4
  o use wext driver for ipw cards in wpa_supplicant
- drakids (blino):
  o add log tab
  o allow to clear logs
- drakTermServ (stew, Diogo):
  o don't use "X -ac" for thin clients
  o clear main window on tab change
  o offer to install i586 kernel for old clients
  o progress display while creating all kernel images
  o move dhcpd config to more logical area
- net_applet (blino):
  o allow to whitelist attackers in popup
  o show attacks of unknown type
  o stop icon blinking when drakids is run or clear logs, or when an
    Interactive Firewall alert isn't processed
  o present drakids window on click on menu if drakids is already run
- printerdrake (till):
  o fixed problem of current printer/driver not chosen in the printer
    editing menu (in expert mode and with manufacturer-supplied PPD)
  o support for one pre-built PPD:
    * for non-PostScript drivers (eg: PCL-XL PPDs from Ricoh)
    * being linked from multiple printer database entries

* Tue Aug 23 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.48mdk
- from Pixel:
  o mousedrake: don't use a udev rule, this doesn't always work
    for input/mice, and never for ttySL0
  o fix Mandrivalinux to Mandriva Linux in description
    (Eskild Hustvedt)
  o diskdrake: enhance grub device.map parsing (#17732)

* Sun Aug 21 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.47mdk
- net_applet:
  o use Gtk2::NotificationBubble for IFW
  o do not crash when unexpanding details in IFW window
  o do not fail to start if messagebus is down
  o do not show drakids in menu if IFW isn't available
- drakids: display protocol as text
- drakconnect: install bpalogin if needed only
- localedrake (Thierry): enable to select scim+pinyin
- drakTermServ (Stew): ignore config file for First Time Wizard,
  assume defaults (#17673)

* Sat Aug 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.46mdk
- drakconnect: only install bpalogin if needed (blino)
- drakTermServ (stew):
  o client tree edit fix (#17653),
  o write to floppy (#17655)
- harddrake service: use the new way to blacklist modules (#12731)
- harddrake GUI: only install HW packages of high priority
- net_applet: cosmetic fixes (blino)
- printerdrake: removed stuff for automatic print queue setup when
  starting CUPS (till)

* Fri Aug 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.45mdk
- rpmlint fixes
- diskdrake: better reiser4 support (pixel)
- drakids (blino):
  o use "Allowed addresses" instead of "Attacker" in whitelist
  o improve list removal workaround using a copying grep
- keyboardrake: revert removal of keyboard layout weight of zh.
  (Funda Wang, #16873)
- printerdrake: misc enhancements
- net_applet (blino):
  o use balloons to notify attacks
  o show attack window on balloon click

* Fri Aug 12 2005 Flavio Bruno Leitner <flavio@mandriva.com> 10.3-0.44mdk 
- changed requires from modutils to module-init-tools

* Thu Aug 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.43mdk
- diskdrake: fix misc bugs with encrypted folders (pixel, #16893 & #17142) 
- harddrake service: speedup startup on some old machines
- mousedrake: do write an udev rule for serial mice (pixel, #17114)

* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.42mdk
- localedrake: fix switch to a language that need an input methd (#17352)
- diskdrake (pixel):
  o differentiate (nfs)servers on ip first to have less dups (#17236)
  o fix update boot loader on renumbering partitions (#16786)
  o write /etc/mdadm.conf when creating a new md (#15502)
- drakconnect (blino):
  o do not write aliases interfaces in iftab
  o handle access point roaming using wpa_supplicant
  o initial IPv6 support (6to4 tunnel)
  o keep MS_DNS1, MS_DNS2 and DOMAIN variables in ifcfg files
  o overwrite previous wpa_supplicant entries with same SSID or BSSID
- drakhosts, draknfs: do not crash when config file is empty (antoine,

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.41mdk
- drakconnect (blino):
  o allow to use WEP keys in wpa_supplicant
  o use ifplugd for wireless interfaces
  o use ifup/ifdown with the boot option to handle ifplugd
- draksplash (blino):
  o handle progress bar color
  o install jpegtopnm if needed
- drakTermServ: GUI enhancements (stew)
- drakUPS: do not detect some keyboards as UPSes
- drakxtv: fix configuring drivers other than bttv
- autosetupprintqueues: fix logs (till, #17264)
- harddrake:
  o do not detect PCI/USB modems twice (as modems and as unknown
    devices)
  o run keyboardrake for keyboards
  o do not offer to configure driver of keyboards and mice (#17254)
- localedrake: fix global KDE config when switching locales and when
  font changes whereas KDE charset doesn't (Mashrab Kuvatov)
- printerdrake: Added special handling for the "capt" driver (Canon
  LBP-810/1120 winprinters) (till)
- scannerdrake: fix detecting scanners
- XFdrake (pixel): don't have empty ModeLines lying around (#16960)

* Thu Aug 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.40mdk
- do not write rules conflicting with udev ones
- don't package dbus stuff && finish-install in drakxtools-backend
- diskdrake: minimal reiser4 support (pixel, #15839)
- drakclock: add some ntp servers from brazil (pixel, #16879)
- drakconnect (blino):
  o apply gateway modifications (#17260)
  o fix applying DNS change (#17253)
  * fix for new sysfs tree architecture
- drakgw: make sure shorewall gets enabled (blino, #17238)
- draksound: handle a couple more drivers
- net_applet: put wireless items in a submenu (blino)

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.39mdk
- do not detect WingMan & Logitech devices as UPSes (#16995, #16994)
- drakconnect: fix testing network connection (blino)
- draksound: emphasize if drivers are OSS or ALSA based (#15902)
- localedrake: fixed KDE font for extended cyrillic languages (pablo)
- net_applet: add support for active firewall (blino)
- printerdrake (till):
  o fix configuring sane
  o print queue auto setup

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.38mdk
- enforce GNOME button order when not under KDE
- make more dialogs transient if possible
- drakconnect (blino):
  o fix ISDN configuration
  o fix writing module aliases
  o write hosts in correct order in /etc/hosts (#15039)
  o do not kill mcc (#17024)
- drakfirewall (blino):
  o don't write alias interfaces in shorewall interfaces file
  o run shorewall clear if firewall is stopped (#17046)
- drakhosts, draknfs: improved GIU (antoine)
- draksound: fix intel support (#16944)
- mousedrake: fix alps touchpads detection (blino)
- net_applet (blino):
  o enable activefw
  o misc wireless enhancements
- XFdrake: adopt to new mandriva-theme package naming schema (Funda
  Wang, #16977)

* Wed Jul 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.37mdk
- fix layout for programms embedded with their menubar (eg: harddrake,
  printerdrake, rpmdrake) (#13931)
- draknfs: remove ipnet/32 in access_list (antoine)
- harddrake2: really reap zombie children and let be able to run a
  second config tool again (#16851)
- net_applet: misc improvments (blino)

* Tue Jul 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.36mdk
- drakconnect: write firewire mac_addresses again (oblin)
- draknfs:
  o fix displaying help the second time
  o make sub dialogs modal and transcient to their main window
  o advanced options' help:
    * improve layout
    * fix text phrasing
    * make it consistent with the GUI (ensure labels are named the
      same way on buttons and in help) and speak about labels not
      actual option names in config file
- drakhosts:
  o make sub dialogs modal and transcient to their main window
  o improve layout (hidden buttons)
- draksplash: do not die if loaded file isn't an image (blino, #16829)
- drakxtv: really display sg when there's no card (blino, #16716)
- require perl-Net-DBus (for net_applet and drakids) (blino)

* Sat Jul 16 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.35mdk
- net_applet: initial wireless support
- drakgw: move wait message after package installation
  (or else the interface isn't active)
- draknfs (Antoine):
  o move menu above banner
  o use expander to show/hide advanced options,
  o remove empty value in advanced option
  o change draknfs tittle (thx Fabrice Facorat)
  o add exit on ok button
  o ensure nfs-utils is installed
- drakTermServ (Stew): add/remove entries to default PXE config

* Tue Jul 12 2005 Olivier Blin <oblin@mandriva.com> 10.3-0.34mdk
- really write modem/adsl ifcfg files (fix ONBOOT setting)
- don't restart network service at drakconnect startup
- draknfs (Antoine):
  o always display ok_cancel button
  o add a checkbox to enable/disable advanced options
- drakTermServ (Stew):
  don't try to manipulate PXE stuff if the directory isn't present

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.33mdk
- drakboot: add support for graphical grub (Herton Ronaldo Krzes)
- draknfs: various adjustement in main windows (antoine)
- drakvpn: fix untranslated strings (#16736)

* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.32mdk
- drakconnect: do not restart network to apply modifications, run ifup
  or ifplugd instead (blino)
- draknfs, drakhosts: GUI improvements (antoine)

* Wed Jul 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.31mdk
- drakfloppy: do not package it anymore since kernel is too big
  (#10565)
- drakhosts, draknfs: new tools (antoine)
- harddrake service: fix faillure on startup

* Sat Jul 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.30mdk
- diskdrake:
  o misc LVM enhancements (pixel, the "Anne" effect, #16168, #16176,
      o enhanced dmraid support (pixel)
  o don't allow labels on "/" for !extX fs since mkinitrd only handle
    ext2/ext3 labels (pixel)
  o describe "grpquota" and "usrquota" mount options (#15671)
- drakbug: fix reporting bugs for "Standalone Tools" and prevent shell
  parsing unquoted bugzilla URL(blino & me, #16580)
- drakfirewall (blino):
  o add 'routeback' option for bridge interfaces in shorewall
    interfaces file
  o don't write loc to fw ACCEPT rules, we always reset the policy to
    accept (#16087)
- draksplash (blino):
  o write progress bars in bootsplash config files
  o update crossbars when scale values are modified
- net_applet: reduce memory footprint (#15308)

* Fri Jul 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.29mdk
- do not load librpm when not needed (rafael, me)
- diskdrake: enhanced dmraid support (pixel)
- drakboot: handle no bootloader configuration found (pixel)

* Tue Jun 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.28mdk
- drakxtv:
  o enable to configure cx88 driver
  o update card lists from kernel-2.6.12
- net_applet: reduce fork()/exec() pressure on system (blino)
- service_harddrake: fix switch from nvidia to nv for X.org

* Sat Jun 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.27mdk
- diskdrake (pixel):
  o enhanced dmraid support
  o some free space computing for LVM
  o support labels for more file systems
- drakauth (blino, pixel):
  o fix crash (#16564)
  o fix NISDOMAIN
- localedrake: add scim-ccinput support (funda wang)
- net_monitor: fix crash (blino)
- more PXE infrastructure (blino)

* Tue Jun 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.26mdk
- drakconnect: don't strip VLAN and MTU fields from ifcfg files (blino)
- diskdrake: initial dmraid support (pixel)
- fix some programs after cleanups:
  o drakconnect, drakvpn (blino, #16505, #16502)
  o harddrake2 (#16472)
- XFdrake: fix 3D on ATI cards

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.25mdk
- drakboot:
  o make it use stage1_5 thus enabling to survive disk change, ie
    geometry alteration (pixel)
  o fix reading config with new grub (thus fixing detectloader,
    bootloader-config & installkernel)
- harddrake: make it load mouse modules on change, since
  modprobe.preload is read before harddrake is run, thus fixing
  synaptics (blino)

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.24mdk
- fix banner widget breaking rpmdrake and the like
- XFdrake: prevent loading/unloading twice the same glx module on non
  NV cards

* Wed Jun 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.23mdk
- drakauth: stop messing with likeauth and nullok options and keep
  them on the pam_unix line (pixel, #12066)
- drakboot:
  o adapt to new grub
  o don't drop "shade" and "viewport" lines (pixel, #16372)
- drakconnect: add senegal ADSL provider entry (daouda)
- XFdrake: protect quotes in monitor names (pixel, #16406)

* Thu Jun 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.22mdk
- drakfirewall (blino):
  o do not crash when restarting shorewall
  o do not write buggy shorewall masqfile when connection sharing is
    disabled

* Wed Jun 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.21mdk
- bootloader-config, drakboot, diskdrake: fix some LABEL bugs (pixel)
- drakauth: read existing authentication conf (pixel)
- drakbackup: tape backup/restore fixes to work with new .backupignore
  scheme & other bug fixes (stew)
- drakboot: keep read-only, read-write and label as verbatim as
  possible (pixel)
- drakconnect (blino):
  o big code base cleanups
  o keep NETWORKING_IPV6 and FORWARD_IPV4 variables in
    /etc/sysconfig/network
  o fix old ISDN modems
  o fix calling s2u on system hostname change
- drakedm: get list of DM from /etc/X11/dm.d/*.conf (pixel)
- draksplash: misc fixes (blino)
- finish-install: add language selection to finish-install

* Tue May 31 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.20mdk
- handle more DVB cards
- drakconnect: third party support update (blino):
  o point the user to the relevant packages/documentation/url if
    needed,
  o do not allow to configure a device if its requirements aren't
    satisfied
- harddrake service: load drivers for newly added devices so that they
  work out of the box on first boot after card plugging (AGP, IDE, DVB,
  SCSI, TV)
- printerdrake: support for PPD file names with spaces (till, #16172)

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.19mdk
- drakedm: handle /etc/X11/dm.d/* entries (as proposed by Loic Baudry)
- localedrake:
  o display SCIM combinaisons in a sub menu
  o enable to select extra SCIM combinaisons: scim+anthy, scim+canna,
    scim+fcitx, scim+m17n, scim+prime, and scim+skk;

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.18mdk
- drakgw, drakshorewall: misc fixes (blino)
- draksplash (blino):
  o use scrollbar in preview window
  o try not to be larger than screen size minus toolbars size
  o close_window -> close_all
- harddrake: fix misdetecing USB mass storage devices (#13569)
- localedrake:
  o enable to select scim+uim again
  o install needed packages for kinput2
- net_applet: let user call drakroam (blino, #16019)

* Wed May 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.17mdk
- drakgw (blino):
  o wizardify
  o allow not to enable DNS, dhcpd and proxy servers
  o allow not to enable CUPS broadcast
  o use network interfaces instead of network addresses in CUPS
    configuration
- harddrake: use mousedrake to configure tablets & touchscreens

* Mon May 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.16mdk
- interactive layer: fix canceling managment in text mode
- XFdrake: only run ldconfig if needed (aka only if GL config was
  altered), thus speeding up auto-config of X in harddrake service
- fix joystick detection (pixel, #16099)

* Fri May 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.15mdk
- drakconnect, harddrake: detect all ADSL modems of each kind
- harddrake GUI:
  o detect yet more webcams and USB audio devices
  o DVB support:
    * list DVB cards in their own category
    * install needed packages for DVB
  o list tablets and touchscreens in their own category
  o fix detecting joysticks
  o really list ATM devices
- harddrake service: install/remove DVB drivers if needed

* Fri May 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.14mdk
- interactive layer: handle canceling wizards in text mode
- hardware support:
  o detect more webcams
  o detect more ADSL USB modems (needs further drakconnect work)
- harddrake:
  o create new categories for USB audio, ATM, Bluetooth, WAN, and radio devices
  o split joysticks category into real joystick and gameport controller ones
- localedrake: clarify "other countries" vs "advanced" label depending if the
  language is spoken in several countries and if the language needs an IM method

* Wed May 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.13mdk
- drakboot (blino):
  o add the "Create new theme" button back
  o allow to choose between "text only", "verbose" and "silent"
    bootsplash modes
- drakconnect (blino):
  o use iwpriv for WPA with rt2x00 drivers (since they don't support
    wpa_supplicant)
  o keep # and * characters in phone number (#16031)
- drakroam:
  o fix perms on /etc/wlandetect.conf (#16020)
  o really write waproamd config files (blino)

* Tue May 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.12mdk
- fix GtkTextView wrapper
- drakups: do not detect MS joystick as UPS (#15930)

* Fri May 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.11mdk
- diskdrake: default to "Custom" when group fileshare exists (pixel, #15917)
- drakbackup (stew):
  o drop webdav support (can be mounted as a normal net filesystem
    these days)
  o remove translation on "tape" media selection (#15437)
  o rework .backupignore handling (#12352)
- drakconnect: netconnect.pm: reorder drakconnect first screen (blino)
- drakups: fix detecting Wingman gamepad as UPS (#15750)
- harddrake: ensure wait message is centered on mcc
- harddrake service: fix PCMCIA breakage (#15742)
- fix serial controllers detection (#15457)

* Wed May 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.10mdk
- draksplash (blino):
  o improved layout (separate window for image previews, notebook to
    split silent/verbose/console settings)
  o update scale factors when the theme name is changed too
  o use default jpeg image path in config file for both silent and
    verbose images
  o force the exact image size when writing a theme
  o write bootsplash v3 configuration files (progress bar still
    missing)
  o allow to modify progress bar and console box by dragging the mouse
  o really get default vga mode
  o shrink preview window on resolution change
  o handle both silent and verbose images
- localedrake (UTUMI Hirosi):
  o add support for iiimf
  o do not install anymore uim-anthy for japanese users

* Thu May 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.9mdk
- diskdrake (pixel):
  o fix displaying number of logical extents
  o allow resizing ext3 LV if not mounted
  o allow resizing reiserfs LV even if not mounted
- drakbackup (stew):
  o clarify quota message, optional delete old backups (#15066)
  o optional mail "From" address (#15293)
  o fix automagic addition of /root to backups when not desired
- drakconnect (blino):
  o ask wireless settings before boot protocol selection
  o remove useless warning in install, we never override configuration (#10827)
- draksplash (blino):
  o fix theme creation
  o preview theme in real time, cleanups
  o use default values for scale settings
  o draw a cross inside the text box
- drakTermServ (stew):
  o update for new etherboot
  o predict NBI disk space usage and check
  o catch failed NBI creation (#13902)
  o catch failed dhcpd.conf creation (#13943)
  o misc small bug fixes

* Tue May 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.8mdk
- ensure most sub dialogs reuse the icon of their main window
- drakboot: improve layout
- drakconnect: fix USB devices detection for ndiswrapper (blino)
- harddrake: fix SATA & hw RAID detection (detect them pior to detecting PATA)

* Sat Apr 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 10.3-0.7mdk
- drakconnect (blino):
  o don't write /etc/ppp/options anymore, adjust options in peer files
  o display VPI/VCI values in decimal
  o configure pppoe connections in a ppp peer file
- drakroam (blino):
  o do not write blank ESSID
  o exit and warn when no wireless interface is found (#15244)
- drakups: do not detect IR devices as UPSes (#15495)
- XFdrake: if one prefer using "Modes" instead of "Virtual", keep it
  as is (pixel)

* Tue Apr 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.6mdk
- drakconnect (blino):
  o fix WPA key (#15621)
  o allow to disable WPA even if no key is used
  o handle errors in wireless packages installation
- drakroam: fix Signal Quality parsing (blino)

* Fri Apr 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.5mdk
- mandrakesoft is now mandriva

* Fri Apr 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.4mdk
- drakconnect: basic tokenring support

* Fri Apr 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.3mdk
- drakbackup, drakfont, draksplash: switch to gtk+-2.6's new file selector
- drakbackup, drakroam: fix layout
- drakfont: filter file list so that only fonts are displayed

* Thu Apr 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.2mdk
- drakconnect (blino):
  o merge wireless steps and move advanced settings in advanced mode (#15501)
  o configure wpa driver in drakconnect, wpa_supplicant init script is dropped
  o fix default wireless mode to be "Managed" instead of "Secondary"
  o really use given encryption key
  o improve ndiswrapper driver configuration (allow to select driver,
    device and many errors handling)
  o fix fallback sysfs if ethtool failled
  o do not write zeroed MAC addresses in iftab, it confuses ifrename
  o do not crash if modprobe fails
  o unload ndiswrapper first so that the newly installed .inf files
    will be read
  o allow to choose the wireless encryption mode between "None", "Open
    WEP", "Restricted WEP" and "WPA Pre-Shared Key"
- drakfirewall: fix automatic net interface detection (blino)
- drakroam: fix SSID listing (blino)
- keyboardrake: update keyboard list for next xorg-x11 (pablo)
- mousedrake (blino):
  o preselect synaptics touchpad if no external mouse is present
  o better detection for touchpad
  o append evdev in modprobe.preload if a touchpad is detected
  o always configure an universal mouse so that USB mices can be hotplugged
  o always set synaptics touchpad as secondary and don't list them in
    mousedrake
- net_applet: increase network check timeout to lower the load (blino)
- XFdrake: suggest 1280x1024 instead of 1280x960 which causes pbs (pixel)

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.3-0.1mdk
- drakbackup: fix direct-to-tape backup/restore issues (stew, #15293)
- drakconnect (blino):
  o use sysfs as fallback to detect wireless interfaces (eg:
    rt2x00/prism2_*)
  o allow to modify METRIC settings in the wizard
  o fix displaying wifi data in manage interface

* Wed Apr 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-24mdk
- drakconnect: fix connection establishment (rafael)

* Tue Apr 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-23mdk
- drakconnect (blino):
  o fix error reporting for ndiswrapper package installation (#15373)
  o handle spaces in ndiswrapper drivers path
- XFdrake (pixel):
  o fix empty ModeLine lines
  o 1152x864 needs more modelines than the poor 1152x864@75Hz builtin
    xorg (#11698)

* Sat Apr 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-22mdk
- drakconnect: always restart slmodem, even if it was already
  installed (blino)
- harddrake: fix harddrake crash with USB/PCI DSL modems (blino, #15034)

* Fri Apr 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-21mdk
- drakconnect (blino):
  o fix support for fix h[cs]f modems
  o create correct /dev/modem && install correct package for HCF modems
- drakroam (blino):
  o don't truncate default gateway (#15247)
  o hide roaming frame by default
- net_applet (blino):
  o really allow users to start connection without having to type the
    root password
  o fix refresh

* Wed Apr 06 2005 Olivier Blin <oblin@mandrakesoft.com> 10.2-20mdk
- mousedrake: really apply specific ALPS touchpad settings (#14510)
- drakconnect:
  o install dkms packages if found
  o support more slmodems
- net_monitor: improve wifi detection
- drakroam:
  o do not crash if no essid is selected (partially fix #15244)
  o hide unavailable features, add close button
- drakboot (Pixel): apply patch from bugzilla #15216, adding support for
  "password=..." and "restricted" at per-entry level (thanks to jarfil)
- misc charset fixes (Pixel, Pablo)

* Tue Apr 05 2005 Olivier Blin <oblin@mandrakesoft.com> 10.2-19mdk
- drakconnect:
  o only switch up wireless devices during detection
  o do not reupload firmware for eagle-usb modems if already done
  o disconnect internet interface before trying to connect
- mousedrake: configure wacom devices with synaptics touchpads too
- printerdrake (Till):
  o Fixed bug #4319: Printer options cannot be set after renaming the
    printer or changing the connection type
  o Fixed bug of PostScript printers with manufacturer-supplied PPD
    cannot be renamed at all
  o Fixed bug of print queue being deleted when renaming fails
  o Fixed bug of printerdrake trying to open a message window when
    non-interactive queue generation fails
  o Fixed pre-definition of $printer->{ARGS}, this bug made printerdrake
    crashing sometimes
- diskdrake (Pixel): add /usr/local and /opt to suggestions_mntpoints

* Sat Apr 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-18mdk
- drakconnect: enable ethernet interfaces during detection, thus
  fixing Ralink wireless detection (blino)
- harddrake: fix crash
- mousedrake: configure wacom devices with synaptics touchpads too
  (blino)

* Fri Apr 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-17mdk
- drakconnect: do not use ifplugd for wireless cards (and don't allow
  to enable it) (blino)
- drakfirewall: make it usable (pixel, #15116)
- drakups: do not detect USB joystics as UPSes (#15131)
- harddrake:
  o do not try to install packages that are not availlable (#15106)
  o do no try to install too generic hw packages (#15101)
  o do not detect USB joystics as UPSes (#15102)
- localedrake: do not try to logout wm (pixel, #15087)

* Thu Mar 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-16mdk
- drakconnect (blino):
  o fix speedtouch microcode url (#15095)
  o fix sagem modem config
  o try to use the country specific CMV for sagem modems
- harddrake:
  o list hardware RAID controllers in their own section (so that they do not
    appear in the unknown one)
  o ensure we detect all known SATA controllers and all known sound cards
  o fix optical mice detection (#15082)
- net_applet: really load network configuration at start (blino)
- printerdrake: do not mis-detect some USB keyboards as printers (till)

* Wed Mar 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-15mdk
- drakconnect (blino):
  o fix eaglectrl path (#15033)
  o detect more Bewan devices
  o fix support for sagem modems not using pppoa
- harddrake: add an option in harddrake to probe imm/ppa (pixel,
  - localedrake:
  o fix russian size (pixel, #14988)
  o "unicode" checkbox is visible only in expert mode
- fix tools' crash when drakconf is not installing (#13392)

* Fri Mar 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-14mdk
- drakroam:
  o do not crash (blino)
  o fix translations
- net_applet (blino):
  o ask for root password if needed when setting a new profile
  o force refresh if asked by user from the menu

* Thu Mar 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-13mdk
- banners: make banner be RTL aware (aka follow language direction and
  display itself mirrored for RTL languages) (#11910)
- diskdrake (pixel):
  o ensure we use/propose a free md when creating a new one
  o after "mdadm --assemble" there can be some inactivate mds busying
    devices, stopping them
- drakconnect (blino):
  o make Bewan PCI modems work again
  o add support for modems using pppoatm (e.g. SpeedTouch) and ISP
    using RFC 1483 Routed VC MUX (e.g. Free Degroupe)

* Wed Mar 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-12mdk
- XFdrake: fix probing on neomagic (pixel)
- harddrake: package rpmsrate so that installing hw packages works

* Tue Mar 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-11mdk
- drakconnect: do not list wifi* interfaces (blino, #14523)
- harddrake2: install packages needed for hw support
- keyboarddrake: run dmidecode only once we acquired root capabilities
  (pixel, #13619)

* Mon Mar 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-10mdk
- drakboot: enhance yaboot macos entry handling (cjw, #14642)
- drakconnect: disable network hotplug for the via-velocity driver
  (#14763)
- drakups:
  o fix driver for APC UPSes for auto USB probing
  o set extra parameters if present
- net_applet (blino):
  o force start from menu (#14858)
  o don't modify autostart config file value if started with --force
- XFdrake (blino):
  o use new recommended settings for synaptics-0.14.0
  o use specific Synaptics settings for ALPS devices (#14512)

* Fri Mar 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-9mdk
- drakTermServ: detect all NIC that're know to drakconnect
- drakups: fix device path when manually adding an UPS (#12290)
- logdrake: fix explanation mode only displaying last line (#14368)

* Fri Mar 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-8mdk
- diskdrake (pixel):
  o fix remove on LVM in newt interface (#14254)
  o remove the lvm if destroying it succeeds (#14249)
- drakboot: handle grub file names that do not correspond to a mounted
  filesystem (pixel, #14410)
- drakconnect: remove other mac address occurrences in iftab (blino)
- drakTermServ (stew):
  o lose the "system" calls
  o use pxe.include now
- drakperm:
  o do not ignore groups with empty password field (#14777)
  o better looking GUI: span groups & users on several columns (up to 3)
- localedrake: always warn the user to logout, even if we can't help
  (pixel, #14403)

* Thu Mar 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-7mdk
- drakconnect:
  o fix localized sorting (#14634)
  o manage interface (blino):
    * allow to modify non configured devices
    * really detect wireless devices
- harddrake: fix adsl devices detection (blino, #14747)
- logdrake: fix save dialog (blino)
- printerdrake: fix queue name auto-generation, it sometimes hanged in
  an endless loop (till, #14426, #14525, #14563)
- XFdrake (pixel): 
  o instead of having xorg.conf symlinked to XF86Config, do the
    contrary
  o use monitor-probe-using-X
  o remove the "ratio" combo and have the resolutions from current
    ratio by default and allow "Other" to see all others

* Wed Mar 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-6mdk
- drakboot: fix dropping line macos in yaboot.conf (pixel, #14642)
- drakconnect (blino):
  o allow to display multiple instances of the similar adsl devices
  o fix unicorn packages installation
- interactive layer: fix some nasty bug
- localekdrake:
  o preserve utf-8 setting (#12308)
  o properly set UTF-8 for HAL mount options if needed (#13833)
  o enable to enable/disable utf-8
  o install scim-input-pad when switching IM for japanese
  o ensure there's never a "previous" button on first step (even when
    stepping back)
- printerdrake: fix setting of default printer on daemon-less CUPS
  client (till, #13940)
- XFdrake: probe DDC, then fallbacks on DMI

* Tue Mar 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-5mdk
- diskdrake: add support for XBox (stew, pixel)
- drakboot: don't die when we have no entries in grub menu.lst (pixel)
- drakconnect (blino):
  o allow not to set gateway device (#14633)
  o fix and force CMVs symlink creation for eagle-usb
- drakfirewall: allow connections from local net to firewall (blino,
  - XFdrake (pixel):
  o for 1400x1050, put the resolutions (60 and 75Hz are already in
    extramodes, but they are GTF modelines, we can overrule them) 
  o don't add modelines for 1280x1024, they are already in standard
    vesamodes (builtin Xorg)
  o when adding gtf modelines, sort them with high frequencies first
    (since Xorg prefer the first matching modeline (!))

* Thu Mar 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-4mdk
- harddrake2: enable to upload the hardware list
- XFdrake:
  o fix crash when called from hwdb-clients
  o skip the 4/3 detailed_timings otherwise they conflict with the
    Xorg builtin vesamodes (pixel)
- drakconnect (blino):
  o use a higher timeout for modem dialing (#10814)
  o make wpa_supplicant.conf readable by root only

* Wed Mar 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-3mdk
- drakconnect:
  o workaround buggy sk98lin kernel driver (#14163)
  o write selected dhcp client in ifcfg files (blino)
- draksec: fix setting null values (#14364)

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-2mdk
- drakconnect (oblin):
  o scan hidden ssid
  o manage interface:
    * handle more DHCP options
    * move DHCP settings in a notebook page
- XFdrake: choose a 4/3 resolution by default (pixel)
- XBox support (stew)

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-1mdk
- diskdrake: allow live resizing of reiserfs on lvm (pixel)
- drakboot: fix detecting yaboot (pixel)
- drakconnet (blino):
  o configure CMV for sagem modems
  o delete gateway:
    * if reconfiguring the gateway interface to dhcp
    * if gateway device is invalid (#11761)
    * if needed when configuring DSL devices (#13978)
  o manage interface:
    * detect all ethernet interfaces
    * allow to modify DHCP settings
- localedrake: let's be able to setup gcin (funda wang)
- printerdrake: detect if the user has manually edited
  /etc/cups/client.conf (till)
- XFdrake: still improving monitors support (pixel)

* Wed Mar 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.35mdk
- drakboot (pixel):
  o fix corrupted "Precise RAM size" field (#13874)
  o handle boot-as and master-boot (#13846)
- drakconnect: workaround buggy kernel (#12609)
- net_applet: refresh every second, and do not reread network conf on
  each refresh (blino, #11467)
- printerdrake (till):
  o add possibility to add a remote LPD printer in beginner's mode (#13734)
  o fix incorrect display of accentuated characters in PPD options
    also for boolean options (#13928)
  o let detected LPD printer model be shown in a pop-up window and not
    in the add printer wizard
  o let detected socket printer model be shown if the IP/port was
    manually entered
  o fix selection of test pages
  o ensure that recommended driver is preselected in expert mode, even
    if the recommended driver is a manufacturer-supplied PPD with
    language tag
- ugtk2 layer: misc fixes
- XFdrake (pixel):
  o add a ratio choice, and restrict the resolutions to this choice
  o add 1280x600 for VAIO PCG-C1M (#5192)
  o fix section with only comments
  o "keyboard" InputDevice can also be called "kbd"
  o do not only add modelines not defined in xorg, otherwise xorg will
    prefer the modelines we provide (eg: it will use 1024x768@50
    whereas it could have used 1024x768@60)
- configure iocharset and codepage option for hal (pixel, #13833)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.34mdk
- diskdrake: allow to choose encryption algorithm (blino, #13472)
- drakhelp, drakbug: use www-browser (daouda)
- printerdrake: fix "add printer" wizard chen embedded in the MCC (#13929)
- XFdrake: further monitor fixes (pixel)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.33mdk
- drakconnect: enhance "wrong network mask format" message (blino, #10712)
- drakTermServ: sort list of nbis (stew, #13998)
- keyboardrake: set compose key as "rwin" if not set (pablo)
- XFdrake (pixel):
  o replaced by use monitor-edid instead of ddcxinfos
  o add many resolutions
  o set the "Monitor preferred modeline" from EDID in xorg.conf
  o handle lower than 640 resolutions
  o set better resolution

* Mon Feb 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.32mdk
- drakboot: make sure /boot/grub/install.sh is 755 (pixel)
- drakconnect (blino):
  o allow to alter DHCP timeout (# 11435)
  o add support for PEERDNS, PEERYP and PEERNTPD (#9982)
  o workaround broken ethtool from hostap drivers (#13979)
  o handle USERCTL settings for modems too
- net_applet (blino):
  o add menu entry (#11898)
  o netprofile support (#12094)
  o allow to select watched interface
- printerdrake: let country and not language decide about default
  paper size (till)

* Fri Feb 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.31mdk
- drakconnect (blino):
  o allow users to start the connection (#12837)
  o pre-detect modem device
- keyboarddrake: new default keyboard is "us" for Chinese (pablo)
- printerdrake: driver "oki4w" was renamed to "oki4drv" (till)

* Fri Feb 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.30mdk
- drakconnect :allow to select "unlisted" provider in adsl provider
  list (blino)
- drakfont: fix uninstalling fonts (#9324)
- drakproxy: do not update kde config file if kde isn't installed (blino)

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.29mdk
- drakconnect:
  o add norwegian ADSL providers (Eskild Hustvedt)
  o remove all non-digit characters in phone number (blino, #10813)
  o minimal WPA support (blino)
- drakxtv: scan TV channels for TV cards that do not require any
  driver configuration (#13865)
- drakups:
  o fix crash due to latest perl-Libconf 
  o fix reading UPS db
- net_applet: fix name of mcc tool (blino & me, #13896)
- printerdrake:
  o enable to alter options of a not set up non-Foomatic queu
  o fix accentuated characters in PPDs not correctly reproduced in the
   printer options dialog
- GUI layers:
  o fix displaying "Advanced" instead of "Basic" in advanced_state by
    default (pixel, #13944)
  o force to open file selector as a modal window (rafael, #13942)

* Tue Feb 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.28mdk
- drakfont: allow to select multiple files (blino)
- localedrake:
  o adapt to new uim splitting (UTUMI Hirosi)
  o adapt to new scim packages splitting (Funda Wang)
  o fix koi8-u font size (Funda Wang, #13809)
- keyboardrake: handle lb locale (pablo)
- printerdrake: if a printer is set up with HPLIP and has still an old
  HPOJ configuration, it will be automatically removed (till)
- scannerdrake (till):
  o display unsupported scanners as such in the scanners list (#12049)
  o load kernel modules (and make them loaded on boot) if specified in
    ScannerDB
  o tell user if his scanner requires manual editing of config files
    to work (the appropriate scanner models are marked in ScannerDB)

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.27mdk
- drakboot: make it more robust (pixel)
- drakproxy: set up KDE too (blino)
- harddrake: list usb mice that are not listed in usbtable (#13575)
- interactive layer: use the new gtk+ file chooser (pixel)
- keyboarddrake: make keyboard layout more user friendly
- printerdrake (till):
  o force only ASCII letters, numbers, and underscores being used in
    print queue names
  o wait for CUPS being ready before querying the printer states for
    the printer list in the main window
- reduce drakxtools-backend's requires (pixel)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.26mdk
- draksound, service_harddrake: handle more sound cards
- localedrake: alter font settings for zh_CN and zh_TW (funda wang)
- printerdrake (till):
  o allow HPLIP setup also when setting up the print queue manually
  o fix undetection of network printers without DNS hostname entry
  o longer timeouts for "ping", as some network printers were missed
- service_harddrake: handle removal of cards (#7049)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.25mdk
- harddrake service: fix removing PCMCIA controller
- hardware support: detect & load modules for RNG (crypto hw)

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.24mdk
- drakxtv:
  o only offer to configure tv cards that (may) need to be configured
  o do not complain about no tv cards when there're but they do not
    require any configuration beyond loading proper module (#7443,
    - harddrake:
  o detect more webcams
  o do not detect speakers as keyboards
- printerdrake: misc fixes (till)

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.23mdk
- printerdrake (till):
  o add automatic setup of HP printers with HPLIP
  o fixes for embedded mode
- drakconnect:
  o add support for ACP (Mwave) modems
  o fix stepping back from lan interface step with ndiswrapper
  o fix ndiswrapper installing
- interactive layer: fix selecting a file (eg: ndiswrapper's drivers)
- hardware support:
  o detect & load modules for:
    * toshiba driver for some laptops
    * some multiport serial cards
    * DVB
    * joysticks
  o add support for multiple different AGP controllers
  o handle a few more special serial port cards

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.22mdk
- localedrake: switch arabic font for KDE from "Roya" to "Terafik"
  that supports ascii glyphs (pablo)
- ugtk2: API changes for rpmdrake (rafael)

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.21mdk
- drakboot: fix ACPI checkbox (pixel, #13335)
- drakkeyboard: synchronized keyboards with X11 (pablo)
- harddrake service: prevent adding spurious empty lines at end of
  /etc/hotplub/blacklist on stop
- printerdrake: updates

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.20mdk
- drakconnect (blino):
  o add basic ndiswrapper support
  o select manual adsl connection type if the network interface was
    static
  o add missing protocol for Free and Telecom Italia in ISB DB
- drakproxy: support gnome proxy (blino)
- printerdrake (till):
  o adapt to new printer drivers packages
  o limit automatically generated print queue names to 12 characters
    and warn user if he manually enters longer names (which will make
    the printer unaccessible for some Windows clients) (#12674).
- allow upper case letters in users' real names (rafael)
- net_applet: automatically start in fluxbox and XFce4 too (blino)

* Fri Feb 04 2005 Olivier Blin <blino@mandrake.org> 10.2-0.19mdk
- drakconnect: add bpalogin support for cable connections

* Thu Feb 03 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.18mdk
- drakconnect: fix CAPI kernel drivers installation (blino)
- drakfirewall: port 445 is used for Samba (w/o NetBios) (blino)

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.17mdk
- diskdrake: fix autocheck flag in /etc/fstab for / (pixel, #13283)
- drakbackup: Wizard, System Backup configuration problems (stew, #13235)
- harddrake service:
  o fix PCMCIA autoconfig
  o make --force force harddrake to reconfigure everything

* Wed Jan 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.16mdk
- diskdrake: use the new option auto=dev instead of auto=yes when
  configuring mdadm (pixel)
- drakTermServ (stew):
  o drop quasi-pxe setup in dhcp.conf as we can use real pxe now
  o portmap check, dhcpd.conf.pxe.include (#13138 & #13139)
- package installation: use the new --gui option to urpmi for the
  drakxtools to ask for media change (rafael)
- mygtk2 related fixes (pixel)

* Fri Jan 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.15mdk
- fix mygtk2 for drakloop (pixel)
- printerdrake: fix main loop (daouda)

* Fri Jan 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.14mdk
- drakconnect: update ISP db (baud)
- harddrake: fix pcmcia controllers detection

* Fri Jan 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.13mdk
- keyboarddrake: minimal XkbModel support (pixel)
- diskdrake (pixel):
  o don't write /etc/mdadm.conf when no raid
  o use option "auto=yes" in mdadm.conf to ensure mdadm will create
    /dev/mdX devices when needed
- printerdrake:
  o fix subdialogs when embedded in mcc
  o fix banner's title by initializing l10n domains before ugtk2

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.12mdk
- diskdrake: progress bar when formatting ext3 (pixel)
- drakauth: fix switching back nsswitch.conf to local authentication
  (pixel, #13024)
- drakbackup: custom cron configuration (stew, #13056)
- drakboot: do not create a maping table when uneeded (#12307)
- drakconnect: fix bug introduced by mygtk2 (pixel)
- drakfirewall: fix ethernet card detection (pixel, #12996)
- harddrake2: fix crash on opening help windows
- interactive layer: separate alignement for basic and advanced
  entries (pixel)
- XFdrake (pixel):
  o when reading an existing X config file, ensure it is not too bad,
    otherwise propose to start from scratch (#8548)
  o set up framebuffer in standalone mode too
  o for fbdev, advise to reboot instead of restarting X server

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.11mdk
- harddrake2: display the menubar and the banner when embedded

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.10mdk
- drakbackup, drakTermServ: silent install of terminal-server (urpmi
  --X is deprecated) (rafael)
- localedrake (Funda Wang):
  o install scim-chewing for zh locale
  o fix font setting for zh_CN
- printerdrake: show banner when embedded
- write in lilo.conf the global root= (pixel, #12312)

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.9mdk
- diskdrake: display a progress bar while formating (pixel)
- localedrake: fix UIM config b/c of new UIM-0.4.5

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.8mdk
- drakauth: "Administrator (root)" is more user-friendly than "root"
- drakbackup (stew):
  o directories with spaces Mandrakeclub
  o perms on tarballs too (#12861)
- drakconnect: update ADSL ISPs list (baud)
- drakfirewall: "Samba server" is better named "Windows Files Sharing
  (SMB)" (pixel, #10585)
- draksound, harddrake service: handle a couple of new ALSA drivers
- handle handle spaces in SMB username (pixel)
- keyboardrake: handle various new keyboard layouts (pablo)
- localedrake: do not localize console in japanese (Funda Wang)
- remove codepage= option for fs types which don't handle it (eg:
  ntfs) (pixel)

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.7mdk
- detect more floppies when dmidecode is supported (pixel)
- drakconnect:
  o do not crash when configuring a modem
  o fix NETMASK autofilling
- localedrake: do not localize console when using jp (Funda Wang)
- XFdrake: make "XFdrake --auto" fully automatic (pixel)

* Wed Dec 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.6mdk
- handle more PCMCIA/CardBus cards
- do not try to load floppy module if there's no floppy drive (#8211)
- drakTermServ: misc GUI enhancements (pixel, stew)
- harddrake service: configure PCMCIA host controller if needed
- new package drakx-finish-install (pixel)
- new mygtk2 layer

* Fri Nov 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.5mdk
- diskdrake: handle common geometry XXX/240/63 is quite common thus
  fixing yet another infamous "XP doesn't boot" (though it should
  already be fixed via EDD) (pixel)
- XFdrake: don't write X config when there is none (otherwise we write
  a partial and broken X config)

* Thu Nov 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.4mdk
- diskdrake: more intelligent sort of fstab to handle loopback files
  or bind directory (pixel, bug anthil #1198)
- drakboot: detect on lilo on floppy (pixel, #12213)
- drakconnect: in "ADSL provider" step, reset the protocol on provider
  switch
- draksound: handle new sound drivers from kernel-tmb and kernel-multimedia
- drakupdate_fstab: fix /dev//dev/foobar in /etc/fstab (pixel, #12224)
- harddrake service:
  o fix setting scsi and usb probell in live CD (thus fixing
    mousedrake --auto with USB mice on live CD)
  o do not die if sound never was configured (aka on first boot from a
    live CD)

* Wed Nov 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.3mdk
- bootloader: let be kernel-i686-up-64GB aware (pixel)
- diskdrake: LVM/DM/MD fixes (pixel)
- drakupdate_fstab: use the right encoding when creating an entry for
  /etc/fstab (pixel, #12387)
- PPC fixes (Christiaan Welvaart, pixel)
- service_harddrake: on startup, redo ethX aliases

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 10.2-0.2mdk
- Rebuild for new perl
- drakauth (pixel):
  o correctly restore pam.d/system-auth when setting "local" authentication 
  o no use_first_pass on "auth sufficient pam_unix.so" line for pam_castella
- localedrake: switch zh_CN to GBK (Funda Wang)
- logdrake: speed it up

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.1mdk
- drakauth: add SmartCard authentication (pixel)
- drakbackup: advise user about anacron (stew, anthill #1134)
- drakconnect:
  o add support for Philips Semiconductors DSL card (blino)
  o security fix: let ifcfg files be readable only by root when a WEP
    key is set (blino, #12177)
  o update/add ADSL ISP entries (baud)
- drakTermServ (stew):
  o create cfg dir if needed
  o use xorg.conf
  o touch /etc/dhcpd.conf.etherboot.kernel if missing
  o ignore vmnet for broadcast address
  o start reworking PXE support.
- harddrake2: display more information about memory
- localedrake: fix configuring fcitx IM (Funda Wang)
- XFdrake: do not detect smartcards (pixel)

* Fri Oct 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-27mdk
- bootloader: run grub chrooted (gwenole)
- diskdrake:
  o show older partition types (eg: ntfs) on x86_64 (gwenole)
  o newly created raids must have a fs_type (pixel)
- drakconnect:
  o add support for freebox v4 ADSL modem with USB link
  o show correct strings for freebox and n9box ADSL modems
- drakups: fix again MGE USB UPSes

* Wed Oct 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-26mdk
- bootloader-config: in grub menu.lst, keep previous "serial ..." and
  "terminal ..." lines (pixel, #12054)
- drakconnect:
  o fix crash in delete wizard
  o workaround more buggy drivers that returns a bogus driver name for
    the GDRVINFO command of the ETHTOOL ioctl

* Tue Oct 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-25mdk
- drakconnect: workaround buggy prism2_usb that returns a bogus driver
  name for the GDRVINFO command of the ETHTOOL ioctl

* Tue Oct 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-24mdk
- drakconnect (blino):
  o delete wizard: remove /etc/sysconfig/network-scripts/ethX files
  o ADSL configuration:
    * remove /etc/sysconfig/network-scripts/ethX files that may have
      been created by sagem scripts
    * don't write ifcfg-ppp0 for static/dhcp connections

* Sat Oct 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-23mdk
- drakconnect:
  o fix encapsulation for chinese ISPs (Funda Wang, #10965)
  o fix H[CS]F modems configuration (adapt to new kernel packages
    names)
  o start slmodemd when installing it (thus preventing the average
    user to have to restart his machine in order to get a working
    connection)
  o try /dev/ttyS14 too for serial modems (ie internal PCI modems that
    don't need any driver but export a serial port instead)

* Sat Oct 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-22mdk
- bootloader-config: on a recent kernel, remove any existing devfs=
  kernel option in order to enable udev (pixel)
- drakconnect: add chinese ISPs (Funda Wang, #10965)
- XFdrake: fix parsing fully commented Section (pixel)

* Thu Oct 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-21mdk
- bootloader-config: fix installing kernel-2.6.8.1-12.1mdk (pixel)
- drakups: fix brown paper bug in USB detection

* Wed Oct 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-20mdk
- drakups:
  o fix port for MGE's USB UPSes
  o fix drivers for MGE UPSes
  o fix installing nut
  o add support for "American Power Conversion" UPSes
  o restart upsd daemon once nut config is written
  o write config in pure wizard mode
  o when manual adding an UPS:
   * fix reading driver DB
   * fix reading driver from the list
- diskdrake: do not fail with c0d0p* devices (pixel)
- drakconnect: applying changes can be quite time expensive,
  especially with ppp and wifi connections thus let's show a "wait"
  message
- drakfont: fix closing import dialog (#11052)

* Wed Oct 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-19mdk
- drakconnect: 
  o ADSL DB (baud):
    * add a few new ADSL ISPs
    * fix wrong VCI which wasn't in hexa for brazililan Velox/Telemar ISP
  o manage interface (blino:
    * recompute NETWORK and BROADCAST fiels
    * use both type and device name in non-ethernet interfaces list
    * do not crash if BOOTPROTO is empty, use 'none' by default (#11899)

* Tue Oct 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-18mdk
- drakconnect: do not lose GATEWAYDEV if it is a non wireless one and
  a static wireless card is configured (and vice versa) (blino)

* Tue Oct 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-17mdk
- 64-bit fixes (gwenole)
- drakconnect: write wlan-ng config files for prism2 drivers (blino)
- harddrake service: 
  o do not disable glx when switching from nvidia driver to nv
    (indirect support, #11285)
  o do not fail when hw db is corrupted

* Tue Oct 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-16mdk
- drakconnect (blino):
  o only write TYPE field in ifcfg files for xDSL connection
  o do not lose ONBOOT setting for manual/DHCP DSL connections
  o fix the "IP %%s address is usually reserved" warning
  o sagem modems:
    * fix again DHCP/static connections with sagem
    * write static IP in eagle-usb.conf if needed
    * load specific modules/programs before config is written
    * do not reset IP address when configuring
    * automatically guess gateway for static connections

* Sat Oct 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-15mdk
- fix serial UPS detection

* Sat Oct 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-14mdk
- mousedrake, harddrake service: do not crash with touchpads (blino)
- harddrake service: on stop, blacklist snd-usb-audio (#8004)

* Sat Oct 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-13mdk
- diskdrake: don't die when device-mapper is missing (eg on 2.4
  kernel) (pixel, #11834)
- drakconnect : call the scripts in
  /etc/sysconfig/network-scripts/hostname.d like the network scripts
  are doing when changing the hostname (fredl)
- drakups:
  o add --wizard option in order to directly run the wizard
  o do not show banner when embedded
- harddrake:
  o list tablets with mice
  o fix UPS devices listed in both "UPS" and "unknown" classes
  o provide more data on UPS
- localedrake:
  o set KDE in m17n emvironment if needed
  o split its menu entry in two (one for user config, one for system
    embedded in mcc)

* Fri Oct 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-12mdk
- disable the new gtk smart search which display an entry box (pixel)
- preload nvram on laptops
- print translated usage message (#5657)
- bootloader-config, drakboot: add raid-extra-boot=mbr when installing
  on mdX (pixel, #11699)
- diskdrake (pixel):
  o fix LVM2 support
  o fix "Illegal division by zero" when installing lilo (#11738)
  o skip unopenable devices when looking for device geometry
- drakperm: list users rather than groups when requested for (anthill #1161)
- drakroam: specify device to iwconfig when applying settings (blino,
  - localedrake:
  o fix KDE font names to match currently shiped Xfs font names (pablo)
  o fix setting fonts at install time
- drakconnect (blino):
  o all linmodems (including Hsf and Hcf ones) are now supported with
    2.6 kernels
  o ask to connect for modem/isdn connections again
  o better default connection detection
  o check if IP address is already used for static interfaces
  o handle madwifi (fredl)
  o try to detect default connection in adsl > isdn > modem > ethernet
    order
- drakups: really fix refreshing UPS list when adding a new UPS though
  the add wizard
- harddrake: list all mice and keyboards (thus lowering unknown
  hardware in hwdb-clients)
- mousedrake, XFdrake: use input/mice instead of psaux for synaptics
  touchpads with 2.6 kernels (blino, #11771)
- net_applet (blino):
  o do not destroy/re-create menu if state hasn't changed, or else the
    menu may disappear without any reason
  o fix again running processes detection
- net_monitor (blino):
  o fix start/stop
  o check every 5 seconds (instead of 20) for new or disconnected
    interfaces (#11780)
- printerdrake: misc fixes (pixel)
- XFdrake: use driver "keyboard" instead of "Keyboard" (fix Xorg-6.8
  support) (pixel)

* Sat Sep 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-11mdk
- handle aes-i586 instead of aes (pixel, #11588)
- bootloader-config: fix typos in usage (pixel)
- diskdrake (pixel):
  o get geometry from EDD
  o don't add /dev/pts line in fstab anymore (already done in initrd
    and by udev)
  o log more explanations
  o remove every PVs when destroying a VG (#11579)
  o handle renamed devices (eg: hde->hda or hda->sda)
  o silently ignore encrypted filesystems with no encrypt_key
- drakconnect (blino):
  o zeroconf:
    * really enable zeroconf if zeroconf is requested
    * write blank zeroconf hostname if zeroconf is disabled
    * fix disabling zeroconf
    * do not disable not installed (prevent warnings in console)
    * zcip isn't a service,
    * stop tmdns service if zeroconf is disabled,
  o move "Start at boot" step for lan-like adsl/cable connections
  o do not disable ifplugd support for wireless cards
  o do not let speedtouch-start launch connection
  o fix installing kernel packages for winmodems
  o fix /dev/modem symlink on ttySL0 (#8947 again)
  o use avmadsl option for capi cards to use settings generated by
    drdsl
  o PPPoA: fix reseting vpi and vci if vpi equals zero
  o ADSL provider DB: rename "Télé2 128k " as "Télé2"
- drakupdate_fstab: allow SYNC=no option in /etc/sysconfig/dynamic
  (blino)
- drakups:
  o refresh UPS list when adding a new UPS though the add wizard
  o fix automatically detect/add an UPS
  o default to automatic detection
- localedrake:
  o add support for SKIM IM
  o install x-unikey when switching to vietnamese
  o always use "Sazanami Gothic" font in japanese
- mousedrake: prevent a broken X configuration to break mouse
  configuration (pixel)
- net_monitor: remove connection time timer if connection fails (#11590)
- XFdrake: allow ignoring X config file when it contains errors (pixel)

* Sat Sep 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-10mdk
- drakbackup: use radio buttons in media selection (wildman)
- drakconnect (blino):
  o better looking description list in drivers list (me)
  o remove the "speedtch off" alias (fix mdk10.0 upgrade)
  o don't write aliases for pcmcia cards, thus fixing the pcmcia
    service startup
  o stop capi service before new config is written so that capiinit
    can unload the old driver
  o make isdn over capi work again
  o do not ask which driver to use when only capidrv is supported
  o install unicorn-kernel package for Bewan modems if available
  o add "Unlisted - edit manually" entry in modem provider list (#11549)
- harddrake service (blino):
  o probe firewire and pcmcia network devices too
  o update iftab when new ethernet devices are detected

* Thu Sep 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-9mdk
- drakconnect:
  o don't create empty pppoe.conf if the package isn't installed
  o load modules and run start programs
- bootloader-config: fix crash when when removing some break entries (pixel)
- keyboarddrake, XFdrake: better turkish support (pablo)

* Wed Sep 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-8mdk
- localedrake: offer to select IM if language has one preselected
  (eg: CJKV, else option is only availlable in advanced mode)
- harddrake service: adapt to new nvidia driver location

* Wed Sep 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-7mdk
- add man pages for drakbackup and drakconnect
- drakauth: misc fixes (stew)
- drakconnect:
  o misc cleanups (blino)
  o setup slmodem (blino)
  o workaround buggy eth1394 that returns a bogus driver name for the
    GDRVINFO command of the ETHTOOL ioctl (so that we set a
    sensible name for firewire network adapters in GUIes)

* Wed Sep 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-6mdk
- drakconnect: install firmware if needed for CAPI devices (blino)
- harddrake:
  o detect not yet supported ethernet cards too
  o detect more bridges and the like
- scannerdrake: try harder not to detect non scanner USB devices (#7057)

* Wed Sep 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-5mdk
- drakbackup:
  o fix crashes in CD/Tape setup (stew)
  o fix wizard's UI behavior (Nicolas Adenis-Lamarre)
- drakconnect (blino):
  o handle CAPI drivers
  o add support for xDSL over CAPI (eg: AVM cards)
  o fix pppoe configuration
- draksec: move help from tooltips into separate page (#9894)
- scannerdrake: fix "dynamic()" in scannerdrake to do not contain
  anything interactive (till)

* Tue Sep 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-4mdk
- drakbug_report: fix crash
- XFdrake: adapt to new proprietary package naming (pixel)

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-3mdk
- net_applet (blino):
  o fix crash on connect/disconnect (#11389)
  o refresh status on every 5 second

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-2mdk
- description
  o split drakxtools description in drakxtools and drakxtools-newt
  o describe missing tools
  o sanitize tool names
- drakconnect: do not ask twice if network should be started on boot
  for ADSL modem (blino)
- keyboarddrake, XFdrake (pablo):
  o fix compose:rwin
  o fix some keyboard layout on xorg in order to match to match x.org

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-1mdk
- fix console UIs (pixel)
- drakboot: do not kill the whole bootsplash wizard when embedded (blino)
- drakconnect: fix cnx status in "internet" interface (blino)
- harddrake service: autoconfigure mice if needed
- localedrake: fix ENC setting when IM is disabled

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.27mdk
- localedrake:
  o really reset IM on language switch
  o set ENC and locale specific stuff even when IM is disabled
  o fix thai IM

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.26mdk
- bootloader-config: handle raid-extra-boot (pixel, #11350)
- drakboot: handles more cases where lilo wants to assign a new Volume
  ID (pixel)
- localedrake:
  o install miniChinput when configuring chinput
  o fix miniChinput configuration for Singapore 
  o handle languages with default IM w/o any configured IM (aka keep
    "none" user choice) but default to per locale default IM when
    switching between locales
  o fix configuration of IM when altering depending on encoding (eg:
    miniChinput)

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.25mdk
- bootloader-config (pixel):
  o fix regexp to work with "linux-2.6.8.1-10mdk"
  o handle lilo "static-bios-codes" option
  o prevent LILO from reading from tty
  o only expand symlinks when renaming "linux" into the kernel version
    based label (eg: "2681-10")
- drakboot:
  o ensure ~/.dmrc is owned by user else GDM complains about
  o handles the lilo case where it wants to assign a new Volume ID (pixel)
- drakconnect: 
  o ignore rpm's backups (#10816)
  o always update iftab when config is written (blino)
  o detect slamr, slusb and ltmodem modules for modems (fredl)
- drakupdate_fstab: handle options in any order (fix harddrake service
  regarding amove media as well as regarding cdroms, burners and dvds)
- harddrake service: log which tools are runned

* Thu Sep 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.24mdk
- drakboot (blino, #11282):
  o update splash when removed too
  o use Mandrakelinux theme by default
  o don't give theme name to remove-theme
- drakconnect: fix empty "manage interface" (blino, #11287)
- drakperm: fix freeze (#11274)
- harddrake service: fix X11 autoconfiguration

* Wed Sep 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.23mdk
- bootloader-config: take care of symlink based bootloader entries (pixel)
- diskdrake (pixel):
  o ignore first line of /proc/swaps
  o partially handle /udev/xxx device names in fstab
  o ignore rootfs "device"
  o don't warn for loopback files
- drakbug: fix --report and --incident (daouda)
- drakconnect (blino):
  o "delete network interface" wizard:
    * use long device names
    * be aware of internet service -> regular ifcfg files
  o misc fixes (especially regarding sagem ADSL modems)
- harddrake service: really autoconf TV cards
- more synaptics fixes (blino)
- use "users" options for removable devices (so that users can unmount
  them if the devices were mounted by root) (blino)

* Tue Sep 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.22mdk
- diskdrake (pixel):
  o detect linux software raid magic
  o detect LVM2
  o misc fixes
  o fix displaying "mdmd0" instead of "md0"
- drakboot: ensure we do not enable autologin w/o any user
- drakconnect (blino):
  o fix detection in 2.4 kernel for net devices with high traffic
  o only complain about kernel-2.4.x for h[cs]f modems
  o fix kppp config reread
  o read kppp config when user dir is configured
  o use /dev/modem if no modem was detected (do not crash when we edit
    a connection whose modem is unplugged)
- harddrake service: everything should be done automagically now
- localedrake:
  o list specific packages to install for japanese when using SCIM
  o install scim-m17n as well for generic SCIM configuration (more
    input methods)
  o log more explanations
  o set QT_IM_MODULE too since it's needed by Qt-immodule-20040819
    (UTUMI Hirosi)
  o disable translations on console for kn, pa, ug too (pablo)

* Tue Sep 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.21mdk
- misc GUI enhancements
- diskdrake: be more failsafe with half broken existing raids (pixel)
- drakconnect: fix crashes (#11100)
- harddrake service: really add module for storage controllers, AGP
  controllers, TV cards
- mousedrake, XFdrake: fix synaptics configuration (blino)

* Sat Sep 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.20mdk
- detect more devices
- misc GUI cleanups
- netconnect: support DHCP and static for sagem devices (blino)

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.19mdk
- add icons to most tools' windows
- drakboot: do not crash if default autologin or default desktop
  doesn't exist (blino)
- drakupdate_fstab: do not use supermount by default for removable
  devices (blino)
- localedrake:
  o enable SCIM for Amharic language
  o fix missing banner title
- net_applet: tell when internet connection is not configured (blino)
- printerdrake: misc enhancements (till)
- service_harddrake: add modules to conf files if a tv card is detected (blino)

* Wed Sep 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.18mdk
- drakclock (warly):
  o check if the ntpdate command succeed or not
  o do not perform a date command when we use ntpdate
  o fix hour setting though mouse on the clock
  o make the hour tick shorter
  o repaint the calendar (especially when the day changed)
- drakconnect:
  o fix crashes (#11100)
  o misc fixes (blino)
- drakfirewall: use the loc zone in sharewall policy only if the loc
  interface exists (florin, #10539)
- harddrake2:
  o add UPS class (fredl)
  o be more enable friendly regarding themes (eg font size properly
    adapt to theme changes)
- net_applet: make it start again

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.17mdk
- drakclock: fix layout so that NTP frame is not badly cut on small
  resolution (#10971)
- net_applet:
  o allow to connect/disconnect from net_applet
  o launch net_monitor once
  o launch net_monitor in background
- printerdrake:
  o add column to show whether the printers are enabled or disabled to
    the list of available print queues in the main window
  o add command to the edit-printer window to enable and disable print
    queues
  o fix managment of "--expert" command line option

* Mon Aug 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.16mdk
- drakconnect: add metric support according to connection type (blino)
- drakroam (Austin):
  o fix "Add" button behavior
  o don't show channel 0 for auto mode
  o move DHCP column to left for better sizing
- drakupdate_fstab: do not mount and add/delete in fstab when many
  partitions (blino, #11005)
- logdrake: fix displaying only last parsed file
- printerdrake (till):
  o add support for daemon-less CUPS client
  o fix graying out of buttons/menu entries in the main window
  o fix unrecognized local queues when the spooler daemon is not
    running during printerdrake startup
- XFdrake: fix crash on resolution change

* Sat Aug 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.15mdk
- GUI cleanups:
  o drakboot: fix canceling first step
  o localedrake: let's look & behave like a wizard (fix cancel on
    country choice)
- drakconnect: detect Intel & ATI PCI modems
- localedrake: really install proper packages depending on (locale,
  input method) tuple (and not just those depending on IM)
- XFdrake: add dell D800 specific modeline and resolution (Olivier
  Thauvin)

* Fri Aug 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.14mdk
- fix ddcprobe for other archictectures
- drakconnect: restart network for non ethernet adsl devices (blino)
- harddrake service:
  o add --force parameter (#9613)
  o do run configurator
  o restore bootsplash (blino)
- printerdrake: prepare support for daemonless CUPS client (till)
- XFdrake: fix synaptics configuration (blino)

* Thu Aug 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.13mdk
- fix modules conf parsing (blino)
- ddcxinfos: extensive rewrite and cleanups to use the new int10
  interface and a last-resort means to get VBE/EDID information from
  special -BOOT kernel during early boot (gwenole)
- drakconnect (blino):
  o add Siol (the bigest ADSL provider in Slovenia) in ADSL providers
    DB (Gregor Pirnaver)
  o allow multiple aliases per host
  o always add an hostname alias and add it on the loopback device
    (#10345)
  o do not ask the user to do an inifinite looping in MCC ...
  o prevent recognize ppp0 as both modem and adsl (#10772)
- drakroam: fix crash when config directory does not exist (#10935)
- listsupportedprinters (till): introduce it for auto-generation of
  Mandrakelinux hardware support DB
- localedrake: 
  o fix country selection (blino, #10938)
  o install proper packages depending on (locale, input method) tuple
- mousedrake, XFdrake (blino):
  o synaptics touchpad support
  o fix wacom support
- printerdrake:
  o fix crash
  o handle print queues with the "lbp660" and "ml85p" drivers (which
    directly communicate with the printer instead of sending the
    output to a CUPS backend) (till)
  o prevent queues using "lbp660" and "ml85p" from opening message
    windows when the print queues are auto-generated by
    dynamic/hotplug (till)
  o if the user gets an error/warning message during setup of a
    lbp660/ml85p queue, he is automatically put back to the previous
    step in the add-printer wizard (till)
  o do not embedd warning messages in the add-printer wizard, as they
    have no "Previous" button (till)

* Tue Aug 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.12mdk
- really fix drakxtools build for ppc & sparc
- use sysfs to detect firewire devices thus fixing eth1394 detection
  (blino)
- drakconnect (blino):
  o ensure iftab is always up-to-date
  o fix spurious ifcfg-ippp0 creation
- net_monitor (blino):
  o do not assume internet isn't configured if obsoleted cnx scripts
    do not exist
  o fix connect button sensitivity
  o watch connection time, not disconnection time
- printerdrake:
  o added fully automatic, non-interactive, X-less print queue set up
    by the "autosetupprintqueues" command, preferrably to be started
    by hotplug
  o fix file check for package installation
  o fix problem of Brother laser printer on parallel port not showing
    its name in auto-detection result.
  o let printer name, description, location be entered after
    determining the model in the add printer wizard
  o let default print queue name be derived from the model instead of
    being "Printer", "Printer1", ...
  o simplify print queue name generation in non-interactive printer
    setup
  o fix "Previous" button in the test page step of the add printer
    wizard
- XFdrake: do not set DRI mode anymore which is not needed anymore
  with latest PAM

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.11mdk
- drakconnect: use mac_ieee1394 descriptor in iftab for firewire links
  (WIP) (oblin)
- fix drakxtools build for ppc & sparc
- keyboarddrake: fix it not modifying xkb (pixel)
- printerdrake:
  o fix crash
  o prevent potential crashes (blino)
  o do not ignore some internal errors (blino)
  o fix unloaded "usblp" kernel module before local printer
    auto-detection (blino)
  o do not install anymore gimpprint (included in gimp2_0) (till) 
  o do not configure GIMP and OpenOffice.org which were patched so
    that they do not need anymore to be configured regarding print
    queues (till)
  o text fix for scanners in HP's multi-function devices (till)
- service_harddrake: check usb controllers on boot (oblin, #9613)

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.10mdk
- drakconnect (oblin):
  o do not write 'ifcfg-Manually load a driver' file
  o fix sagem pty in pppd config
  o prevent boot from timeoutingforever if modem can't be synchronized
- localedrake: fix default IM setting when switching language (#10831)
- net_applet: fix tooltip's messages
- harddrake: add a PCMCIA controllers class

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.9mdk
- drakboot:
  o install acpi and acpid if needed (pixel, #10760)
  o allow to choose net profile in advanced mode (oblin)
  o enable to allow to choose a video mode if boot is not graphical
    while configuring bootsplash (oblin)
- drakbug: better wrapping
- drakconnect (oblin):
  o do not use noipdefault pppd option for pptp connections
  o fix pppoe with sagem ADSL modem
  o write MAC addresses into /etc/iftab
  o pppoe/pptp fixes
- drakroam: support multiple roaming daemons support (oblin)
- drakupdate_fstab: fix adding usb medias (oblin, #10399)
- drakvpn: do not assume drakvpn is already configured if the tunnel
  file is made of comments only (oblin)
- localedrake: handle turkmen and tatar (pablo)
- net_monitor:
  o let's be more l10n-friendly
  o fix default connection time (Fabrice FACORAT)
- XFdrake (pixel):
  o do not use XF86Config-4 anymore
  o handle /etc/X11/xorg.conf
- typo fixes (#10713, ...)

* Thu Aug 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.8mdk
- bootloader-config: log command on mkinitrd faillure
- drakbug (olivier):
  o update product list and fix case (bugzilla is case sensitive)
  o fix product, component and version for bugzilla
  o fix bugzilla url
- drakhelp (daouda):
  o use webclient-kde instead of konqueror
  o add epiphany browser
- drakroam:
  o initial import of wlandetect version, from Austin Action
- mousedrake, diskdrake: create /etc/udev/conf.d/xxx.conf as well as
  devfsd rules (pixel)
- net_monitor:
  o add a horizontal separator in stats to prevent visual disguts
    between supposed non aligned labels
  o fix looking aka vertical alignment of labels (Fabrice FACORAT, #10300)
  o fix resizing (Fabrice FACORAT, #10300)
- XFdrake: s/XFree/Xorg/ (pixel)

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.7mdk
- diskdrake: switch from raidtools to mdadm (pixel)
- drakboot: sort themes, users and WMs lists
- drakupdate_fstab: do not complain about ips in /etc/fstab (pixel)
- localedrake:
  o changed default font for gb2312 (Funda Wang)
  o rename the "More" button as "Other Countries" (pixel)
- net_applet:
  o do not die when gateway canot be guessed (Joe Bolin)
  o fix status toolip
  o allow multiple instances, but only one per user (Joe Bolin)

* Sat Aug 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.6mdk
- add a 6px border around scrolled TextViews (Fabrice FACORAT, #10561)
- drakbackup: fix crash when selecting an entry in pull down menus
- localedrake:
  o fix configuring IM
  o fix x-unikey support (Larry Nguyen)

* Sat Aug 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.5mdk
- drakclock: if ntp is used, get the new time before updating the
  hwclock (Emmanuel Blindauer, #10537)
- drakconnect (oblin):
  o install kdenetwork-kppp-provider when configuring a modem
  o fix external ISDN modem configuration (Anthill #1033)
  o use ifup/ifdown rather than restarting the network service for
    ADSL & ISDN
- draksound:
  o add support for ALSA on PPC and SPARC
  o update sound drivers list
  o map dmasound_pmac <=> snd-powermac (Christiaan Welvaart)
- fix autologin somewhat (pixel)
- localedrake:
  o add x-unikey support for Vietnamese
  o switch korean to scim-hangul IM by default
- update ppc support (Christiaan Welvaart, pixel)
- XFdrake: replaced XFree86 and XFree with Xorg (pixel, #10531)

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.4mdk
- don't set /etc/sysconfig/desktop anymore, configure ~/.wmrc,
  ~/.gnome2/gdm and ~/.desktop instead (pixel)

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.3mdk
- bootloader-config (pixel):
  o try to keep the order of kernel options
  o don't allow unknown kernel names to mess everything
  o handle win4lin kernels
- draksec: sanitize GUI:
  o upcase fields values
  o fix spacing issues
- localedrake:
  o fix current IM setting reading
  o reset IM setting when switching to a new IM
  o support nabi input method too
- net_applet: automatic launch for KDE, GNOME and IceWM (daouda)
- misc typo fixes
- diskdrake: fix LMV resizing (anthill #994) (pixel)
- service_harddrake: fix nuking x.org config on 2.4.x <-> 2.6.x kernel
  switch (#10487) (pixel)

* Sat Jul 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.2mdk
- drakbackup (stew):
  o fixes Anthill #1009 and #1010 (DVD recording, disk quota)
  o direct-to-tape enahancement
- drakconnect:
  o do not restart the network service if ethernet modem
  o only restart network for ADSL if we use an ethernet modem
  o fix sagem ADLS modem support (olivier)
- draksec: sync with msec-0.44
- draksplash:
  o do not crash when the image format is unknown
  o fix preview refresh
- localedrake:
  o enable to choose input method in advanced mode
  o support im-ja input method too
- service_harddrake: do not offer to configure mouse if we've already
  automatically reconfigure it b/c of 2.4.x vs 2.6.x switch

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.1mdk
- diskdrake: fix Compaq Smart Array support (pixel)
- drakauth: misc (vincent)
- drakbackup, drakTermServ: fix crashes on append_set (stew)
- drakbug: (daouda)
  o scroll down text while typing
  o many cleanups
  o stable releases are 'Official' and 'Community'
- explanations: only log succesfull renamings
- harddrake GUI: do not automatically configure removable media but
  use diskdrake
- modules: read modutils or module-init-tools config depending on
  which kernel is run (pixel)
- net_monitor: save/restore options

* Thu Jul 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-57mdk
- drakauth (vincent):
  o restart services if needed
  o describe authentification kinds
  o modify nss_path one to sub config winbind for AD
- drakconnect: misc bug fixes (olivier)
- localedrake: fix xmodifiers setting which is broken since
  perl-MDK-Common-1.1.13-1mdk
- net_monitor:
  o fix GraphicalContext memory leak (olivier)
  o translate connection type (Fabrice Facorat)
  o fix spacing (from Fabrice Facorat, #10300)

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-56mdk
- bootloader-config (pixel):
  o save prior boot loader config file (#10072)
  o don't unset prompt when timeout is undefined (and don't care when
    timeout is 0)
  o also add long name when adding add short name
- net_monitor:
  o add a border spacing of 5 pixel (Fabrice Facorat, #10299)
  o disable the connect button if up interface is found (there is
    currently no reliable way to find the gateway interface)
    (olivier blin)
  o use ifup/ifdown to connect/disconnect (olivier blin)
  o no need to be root to monitor connection (olivier blin)
- drakconnect (olivier blin):
  o make connection status check work as non root
  o do not write wireless encryption key if empty
  o use blacklist too for adsl connections

* Sun Jul 18 2004 Daouda LO <daouda@mandrakesoft.com> 10-55mdk
- remove historical consolehelper files (pam.d and console.apps)

* Fri Jul 16 2004 Olivier Blin <blino@mandrake.org> 10-54mdk
- drakboot: use bootloader and Xconfig instead of detect-resolution
- net_applet:
  o use drakconnect to configure network
  o use 'ip route show' to find the gateway device when no GATEWAYDEV
    is defined
- drakauth: add "Active Directory" through winbind (pixel)
- bootloader-config: fix installation on floppy (#10260) (pixel)
- drakedm: typo fix (lost -> lose) (rvojta)

* Fri Jul 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-53mdk
- bootloader-config (pixel):
  o nicer "usage: ..." 
  o add actions "add-entry" and "remove-entry"
  o add option --label
  o add option --chainload
  o rename --vmlinuz to --image
  o remove unneeded spaces in append=" foo"
  o handles "optional" in LILO
- drakbackup: fixes for Anthill #927 & #929 (filenames with spaces,
  .backupignore, gui behavior)
- drakboot: update bootsplash even if framebuffer was disabled (oblin)
- XFdrake: add 1024x480 (pixel, #5192)
- redo modules managment (prepare for reading either modprobe.conf or
  modules.conf based on the running kernel version) (pixel)
- fix build with new glibc

* Tue Jul 06 2004 Pixel <pixel@mandrakesoft.com> 10-53mdk
- drakxtools-backend needs ldetect-lst (for complete_usb_storage_info())

* Tue Jul 06 2004 Pixel <pixel@mandrakesoft.com> 10-52mdk
- ensure proper upgrade: explictly tell urpmi that old drakxtools-newt
  conflicts with drakxtools-backend
- drakauth: more features (vincent guardiola)
- drakconnect: pptp support (#6515) (olivier blin)
- localedrake: configure menu-method's language too so that altering
  language is done for KDE menu entries too (instead of just programs'
  messages) (Thierry Vignaud)

* Fri Jul 02 2004 Pixel <pixel@mandrakesoft.com> 10-51mdk
- create package drakxtools-backend
- bootloader configuration: misc fixes (pixel)
- XFdrake: fix typo causing multiple "Keyboard" entries in XF86Config
  (pixel, #10163)

* Fri Jul 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-50mdk
- drakupdate_fstab (oblin): fix moving mount point (#6982, #10175)
- drakauth: for Active Directory, allow: Kerberos, SSL/TLS, simple and
  anonymous (pixel)
- net_monitor (oblin):
  o always display a speed label for transmitted graph
  o allow the user to use different scales for received and
    transmitted (#10177)
  o always draw an arrow next to transmitted amount

* Wed Jun 30 2004 Pixel <pixel@mandrakesoft.com> 10-49mdk
- add bootloader-config (used by bootloader-utils and bootsplash scripts)
- drakboot (pixel):
  o major backend rewrite b/c of code sharing with new installkernel
  o when adding a new kernel, have a nicer new name for conflicting
    entry
  o when modifying kernel parameters in all entries, skip the
    "failsafe" entry (#10143)
  o when modifying a symlink, ensure we also use the long name for the
    old symlink in the existing entries
- drakconnect (Olivier Blin):
  o never disable "DHCP host name" entry box, it shouldn't be linked
    with "Assign host name from DHCP address" checkbox (#2759, #9981)
  o unblacklist sis900 since its link beat detection works with latest
    kernels
- draksound: remove unneeded "above" lines in modules::write_conf
  (Olivier Blin) (#8288)
- ugtk2 layer: catch missing wizard pixmap, otherwise we end up with
  unshown windows and error messages can't pop up (pixel)
- don't require mkbootdisk

* Thu Jun 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-48mdk
- drakboot (oblin):
  o ask for bootloader choice when framebuffer isn't configured (#9925)
  o do not update bootsplash in autologin wizard
- drakclock: be mouse wheel aware (oblin, #9926)
- drakconnect (olivier blin):
  o blacklists the sis900 driver (#9233) for network hotplugging
  o properly handle ascii WEP keys (#9884)
  o rephrase zeroconf dialog (cybercfo)
- drakxtv: fix tv driver not loaded on boot (oblin, #9112)
- localedrake: new default IM for CKJ
  o set up SCIM for chinese
  o set uo SCIM+UIM for japanese
- mousedrake: load usbhid instead of hid is now named (pixel, svetljo)
- XFdrake (pixel):
  o better auto monitor config
  o sync with bootsplash's detect-resolution

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-47mdk
- add net_applet (daouda)
- drakconnect: update ADSL ISP database (baud <baud123@tuxfamily.org>):
  o default to pppoa method whenever encapsulation is 6 (PPPoA VCmux),
  o default to pppoe method whenever encapsulation is 1 (PPPoE LLC)
  o add new ISP entries : Belgium ADSL Office, Brasil (4 ISP),
    Bulgaria ISDN/POTS, Greece, Switzerland BlueWin / Swisscom Telecom
    Italia/Office Users, Turboline Austria Telstra,
- harddrake2: do not display version number in title bar
- shorewall configuration: accept from fw to loc (florin)

* Tue Jun 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-46mdk
- harddrake service:
  o do not uselessy fork shells
  o faster auto mouse reconfiguration on major kernel switch
  o fix logs of newly added hardware
  o fix mouse autoconfiguration done on every boot instead of on 2.4.x/2.6.x
    switches
  o handle newly added wireless network card (broken since early 2004/02)
  o log error when we cannot run the config tool or when it isn't executable
  o only log about nv <-> nvidia swtich only if we do have to perform it
- harddrake GUI:
  o display media type for mass storage devices
  o enhanced data for mice and hard disks
  o fix undisplayed fields
  o show disk ID if we cannot guess its vendor string from it
  o show splited vendor and description fields for USB hard disks too
  o really ensure that "identification" section is displayed first

* Sat Jun 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-45mdk
- authentication: more LDAP work (pixel)
- drakbackup: fix .backupignore issue (stew)
- drakupdate_fstab: add support for floppies
- harddrake service:
  o mouse: autoreconfigure it when switching between 2.4.x and 2.6.x kernels
  o network: automatic config with DHCP of new cards
  o removable media: automatically config
  o x11:
    * do not automatically swtich from nv to nvidia driver (b/c the
      nvidia driver is buggy on some machines)
    * automatic configuration of new card
  o only stop the boot progress bar if we've a non automatic tool to run
- harddrake GUI:
  o show more data on SCSI disks
  o do not display USB disks in both harddisks and unknown sections
  o fix cpu and SCSI hd help
  o show right driver for USB devices (from /proc/bus/usb/devices)
  o enhanced help
  o show detailled data on bus connection
- interactive layer: display "cancel" button instead of "previous" in
  wizards' first step

* Tue Jun 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-44mdk
- diskdrake: fix hde devfs link (pixel)
- drakconnect: start to make strings more helpfull
- drakperm: enable drag 'n drop (only when looking at customized settings)
- draksec: do not show empty pages in notebook if security level is not set
- draksplash: make it work again...
- harddrake2:
  o do not list usb hard disk as unknown (fix doble entries)
  o fix misdetection of nvidia nforce ethernet cards (broken since forcedeth
    replaced nvnet on 2004-01-21 in MDK10's ldetect-lst)
  o ethernet card detection: only rely on driver for matching ethernet cards,
    thus preventing mislisting of other/unwanted devices and enableing to catch
    ldetect/ldetect-lst/detect_devices bugs where some devices are *not* seen by
    drakx and drakconnect.
  o display more data about hard disks (geometry, number of primary/extended
    partitions)

* Thu Jun 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-43mdk
- drakauth: add "Active Directory" authentication (WIP) (pixel)
- drakbackup: (stew)
  o deal with kernel ring buffer that is flooded with msgs for tape
    device detection (#9877)
  o GUI fixes
  o enforce binary ftp transfers
- drakconnect: (poulpy)
  o switch ONBOOT to on/off for isdn and adsl connections
  o new way to specify how to up connection for pppoe(xDSL) and
    others(ADSL)
  o rename /etc/ppp/peers/adsl as /etc/ppp/peers/ppp0 as we now use
    ifup-ppp for adsl, it will look for ppp0
- drakservices: add descriptions for NFS and SMB (#9940) (pixel)
- harddrake service: run it earlier (aka before network service)
- XFdrake: add resolution 1920x1200 called WUXGA (used by Dell Laptops
  Inspiron 8500, 8600 and Latitude D800) (#6795) (pixel)
- XFdrake, drakedm: switch to x.org  (pixel)

* Wed Jun 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-42mdk
- handle the nfs/smb service disabled (Olivier Blin)
- drakconnect:
  o handle interface w/o ip addresses
  o make LAN wizard more user friendly: move "manual choice" after 
    detected interfaces
  o detect again ethernet interfaces that are down (got broken in 10-38mdk)
- drakboot:
  o do not write partial GRUB config file (thus garbaging previous config) if an
    error occured
  o fix "two windows appears on canceling after an exception" bug

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-41mdk
- drakconnect:
  o fix protocol switching from manual to DHCP when stepping back in
    wizard
  o read VLAN and IP aliased interfaces config too
- drakbackup: fix typo in tape restore (Federico Belvisi).

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-40mdk
- drakconnect:
  o blacklist loopback interface in new detection scheme
  o switch from internet service to regular ifcfg files (poulpy) (WIP)
  o fallback on sysfs in order to get driver and card description when
    ethtool is not supported (eg: ipw2100 driver for intel centrino)

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-39mdk
- diskdrake (pixel):
  o allow /home on nfs (#7460)
  o disable package instead of removing nfs-utils or samba-server
    (when "diskdrake --fileshare" disables a export kind) (#9804)

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-38mdk
- detect aliased network interfaces too
- drakfirewall: handle BitTorrent (robert vojta)
- keyboardrake (pablo):
  o support more keyboards
  o Nepali uses devanagari script
- localedrake: handle Latgalian language (pablo)
- net_monitor: ignore sit0
- switch Japanese input method to "uim" (pablo)

* Wed May 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-37mdk
- drakbackup: fix dropped .txt files when running mkisofs (stew)
  (Anthill #799)
- drakconnect (#9669):
  o prevent identification mismatch on ethtool results
  o fix card name lookup when driver does not support GDRVINFO command
    from ETHTOOL ioctl and there's only one card managed by this
    driver
- switch from deprecated OptionMenu into new ComboBox widget

* Tue May 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-36mdk
- ugtk2:: still provide compat stuff for OptionMenu widget (#9826)
- drakTermServ: add /etc/modprobe* mount points for client hardware
  config (stew)

* Thu May 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-35mdk
- authentication:
  o fix winbind configuration and do the same for LDAP
    and NIS (vincent guardiola, pixel)
  o install autofs for nis authentication (florin & fcrozat)
- diskdrake: handle LABEL=foobar in /etc/fstab (pixel)
  (ex2/3 only for now, no xfs)
- drakclock: do saner check for ntp package (Robert Vojta)
- drakconnect:
  o fix speedtouch ADSL model (using kernel mode) (poulpy)
  o better LAN vs wireless filtering by using SIOCGIWNAME ioctl)
  o handle ipw2100 wireless driver
  o do not offer to set DOMAINNAME2 since it is never saved nor read
    (#9580)
  o kill "speedtouch and ISDN only work under 2.4 kernel" warnings
    (poulpy)
- drakfirewall: open more ports for samba
- harddrake service: do not run XFdrake in automatic mode
- misc cleanups & bug fixes (pixel)
- scannerdrake: fix firmware installation (till)
- XFdrake (pixel):
  o can now configure monitors on heads > 1
  o do not succeed automatic configuration (not auto_install) when
    there is many cards (as requested by Joe Bolin)
  o speed-up monitor choosing dialog when {VendorName} is undef
  o vmware doesn't like 24bpp (#9755)
  o defaults to the greatest depth rather than 24
- do not prefer devfs names when reading /proc/mounts (which uses
  devfs names) (pixel)
- ugtk2 layer: transparently replace obsolete OptionMenu widget by the
  new ComboBox widget

* Wed May 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-34mdk
- drakconnect:
  o fix last step of interface destruction wizard
  o wizard: take ISDN protocol into account for people outside Europe
    to use it (poulpy)
- drakupdate_fstab: fix adding twice an entry in fstab, one with the
  old name, one with the devfs name (pixel)
- XFdrake: kill XFree86 3.x support (pixel)

* Sat May 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-33mdk
- create ~/tmp if needed when running a program
- device managment: fix sdX <=> scsi devices mapping (especially for
  USB devices) (pixel)
- drakclock: time is displayed as HH:MM:SS with RTL languages
- drakconnect (poulpy):
  o manage interface: more gui layout fixes
  o try harder to locate firmware on windows partition (#3793)
  o no need to up ippp0 in net_cnx_up, it's been up'ed at startup
- harddrake gui: list SATA controllers in their own category (anthill
  - harddrake service: log removed/added hw
- localedrake: use utf8 if any of the languages chosen is utf8, not
  only the main one (pixel)

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-32mdk
- diskdrake, XFdrake: make --auto really not interactive
- drakconnect:
  o wizard: fix ISDN support (poulpy)
  o manage interface: smoother layout
- drakxtv:
  o fix brown paper bag bug regarding tv cards detection
  o sync card and tuner lists with 2.6.6-rc2
- harddrake GUI: split USB sontrollers and ports
  o new data structure
- harddrake service: autoconfigure X11, sound and removable media
- log more actions regarding modules managment in explanations

* Wed Apr 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-31mdk
- drakbackup: some drives don't return "ATIP info from disk" (stew)
- drakclock: check /etc/init.d/ntpd instead of /etc/ntp.conf for ntp
  installation (daouda)
- drakfont: fix font importing (#9423) (dam's)
- drakconnect (manage interface): fix insensitive IPADDR, NETMASK and
  GATEWAY fields by default are not sensitive by default in DHCP
  (broken by #8498 fix) (poulpy)

* Fri Apr 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-30mdk
- fix inverted translations in french catalog (#8217)
- fix drakxtools postuninstall script
- drakbackup (stew):
  o remove config-info (will be in a man page)
  o reuse more code from ugtk2 layer regarding cursors managment
  o combine/rework restore code
- drakTermServ (stew):
  o do not move existing dhcpd.conf
  o add an include for terminal-server instead
- drakups: update to new libconf-0.32 API (dam's)
- harddrake service: log nv<=>nvidia switches
- localedrake: set default font to use in KDE for devanagari and
  malayalam scripts
- ugtk2: fix faillure with perl-Gtk+-1.04x (#9411)

